New Features

    • In Client Master Maintenance, PAN field mandatory for non CP clients.
    • The PAN as mentioned in the client master, shall be auto fetched and sent during Order Entry / Trade Modification. The PAN shall be displayed in the confirmation message on message area.


Introduction

NEAT-CDS Terminal is a front-end for Currency Derivatives Market segment at National Stock Exchange.

The NEAT-CDS Terminal provides many user friendly features, some of which are listed below

· Access to currency derivatives market segments at NSE

· Multiple instances of various functionalities like MBP, Message Windows and others.

· Color Schemes to save and distribute your color settings. This allows you to change color of any window in the application and also save the same. A color scheme is a collection of such color settings for all application windows. One can make, save and distribute multiple such color schemes.

· Application Themes which would control how your application looks. This includes the size, position, styles etc. of various windows in the application.

· Online filters for display messages received from host.

· Ability to hide/show windows

· Enhanced toolbar.

· Optional Menu bar

· Personalized configuration settings.

Auction introduction:

· Introduction of interest rate futures contracts on 10 year GOI security bearing 7% coupon has lead to physical settlement of deliverable grade securities.

· Physical delivery can cause a settlement failure where the seller who is obliged to deliver a security fails to deliver it on scheduled date.

· Auctions are initiated by the Exchange on behalf of clearing members in case of settlement failure.

· There are two types of participants in the auction market.

§ Initiator: The party who initiates the auction process is called an initiator.

§ Solicitor: The party who enters on the opposite side as of the initiator is called a solicitor.

· The trading members can participate in the Exchange initiated auctions by entering orders as a Solicitor. e.g. If the Exchange conducts a Buy-In auction, the trading members entering sell orders are called Solicitors.

· Solicitor period is the period during which solicitor order entries are allowed.

· After the solicitor period, order matching takes place.

· The system calculates trading price for the auction and all possible trades for the auction are generated at the calculated trading price. After this the auction is said to be complete.

Terms and conventions

The following conventions have been followed in the text.

  • In explaining the screen layouts the command buttons have been enclosed into square brackets ([button name]), to differentiate it from other components of the screen.
  • Term LDB refers to the local database on user’s PC.
  • Term Product refers to NEAT-CDS Terminal

The physically settled interest rate futures on 10 year GOI security bearing 7% coupon have been discontinued.


Production Installation

Product Installation

Download files

Installation file (NEATCDTWSSetup.exe ) can be downloaded from the NSE extranet server (FTP Server) . Files need to be downloaded in the root directory (i.e. C:\ or D:\ of E:\)

Installation

Double click on NEATCDTWSSetup.exe installer file (for the executable, database and data) to launch the setup.

Choose the destination drive on the machine (such as C:, D: etc.). Drive and click the Install button to install the application to the chosen disk..

Three folders – NEATCDDB-TWS, NEATCDData-TWS and NEATCDSetup are created.

NEAT-CDS can be invoked in 4 ways:

  1. By clicking NEAT-CDS TWS shortcut on the desktop.
  2. By clicking NEAT-CDS TWS shortcut in the Start Menu.
  3. By clicking NEAT-CDS TWS shortcut in the Start Menu -> Programs ->NEAT-CDS TWS.
  4. In folder NEATCDDB-TWS and run the executable NEAT-CDS.exe.

Product Un-installation

NEAT-CDS can be uninstalled by clicking on the Install-UnInstall option on Start Menu -> Programs ->NEATCD-TWS. Installer Dialog Box will appear, click on UnInstall button to uninstall NEAT-CDS from all drives of your machine. It is advisable to take backup of all NEAT-CDS related data before uninstallation.


Basics Of Trading

The NEAT-CDS system supports an order driven market, wherein orders match automatically. The order matching is essentially on the basis of contract, its price, time and quantity.

When any order enters the trading system, it is an active order. As and when valid orders are entered or received by the trading system, they are first numbered, time stamped. This means that each order has a distinctive order number and a unique time stamp on it. It tries to find a match on the other side of the book. If it finds a match, a trade is generated & then the orders are stored in the books as per the price/time priority. If it does not find a match, the order becomes passive and goes and sits in the respective outstanding order book in the system.

Price priority means that if two orders are entered into the system, the order having the best price gets the priority. Time priority means if two orders having the same price are entered, the order which entered the trading system first gets the highest priority. Best price for a sell order is the lowest price and for a buy order, it is the highest price.

All quantity fields are in number of contracts and prices are in Rupees. The Board Lot size and tick size for various contracts traded is notified by the Exchange from time to time.

Market Types & Order Books

Availability of market types depends on the market segment in which user is logged in. Every order will be segregated according to its characteristics & will be stacked in order book under a particular market type.

Market Segment | Market Type | Order Book | Description
Currency Derivatives Market | Normal | Regular Lot | An order that has no special condition associated with it is a Regular Lot order. When this order is placed by a dealer, the system looks for a corresponding Regular Lot or Special Term order existing in that market (Passive orders). If it does not find a match at the time it enters the system, the order is stacked in the Regular Lot book as a passive order. By default, the Regular Lot book appears in the order entry screen in the Normal Market.
 |  | Stop Loss | Stop Loss orders are released into the market when the last traded price for that contract in the Normal Market reaches or surpasses the Trigger Price. Before triggering, the order does not participate in matching and the order cannot get traded.

Regular Lot Book

The system first attempts to match an active Regular Lot order against the passive orders in this book.

Stop-Loss Book

Stop Loss orders are stored in this book till the trigger price specified in the order is reached or surpassed. When the trigger price is reached or surpassed, the order is queued for entry into the Regular Lot book. The stop loss condition is met under the following circumstances.

  • Sell Order - A sell order in the Stop Loss book gets triggered when the last traded price in the Normal market reaches or falls below the trigger price of the order.
  • Buy Order - A buy order in the Stop Loss book gets triggered when the last traded price in the Normal market reaches or exceeds the trigger price of the order.

Order Types And Order Conditions

The system allows the Trading Members to enter orders with various conditions attached to them as per their requirements. These conditions are broadly divided into the following categories:

  • Time Conditions
  • Quantity Conditions
  • Price Conditions
  • Other Conditions

Several combinations of the above are allowed thereby providing enormous flexibility to the users. The order types and conditions are summarised below.

Time Conditions

DAY

A DAY order, as the name suggests, is an order which is valid for the day on which it is entered. If the order is not executed during the day, the system cancels the order automatically at the end of the day.

IOC
An Immediate or Cancel (IOC) order allows the user to buy or sell a contract as soon as the order is released into the system, failing which the order is cancelled from the system. Partial match is possible for the order, and the unmatched portion of the order is cancelled immediately.

Quantity Conditions

Not Applicable

Price Condition

Stop-Loss
This facility allows the user to release an order into the system, after the market price of the contract reaches or crosses a threshold price This facility is available only for Regular Lot orders only. All stop loss orders are kept in a separate book (stop loss book) in the system until they are triggered.

e.g. If for stop loss buy order, the trigger is 43.2575, the limit price is 43.2625 and the market (last traded) price is 43.2500, then this order is released into the system once the market price reaches or exceeds 43.2575. This order is added to the Regular Lot book with time of triggering as the time stamp, as a limit order of 43.2625. For the stop loss sell order, the trigger price has to be greater than the limit price.

Other Conditions

Market Price
Market Price orders are orders for which no price is specified at the time the order is entered (i.e. price is Market price). For such orders, the system determines the price.

Limit Price
Limit Price orders are orders for which price is specified at the time the order is entered.

Trigger Price
Trigger Price is specific to the stop loss order entry. The stop loss order gets triggered when the market price touches or crosses the trigger price.

Pro
Pro order means that the orders are entered on the trading member’s own/ proprietary account.

Cli
Cli order means that the orders are entered by the trading member on behalf of a client.

COL

Cancel On Logout (COL) specifies the order type where the order shall get cancelled when user is logged out/disconnected.

User Types

The trading system has the facility to define a

  • Corporate Manager

Corporate Manager is the top level of the TM user type hierarchy with trading right. There is one corporate manager for trading member.

  • Branch Manager

Branch Manager is second level of the TM user type hierarchy with trading right. One or more dealers of the trading member can be a branch manager for the trading member. Each branch manager can have one or multiple linked dealers.

  • Dealer

The dealer is at the last level of the trading member user type hierarchy with trading right. The dealer is linked either with a branch manager or the corporate manager.

A trading member has the facility to define a hierarchy amongst users of the system. This hierarchy comprises Corporate Manager, Branch Manager, and Dealer. The significance of each type is explained below:

Member Type | Abbreviated Name | User Type | Privileges
Trading Member | TM | Corporate Manager | · Order management and trade management for self · View market data · Set up branch level and dealer level trading limits for any dealer of the trading member · View, modify or cancel outstanding orders for any dealer of the trading member · View, modify or send trade cancellation request to the exchange for any dealer of the trading member
 |  | Branch Manager | · Order management and trade management of self · View market data · Set up dealer level trading limits for any dealer under the branch · View, modify or cancel the outstanding orders for any dealers under the branch · View, modify or send trade cancellation request to the exchange for any dealer of the trading member
 |  | Trading Member Dealer | · Order management, trade management and exercise request management of self · View market data · Set up order level trading limits for self
Clearing Member | CM | Corporate Manager | · On line custodian/ ‘give up’ trade confirmation/ rejection for the linked CP · Limit set up for the linked trading member / CP · View market data

Product Information – Currency Futures on USD-INR

Category | Description
Underlying | Rate of exchange between 1 USD and INR (USDINR)
Contract Size | USD 1000
Contract Months | 12 near calendar months
Contract Expiration Date | Last business day of the month
Min Price fluctuation | 0.25 paise or INR 0.0025
Settlement | Cash settled in INR on relevant RBI reference rate

· Market timings 09:00 to 17:00

· Order driven market

· Last trading date - two business days prior to Contract Expiration Date. This date is made available in the contract descriptor as ‘Expiry Date’

· Expiring contract will trade till 12:00 noon on the last trading date. New contract would be available for trading immediately after expiring contract stops trading.


Trading Day

The system is normally made available for trading on all days except Saturdays, Sundays and other holidays. Holidays are declared by the exchange from time to time. A trading day typically consists following discrete stages

  • Pre-Open Phase
  • Opening
  • Open Phase
  • Market Close
  • Post Close
  • Surcon

Pre-Open Phase

Not applicable currently

Opening Phase

This is a transition phase between pre-open and open phases. This phase immediately follows the end of market pre-open phase. The start and end of the opening phase is indicated by the following system messages

  • Start Message: The Pre-open period has ended. Please wait for contracts to be opened for trading.
  • End Message: The Normal market has opened.

A user who does not log-in before the end of pre-open period will not be able to log in during Opening phase until normal market opens for trading. During this phase, already logged in trading member is not allowed to enter any orders.

Open Phase

The market remains open from 09:00 a.m. till 05:00 p.m. (The timings mentioned above are indicative and subject to change at the discretion of the exchange).

The open period indicates the commencement of trading activity. To signify the start of trading, a message is sent to all the trader workstations. The market open time is notified by the exchange to all the trading members.

Order entry is allowed when all the contracts have been opened. During this phase, orders are matched on a continuous basis. Trading in all the instruments is allowed unless they are specifically prohibited by the exchange. The following activities are allowed at this stage

  • Inquiries
  • Order Entry
  • Order Modification
  • Order Cancellation (Including quick order cancellation)
  • Trade Cancellation Request
  • Trade Modification Request

Market Close Phase

This period is from 05:00 p.m. to 05:30 p.m. (The timings mentioned above are indicative and subject to change at the discretion of the exchange).

When the market closes, trading in all contracts for the market comes to an end. No further orders are accepted, but the user is permitted to perform activities like inquiries, report requests and trade cancellation / modification requests.

Closing Price Generation

During this period of the market, closing prices for all contracts are generated. These prices are then updated in the market watch overwriting the field displaying the Last Traded Price.

At the end of this period, a Market Statistics report is also sent to all users of the system. Users can request for trade reports and trade cancellation/modification during this period.

Post Close

Not applicable

Surcon Phase

Surveillance and Control (SURCON) is that period of the trading day, after the system is closed for trading, during which, the users have inquiry access only. Users can request for trade reports and trade cancellation/ modification during the SURCON period.

After the end of SURCON period, the system processes the data for making it available for the next trading day. When the system starts processing data the interactive connection with the NEAT-CDS system is lost and the message to that effect is displayed at the trader workstation.

The user must remain logged onto the system after the SURCON period is over, as reports are generated at the Trader Workstation. The user can logon to the system, for inquiries only, before the market opens for next day's trading.


Order Matching

Functionality

Normal Orders matching

Matching Attributes

The buy and sell orders are matched on the following main attributes:

  • Book Type
  • Contract Descriptor – Instrument, Symbol, Expiry Date, Strike Price, Option Type
  • Quantity
  • Price

Matching Priority

Before we go into the details of order matching, it is necessary to understand the terms "Active" and "Passive" order.

An "Active" order is an order entering the system. Once this order does not find a match, it remains in the system as an outstanding order and is called a "Passive" order.

The unmatched orders are queued in the system by the following priority:

By Price - A buy order with a higher price gets a higher priority and similarly, a sell order with a lower price gets a higher priority.

By Time - If more than one order at the same price the order entered earlier gets a higher priority.

Current order matching is based on price/time priority. Matched orders result into trade. The trade takes place at the passive order price.

The system attempts to match an active order with passive order available on opposite side i.e. an active buy order matches with the best passive sell order if the price of the passive sell order is less than or equal to the price of the active buy order. Similarly, an active sell order matches with the best passive buy order if the price of the passive buy order is greater than or equal to the price of the active sell order.

If the combined quantity of one or more matching orders on the opposite side of the Regular Lot book is equal to or more than the quantity of active order, the active order is completely traded.

If the combined quantity of one or more matching orders on the opposite side of the Regular Lot book is equal to or less than the quantity of active order, the active order is partially traded.

Market Price

Market orders are orders for which no price is entered at the time of order entry. For such orders system determines the price as follows:

If passive orders are available on the opposite side of the market, the best price on the opposite side is assigned as a price for the active order. Such order would be matched immediately either partially or fully as explained above.

If there are no orders on the opposite side of the market, but there are orders on the same side of the market, the price for an active order is set to the best price on the same side of the market. The order would become passive order at the best price.

If there are no orders in the book either on opposite side or on same side, the price of the order is set to the last trade price of the contract. If no trades have taken place for the contract on that day, the price is set to the closing price of the previous day of the contract.

Stop Loss

All stop loss orders entered into the system are stored in the Stop loss book.

The stop loss orders are prioritized in the Stop loss book with the most likely order to trigger first and the least likely to trigger last. The priority is same as that of the Regular Lot book.


Logon

Invoking

Logon Screen can be invoked by double-clicking the application’s executable file, namely NEAT-CDS.exe.

Functional Description

On starting NEAT-CDS application, the logon screen appears with the following details:

  • Market
  • User ID
  • Trading Member ID
  • Password
  • New Password

Market

Selection box which specifies the market in which user wants to login. The default value is CD. This field is non-editable.

User ID
Each Trading Member can have more than one user. The number of users allowed for each Trading Member is notified by the Exchange from time to time. Each user of a Trading Member must be registered with the exchange and is assigned a unique User ID.

Trading Member ID

The exchange assigns a Trading Member ID to each Trading Member. The Trading Member ID is unique and functions as a reference for all orders/trades of different users. This ID is common for all the users of a particular Trading Member. The Trading Member ID and User ID form a unique and valid combination.

Note:
It is the responsibility of the Trading Member to maintain adequate control over the persons having access to User IDs. The Trading Member should request the exchange for changes in User ID especially when there are changes in the users who are dealing on behalf of the Trading Member.

Password
When a user logs in for the first time, he has to enter the default password provided by the exchange. On entering this password, the system requests the user to enter a new password in the `New Password' field. On entering the new password, the system requests for a confirmation of this new password. This new password is known to the user only.

· The new password length should be of 8 characters.

· New password should contain at least 1uppercase letter, 1 lowercase letter, 1 numeral and 1 special character.

· The new password entered by the user should not be the default password.

· The new password entered by the user should not be from any of his last 5 passwords.

· User should get disabled after 5 attempts of invalid password entry.

· In case the password of user gets locked, his corporate manager can reset it to default password.

· Control user can also reset the password.

· Space shall not be allowed in the new password.

· The password should be forced to change after 14 days.

· Password appears in the encrypted form and thus complete secrecy is maintained.

The system ensures the change in password for all users (password expiry period is parameterised by the Exchange). The user can logon by entering a new password as per the procedure outlined above.

In the event of the user forgetting his password, the Trading Member is required to inform the exchange in writing with a request to reset the password. The user password is reset to the default password set by the exchange. The user can logon on entering a new password as per the procedure outlined above.

In case of an event where the user is disabled, the Trading Member makes a written request to the exchange for resetting of password. The user password is reset to the default password set by the exchange. The user can logon on entering a new password as per the procedure outlined above.

In order to sign on to the system, the user must specify a valid User ID, Trading Member ID and the corresponding password. A valid combination of User ID, Trading Member ID and the password is needed to access the system.

Login

[CONFIRM] button is used to Login to the application. Alternatively user can press the [Enter] key to complete the logon procedure.

Cancel

[CANCEL] button is used to clear the password and new password field

Exit

[EXIT] button is used to terminate the application.

Login screen is the entry point into the application. This is a multi purpose screen and can be used to carry out various functions as described below.

Upload

[UPLOAD] button is used to get the data from contract and participant files downloaded from the exchange. This functionality uploads the contract, spread contracts and participant details into the user’s database.

The user should download 3 files:-

1) cd_contract.txt for Currency Derivatives Contracts

Control Record

Segment Indicator

Version number

Detail Record

Contract token number

Asset token number

Instrument

Symbol

Series*

Filler

Expiry date (last trading date)

Strike Price*

Option Type*

Precision

CA Level*

Filler

Admission type

Issue Rate*

Trading status – Normal Market

Eligibility – Normal Market

Filler

Trading status – Odd Lot*

Eligibility – Odd Lot*

Filler

Trading status – Spot Market*

Eligibility – Spot Market*

Filler

Trading status – Auction Market*

Eligibility – Auction Market*

Filler

Issue Start Date

Settlement Date (last business date of the month)

Contract Maturity Date

Margin Percentage

Minimum Lot Size

Board Lot Quantity

Tick Size

Issued Capital*

Volume Freeze Quantity

Warning Quantity

Admission date

Expulsion date*

Re-admission date*

Record date*

No delivery start date*

No delivery end date*

Operating Range - Low price

Operating Rage – High price

Ex Date*

Book Closure Start Date*

Book Closure End Date*

Update Date and Time

Exercise Start Date*

Exercise End Date*

Ticker Selection*

Quantity Multiplier

Credit rating*

Stock name

Corporate purpose – AGM/ EGM*

Corporate purpose – Interest/ Dividend*

Corporate purpose – Rights/ Bonus*

Special Terms*

Remarks

Exercise Style*

Exercise Allowed*

Exercise Rejection Allowed*

Position Liquidation Allowed*

Checksum*

Corporate Action adjusted*

Underlying Asset Symbol

Asset Instrument*

Base Price

Delete flag

* Not applicable for currency futures contracts.

2) cd_participant.txt for Currency Derivatives participants

Control Record

Version number

Detail Record

Participant Id

Participant Name

Participant Status

Participant Delete Status

Last Update Date

3) cd_spd_contract.txt for Exchange defined spread combinations

Control Record

Segment Indicator

Version number

Detail Record

Contract token number 1

Contract token number 2

Instrument Name1

Symbol1

Series1*

Expiry Date 1

StrikePrice1*

OptionType1*

CA Level1*

Instrument Name2

Symbol2

Series2*

Expiry Date 2

StrikePrice2*

OptionType2*

CA Level2*

ReferencePrice

DayLowPriceDiff Range

DayHighPriceDiff Range

OpLowPriceDiff Range

OpDayHighPriceDiff Range

BoardLotQuantity1

MinimumLotQuantity1

TickSize1

BoardLotQuantity2

MinimumLotQuantity2

TickSize2

Eligibility

DeleteFlag

* Not applicable for spread contracts of currency futures.

Keep all three files in the log drive and then click on [UPLOAD] button. If the upload is successful, it gives a message “database updated successfully”.

Navigation

One can navigate the Logon Screen using <TAB> key. Alternately one can use the mouse to position the cursor any where Press <Tab> key to move to the next field. <Shift + Tab> keys can be used to move to the previous field(s).

Menu Options

Not Applicable


SignOff

Logout

Invocation

  • Function Key: Alt+F4
  • Menu: Market -> Logout
  • Toolbar: N.A.

Purpose

The purpose of sign off is to allow user to log out from the application.

Functionality

This functionality is available to all users.

The user is presented with following options:

Permanent sign off

The user can log off from the application by selecting this option. Subsequently, the user needs a fresh log in to the application.

Temporary sign off

This feature allows the user to leave the application temporarily inactive and prevent unauthorized access to the application. As the user is not logged off, the user continues to receive all market updates on the application. However, the user is not allowed to use the application till the re-entry of valid password.

On selecting the temporary sign-off option, a password entry screen is displayed. The application is re-activated on entering the correct password.

Note:

The temporary sign-off is automatically activated when the application remains inactive for 5 minutes (default). However, this default time can be changed by the user through ‘Auto Lock Interval’ facility.

If three attempts with incorrect password are made to sign on when the application is temporary logged off, the user is permanently logged off.

Also, if while the user is temporarily signed off <Alt>+F4 combination is used again then a confirmation message for permanent signoff will appear. If user confirms exit then the user is permanently logged off.

Exit

On selection of this option, the user can exit from Sign off.

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys or by using mouse.

Menu Options

Not Applicable.


Trading Screen

The following windows are displayed on the Trader Workstation screen

  • Title Bar
  • Tool Bar
  • Trade Ticker Window for Currency Derivatives Market
  • Spot Price Window
  • Market Watch Window
  • Order Log Window
  • Trade Log Window
  • Inquiry Window
  • Order/Trade Window
  • Message Window

Title bar
It displays trading system name i.e. NEAT-CDS, User Id, Member Name, User Type and the current date and time.

Tool Bar

This is a set of icons provided for faster access to the various screens using mouse. For list of icons please refer to the section on Tool Bar.

Trade Ticker

The trade ticker will be the second window of the trader workstation screen after the Title bar. It displays the trade statistics of selected contracts. The trade statistics consist of contract descriptor, traded quantity and traded price.

Asset Window
The Asset window will be displayed in the right hand side of the trade ticker window. It consists of bid, ask and spot price of the underlying asset.

Market Watch

The purpose of Market Watch is to allow continuous monitoring of contracts that are of specific interest to the user. It displays trading information for contracts selected by the user. This is the main window from the dealer’s perspective.

Inquiry Window

This window will overlay a portion of the Market Watch window. The Inquiry window enables the user to view information such as Market By Price (MBP), Previous Trades (PT), Outstanding Orders (OO), Activity Log (AL), Snap Quote (SQ), Order Status (OS), Market Movement (MM), Market Inquiry (MI), Net Position, On Line Backup and so on. Relevant information for the selected contract can be viewed.

Snap Quote information for a selected contract is displayed in single line overwriting the same line of the market watch window.

Order/Trade Window

This window will overlay a portion of the Market Watch window. This window is used for Order Entry, Order cancellation, Order modification, Trade modification and Trade Cancellation.

Message window
It enables the user to view messages broadcast from the Exchange, trader messages like order confirmation, order modification, order cancellation, trade confirmation, trade modification and others like name and time when the user logs in / logs off from the system. These messages appear as when the event takes place in a chronological order. There are two message windows viz. message window 1 & message window 2. User can use filter the messages displayed on both the windows.


System Menu Bar

Invoking

  • Function Key: Ctrl + M
  • Menu: Tools -> Menu Bar
  • Toolbar: N.A.
  • Others: User Configuration

The user can show or hide the menu bar using the above function keys or menu option.

Functionality

This is an additional facility of invoking different windows and Dialogs through applications Menu Bar. Different functionalities being categorized based on type of functionality And grouped in Menus and Sub Menus.

e.g All Dialogs are grouped under main menu “Dialogs “ which can be invoked using <ALT>+<D>

NEAT-CDS has following Menu / Sub-menu groups available

Menu | Sub Menu
Market | Logout
Inquiry | Market By Price
 | Market Inquiry
 | Market Watch
 | Spread MBP
 | Market By Order
 | Auction Inquiry
 | Market By Aggregate
 | 91 Day TBill MBP
 | Options Chain
Transaction | Buy Order Entry
 | Sell Order Entry
 | Spread Order
 | Order Cancellation
 | Order Modification
 | Trade Cancellation
 | Trade Modification
 | Outstanding Order
 | Previous Trades
 | Spread Outstanding Orders
 | Order Status
 | Spread Order Status
 | Activity Log
 | Spread Activity Log
 | Snap Quote
 | Quick Order Cancellation
 | Closeout Order Entry
 | Multiple Trade Cxl / Mod
 | Kill Switch
 | Trading Member Kill Switch
Dialogs | Security List
 | DB-Snapshot
 | Short Descriptor
 | Net Position
 | Offline Order Entry
 | Market Movement
 | Liquidity Schedule
 | Order Entry Default
 | Offline Print
 | Online Print
 | Client Master
 | Active Security List
 | Give Up Trades
 | Order Limits
 | User/Branch/Collateral Limits
 | Online Backup
 | Reset User ID
 | Spread Combination List
 | Ticker Selection
 | Asset List
 | Debarred Client Master
 | Options Calculator
 | Advanced Options Calculator
 | Volatility and Interest Rates
 | Reset Password
 | Trade Modification / COL Status
 | Yield Calculator
 | Portfolio Monitor
 | Unlock User
Miscellaneous | Contract Descriptor
 | Sort Market Watch
 | Asset Window
 | Message Window
 | Full Message Window
 | Online Filter
 | Offline Filter
 | Graphs and Charting Tool
Report | Report Reprint
Tools | Tool Bar
 | Menu Bar
 | System Configuration
 | Auto Lock Interval
 | CD Ticker
 | Disable Inquiry
 | Ord Entry Default From Market Watch
 | Enable Warning Check for Ord Entry/Mod/Cxl
 | Limit Price Focus
 | Enable Implied Volatility
 | Enable Option Greeks
Help | About
 | Help

Navigation

Main Menu as well as Sub-menu items can be invoked by pressing defined hot keys.

Menu Options

Not Applicable


Toolbar

Invocation

  • Function Key: Ctrl + T
  • Menu: Tools -> Toolbar
  • Toolbar: N.A.
  • Others: User Configuration

The user can show or hide the tool bar using the above function keys or menu option.

Purpose

The purpose of Toolbar is to allow user to invoke different inquiries and dialogs through the click on specific icon. A tool tip is provided on each icon to indicate name of the inquiry/ dialog along with Short-Cut Key. The user is required to place the mouse near the icon to get the tool tip.

Functionality

The tool bar consists of following icons –

  • Market By Price
  • Market Movement
  • Market Inquiry
  • Snap Quote
  • Market Watch
  • Buy Order
  • Sell Order
  • Order Modification
  • Order Cancellation
  • Outstanding Orders
  • Order Status
  • Activity Log
  • Previous Trades
  • Net Position
  • Online Backup
  • Security List
  • Spread Order entry
  • DB Snapshot
  • Help

Navigation

Individual functionality can be invoked mouse click on corresponding icon.

Menu Options

Not Applicable


Activity Log

User Configuration

Invocation

  • Function Key : CTRL + Space Bar
  • Menu : Tools -> Sys Config
  • Toolbar : Not applicable

Purpose

The purpose of User Configuration is to configure the user settings for Market Watch font, report printing enablement and display of menu and/or toolbar after logging into the application.

Functionality

This functionality is available for all the users.

The user can choose to show or hide the menu bar and/ or tool bar when logged into the application. Separate check boxes are provided in ‘Graphics’ section alongside menu and tool bar options. The user needs to select the respective check box to show the menu bar and/ or tool bar. The user can also deselect the respective check boxes to hide the menu bar and/ or tool bar.

The user can choose to print or not to print the BHAVCOPY (contract wise price and trade information) sent by the Exchange at the end of trading hours on each day. A check box is provided in ‘Report Print’ alongside the broadcast option. The user needs to select the check box to print the BHAVCOPY or deselect the check box not to print the BHAVCOPY.

The user can also customize the font settings of the Market Watch. It includes the font name and font size.

Navigation

Not Applicable

Menu Options

Not Applicable


General Configuration

Invocation

  • Function key: Ctrl + Space Bar.
  • Menu: N.A.
  • Toolbar: N.A.

The User can invoke General Configuration on Logon Screen as well as on Market Watch.

When invoked from the Market Watch, the user can only view the settings and cannot modify them.

Purpose

The purpose of this screen is to configure following parameters

  1. Configuration Name
  2. Key Board Type (By default IBM PS/2)
  3. Log Drive
  4. Report Drive
  5. Local Address
  6. IP Address
  7. Eicon server name
  8. EIS IP Address
  9. EIS Port
  10. Broadcast Protocol (By Default UDP/Can be changed to X25)
  11. Broadcast Multicast (Address in case of X25)
  12. Broadcast Port ID (Call Data in case of X25)
  13. Interactive Protocol (By default TCP/Can be changed to X25)
  14. Interactive IP address (Host address in case of X25)
  15. Interactive Port ID (Call data in case of X25)

Functionality

User can set the parameters and save them by pressing OK. For all the subsequent invocations of the application, these saved settings will take effect.

To plot graphs & charts the user is required to mention IP address of the local machine or severs where EIS is installed the along with EIS port.

To quit without modifying the configuration settings, press [Cancel].

Navigation

The User can change any or all of this information by typing over the appropriate fields. The <Tab> and <Shift + Tab> keys can be used to navigate between fields.

Menu Options

Not Applicable


Enable Warning Qty Check for Order Entry

Enable Warning Check for Ord Entry/ Mod/Cxl

Invocation

  • Function Key: Ctrl + Shift + C
  • Menu: Tools -> Enable Warning Check for Ord Entry/ Mod/ Cxl
  • Toolbar: Not applicable

Purpose

The purpose of the ‘Enable Warning Check for Ord Entry/Mod/Cxl’ functionality is to allow the user to either enable / disable the acknowledgement during order entry, modification and cancellation.

Functionality

This functionality is available to all users.

The functionality is applicable to normal as well as spread order entry.

When user executes an order with ‘Enable Warning Check for Ord Entry/Mod/Cxl’ option as disabled (i.e not ticked), an order will be submitted to the trading system for entry, modification, cancellation immediately upon pressing the Enter key.

However, the user is required to acknowledge confirmation message (press ‘Ctrl’ key) where ‘Enable Warning Check for Ord Entry/Mod/Cxl’ option is enabled.

By default, this functionality will be enabled (tick marked) and therefore, the user need to acknowledge confirmation message as explained above.

Navigation

Not applicable

Menu Options

Not applicable


Multi leg order entry

Invocation

· Function Key: Ctrl+F3

Purpose

The purpose of the Multi leg order entry is entry of combination orders for 2 (2 Leg) or 3 (3 Leg) contracts as a single order. The contracts involved can be with same or different underlying/ expiry date.

Functionality

It is also refereed as 2 Leg (2L) or 3 Leg (3L) order entry or combination order entry where the user can submit a combination of two contracts (2L) or three contracts (3L) with quantity and price specified for each contract as a single order. The contracts involved can be with same or different underlying/ expiry date.

If this feature is invoked with regular contract selected on market watch, it appears as default contract descriptor in first leg. The user can change the default contract descriptor for first leg. The user is required to enter the other contract descriptors

If this feature is invoked with spread combination contract selected on market watch, the contract descriptors of spread combination contract appears as default contract descriptors for first and second leg. The user can change the default contract descriptors for the first and second legs. The user is required to enter the contract descriptor of the third leg in case of 3L order.

Parameters | Description
Time validity | The 2L and 3L orders are with default Immediate Or Cancel (IOC) time validity.
Buy Sell Flag | For each leg the user needs to specify whether the contract is to be bought or sold.
Open / Close Flag | The default flag will be ‘O’ – OPEN. The user will not be allowed to update the flag
Covered / Uncovered Flag | The default flag will be ‘U’ – UNCOVERED. The user will not be allowed to update the flag
Contract Descriptor | If this feature is invoked from blank market watch row, the user is required to enter the contract descriptors
Order quantity | The default order quantity will be regular lot quantity set by the Exchange for the contract (presently 1). The user can change the default order quantity in multiples of regular lot quantity.
Order price | 2L and 3L orders can be place either at limit price or market price.
Multi Leg Order Flag | The default flag will be ‘BSP’ – Buy spread. The user will be allowed to update the flag to ‘SSP’ – sell spread or 2L or 3L. For BSP or SSP please refer to chapter on Spread Order Entry.
All or None | This special term condition is not applicable.
Quote Price(QP) /Yield(YD) | The indicator is applicable only for FUTIRT contracts. This indicator allows the user to place an order either on quote price or yield. The default value will be QP.
Pro/Cli Indicator | The account type order attribute allows the user to specify whether the order is placed on behalf of the trading member (PRO – proprietary) or on behalf of the client (CLI – Client) of the trading member.
Account number | Where the account type is PRO, the trading member code is defaulted as account number and the user is not allowed to change this account number. However, if the account type is CLI, the user must enter valid client code available in the client master. A facility is provided to select client code from the client master by pressing <Up> and <Down> arrow keys. Where the order is placed for the client code outside the client master the user is required to acknowledge the message to that effect. This message also enables the user to set up the client code before resuming the order entry.
Settler (Participant ID) | The default value is the trading member code. This is irrespective of the account type selected. Where the account type is PRO the user is not allowed to change the settler. Thus, the trades resulting from PRO order are to be settled by the trading member. When the account type is CLI the user is allowed to change the settler. If the user retains the default value, trades resulting from such CLI order are to be settled by the trading member. However, if the user changes the default trading member code to a valid custodian participant (CP) code, the trades executed from such spread order would be considered as CP trades. These trades are subject to give up mechanism available to the clearing member of the CP code entered. Where such clearing member accepts the trades, it would be settled by the clearing member of the CP.

Order matching:

Once the 2L/ 3L order is submitted to the exchange for matching, it will be traded in the ratio of order quantity in the regular order book as follows:

For 2L order, if the order quantity for the first leg 50 & order quantity for the second leg is 70, the order will be traded in the ratio of 5:7. As such, for each lot of 5 match able quantity of first leg 7 match able quantity of the second leg shall be available for the trade to be executed.

Navigation

User can navigate through the various controls in a cyclic manner using TAB and SHIFT + TAB keys.

To exit from the dialog the user can use ESC key

Menu Options : N.A.


Order & Trade Log

Order Log and Trade Log

Invocation

Not applicable

The third window from the top of the screen is dedicated for order log and trade log. This window is placed below the Market Watch screen and always visible to the user.

Purpose

The purpose of the Order Log and Trade Log is to allow the user to view outstanding orders placed by the dealer and trades executed by the dealer.

Functionality

This functionality is available to all users. It is available only to view orders entered/ trades executed by the self.

The order log is placed on the left half of the window whereas trade log is placed on the right half of the window.

The user can view the following information in the order log window:

- Instrument

- Symbol

- Expiry

- Strike Price

- Option Type

- Order Number

- Buy/ Sell Flag (To indicate buy/ sell order in regular market or buy spread/ sell spread order in spread market)

- Order Quantity (in number of contracts)

- Order Price (precision as applicable for the underlying asset e.g. 4 decimal places for USDINR

- Account type i.e. PRO/ CLI flag

- Account number i.e. Client Code

The list would be sorted on descending order of entry date and time i.e. the latest order would be displayed on the top. Order executed partially would be displayed with balance order quantity i.e. the order quantity yet to be filled. The position of the order record is retained even if the order is modified or partially traded. Order executed fully would be removed from the list. The user has a facility to modify the order or to cancel the order or to view the order status.

The user can view the following information in the trade log window:

- Instrument

- Symbol

- Expiry

- Strike Price

- Option Type

- Order Number

- Trade Number

- Buy/ Sell Flag

- Order Quantity (in number of contracts)

- Order Price (precision as applicable for the underlying asset e.g. 4 decimal places for USDINR)

- Trade execution date and time

- Account type i.e. PRO/ CLI flag

- Account number i.e. Client Code

- Trade Type (Order matched in Regular Market & Spread Market)

The list would be sorted on descending order of trade execution date and time i.e. the latest trade would be displayed on the top. The position of the trade record is retained even if the trade is modified. The user has a facility to modify the trade or to cancel the trade.

The user can filter the order log/ trade log on any of the following criteria:

- Instrument

- Symbol

- Expiry

- Strike price

- Option type

- Account type i.e. PRO/ CLI/ ALL

- Account number i.e. Client Code available only if Account Type selected is CLI. However, this is not mandatory

- Order type for Order Log/ Trade Type for Trade Log

The user needs to press [Filter] to get the orders/ trades filtered on selection criteria.

The information displayed on Order Log/ Trade Log is dynamically updated i.e. it is updated immediately on order entry/ order modification/ order cancellation or trade execution/ trade modification/ trade cancellation.

Navigation

Not applicable

Menu Options

Menu Item | Usage
For Order Log: |
Modify Order | To send order modification request
Cancel Order | To send order cancellation request
Order Status | To view the order status
Export | To export orders from order log
For Trade Log: |
Modify Trade | To send trade modification request
Cancel Trade | To send trade cancellation request
Export | To export trades from trade log


Offline Order Entry

Invocation

  • Function Key: Shift + F9
  • Menu: Dialogs -> Offline Order Entry
  • Toolbar: N.A.

Purpose

The purpose of Offline Order Entry is to allow the user to submit bulk orders into the trading system.

Functionality

This functionality is available to all users.

The user can submit bulk orders in following ways:

- Generate order file in a specified format (comma separated file). Press [Load] to browse through the local drive, select the order file and load the orders from this file to the staging area/ order list. Then select specific or all orders and press [Send] to submit the orders into the trading system.

- Press [Add] button to enter order attributes and then, [Accept] to save the order. Repeat this procedure to stack multiple orders in the staging area/ order list. Then, select specific or all orders and press [Send] submit the orders into the trading system.

When the orders are saved/ loaded in the staging area/ order list, the user can press [Delete] or [Modify] button to delete or modify selected order. Such orders would not be deleted or modified in the file but only in the staging area/ order list. The user can press [Save] to save the latest order list (post addition/ modification/ deletion) into the file.

The validations applicable while adding or modifying the records in the order list are as follows:

Field | Checks Done
BOOK TYPE | Alphanumeric, special and alphabetic characters are considered invalid. Numeric characters less than one and greater than three will lead to order rejection. Field should be left aligned. Blank field will not be accepted.
MARKET TYPE | This field can have only value as 1 i.e. Normal Market
OPEN/CLOSE | Mandatory value ‘O’ - open Field is case sensitive.
BUY/SELL | Mandatory value 1 for buy and 2 for sell
CONTRACT DESCRIPTOR | Mandatory for any column
INSTRUMENT NAME SYMBOL EXPIRY DATE STRIKE PRICE OPTION TYPE | Instrument which does not exist will cause order rejection. Error code will be returned if Instrument is not allowed to trade. Field is case sensitive. Symbol which does not exist will cause order rejection. Error code will be returned if the contract is expelled, suspended or not allowed to trade. Field is case sensitive. Field should be left aligned. Blank field will not be accepted. The Expiry date format should be DDMMMYYYY. Invalid Expiry Date will cause order rejection. Month field is Case sensitive. For future contracts, field should be left blank. For Options the format should be 99.9999 For future contracts, field should be left blank. Field is case sensitive
TIME VALIDITY | Numeric characters less than one and greater than five will lead to order rejection. Alphanumeric, special and alphabetic characters are considered invalid. Field should be left aligned. Blank field will not be accepted.
GTDAYS/DATE | Not applicable. Therefore, not mandatory. Special characters are considered invalid.
SPECIAL TERMS | Not applicable. Therefore, not mandatory. Special characters are considered invalid.
MF QUANTITY | Not applicable. Therefore, not mandatory. Special characters are considered invalid.
ORDER PRICE | Mandatory for any order Alphanumeric, special and alphabetic characters except ‘mkt’/ ‘MKT’ are considered invalid. Order price should be a multiple of tick size.
TRIGGER PRICE | Mandatory for ‘Stop Loss’ order Alphanumeric, special and alphabetic characters are considered invalid Trigger price should be a multiple of tick size. The limit price for a buy stop loss order should be greater than or equal to the trigger price and for a sell order the limit price should be less than or equal to the trigger price.
VOLUME (IN NUMBER OF CONTRACTS) | Mandatory for any order. Alphanumeric, special and alphabetic characters are considered invalid. Volume should not be zero. Volume should be a multiple of board lot quantity.
DISCLOSED QQTY | Not applicable. Therefore, not mandatory. Special characters are considered invalid.
CUSTODIAL PARTICIPANT | Not mandatory. However, if specified, need to be a valid and active custodian participant Invalid or inactive participant will be rejected.
PRO/CLI | Mandatory value 1 –Proprietary and 2- Client
ACCOUNT NO | Mandatory for any order entry. For PRO orders it should be equal to the trading member code For CLI orders it should be a valid client account number
Order type | Mandatory for any order entry. For Cancel On Logout (COL) orders it should be ‘1’ For Non COL orders it should be ‘0’

The two columns providing status of the orders uploaded is appended to the same file. The first column represents the order number whereas the second column represents error code, if any.

Once the orders set up on the list are verified, the user can send the order entries to the exchange either by selecting all orders and pressing [Send] button or selecting only desired orders and then pressing the [Send] button.

The progress bar will show how much percentage has been completed. Send button will change to Stop button (while the order has been pumped). If the stop button is pressed, offline order entry will be stopped at that point.

The Output file containing the result of the offline orders (order numbers and the error codes) will be saved as "offlnres.txt" file in the user folder in NeatCDData-TWS folder. This file will be overwritten as soon as the next offline order entry is done. Therefore, the user needs to rename the file before sending next file for the offline order entry.

List of Error Codes:

Error Code | Description
512 | Trading member not active
513 | Invalid Contract Descriptor
514 | Order entry in normal market not allowed
518 | Trading member not eligible in normal market
522 | Contract not allowed to trade in normal market
526 | Contract maturity date expired
527 | Contract not available for trading
528 | Price not a multiple of tick size
529 | Quantity not multiple of regular lot
531 | DQ not multiple of regular lot
532 | TM code not allowed in Client A/c No.
538 | Limit price less than Trigger price
539 | Limit price greater than Trigger price
542 | Invalid participant
543 | Participant not active
544 | Order qty exceeds issued capital
548 | Invalid data record
1314 | Trigger price mandatory
1566 | Order qty mandatory
1567 | Qty not a multiple of regular lot
1593 | Order price mandatory
1615 | Invalid price format
1616 | Invalid volume format
1651 | Invalid contract descriptor
1654 | Invalid Pro / Cli
3260 | Invalid Broker Id
5074 | DQ greater than order qty
8566 | Security/ Contract suspended in normal market
8571 | Security/ Contract expelled
16500 | Spread on same contract for Only BUY or SELL disallowed
18001 | Disclosed Quantity entry not allowed
18002 | Immediate OR Cancel entry not allowed
18003 | Minimum Fill OR All or None entry not allowed
18004 | Invalid Book type
18005 | Invalid Buy/Sell
18006 | Invalid Instruction
18007 | Invalid Disclosed Quantity
18008 | Invalid Trigger Price
18009 | Invalid PRO/CLI
18011 | Invalid Open Close
18237 | PAN ID is not associated with Account Number
18305 | Invalid Account Number
30043 | Order quantity exceeds alert quantity
18020 | Invalid Order Type

Another way to generate the offline order entry file is to use the File Conversion facility provided by the “Generate file” section in the Offline Order Entry dialog. This facility allows user to provide minimum amount of order entry information in a Comma Separated Values (plain text i.e .TXT format) and converts it to a regular Offline Order Entry file.

To generate offline order entry file select input file with mandatory fields and click on [G enerate file] button. The offline order entry file will be generated in the same location as the input file with input file’s name appended with the text “_conv”.

Input file format to generate offline order entry file is as follows:
Buy/Sell, Instrument, Symbol, Expiry Date, Strike Price, option type, Price, Quantity, PRO/CLI, Participant, Client Code, Order Type

Field Name | Max Field Size
Buy/Sell | 1
Instrument | 6
Symbol | 10
Expiry Date | 9
Strike Price | 11
Option Type Size | 2
Price | 12
Quantity | 9
PRO/CLI | 1
Participant Type | 12
Client Code | 10
Order Type | 1

BUY/SELL | Mandatory value 1 for buy and 2 for sell
INSTRUMENT NAME SYMBOL EXPIRY DATE STRIKE PRICE OPTION TYPE | Instrument which does not exist will cause order rejection. Error code will be returned if Instrument is not allowed to trade. Field is case sensitive. Should be in all CAPS Symbol which does not exist will cause order rejection. Error code will be returned if the contract is expelled, suspended or not allowed to trade. Field is case sensitive. Should be in all CAPS Field should be left aligned. Blank field will not be accepted. The Expiry date format should be DDMMMYYYY. Invalid Expiry Date will cause order rejection. Month field is Case sensitive. Should be in all CAPS Strike Price format should be 999.9999999 Invalid Strike Price entered will cause order rejection. For futures contract field should be blank. Option Type field is case sensitive. For future contracts, field should be blank.
ORDER PRICE | Mandatory for any order Alphanumeric, special and alphabetic characters except ‘mkt’/ ‘MKT’ are considered invalid. Order price should be a multiple of tick size.
VOLUME (IN NUMBER OF CONTRACTS) | Mandatory for any order. Alphanumeric, special and alphabetic characters are considered invalid. Volume should not be zero. Volume should be a multiple of board lot quantity.
PRO/CLI | Mandatory value 1 –Proprietary and 2- Client
CUSTODIAL PARTICIPANT | Not mandatory for Proprietary orders. Valid and Active Participant code for client orders.
ACCOUNT NO | Not mandatory for Proprietary orders. For CLI orders it should be a valid client account number
ORDER TYPE | Mandatory for any order entry For Cancel On Logout (COL) order type it should be ‘1’ For Non COL order type it should be ‘0’.

Following default values will be considered file conversion.

Book type – RL(Regular Lot)

Time validity – DAY

Cover/ Uncover flag - Uncover

Open / Closed - Open

Status information regarding file processing will be shown in the dialog’s status line.
Result information for each entry in input file will be appended as an error code at the end of line, separated by a comma.

List of Error Codes:

Error code | Description
22000 | Enter Buy/Sell
22001 | Enter Instrument
22002 | Enter Symbol
22003 | Enter Expiry Date
22004 | Enter Strike Price
22005 | Enter Option Type
22006 | Enter Price
22007 | Enter Volume
22008 | Enter Pro/Cli
22009 | Wrong value in PRO/CLI
22010 | Account number not required
22011 | Enter Account Number
22012 | Enter All Fields
22013 | Extra fields entered.
22014 | Invalid Buy/Sell size
22015 | Invalid Instrument Size
22016 | Invalid Symbol Size
22017 | Invalid Expiry Size
22018 | Invalid Strike Price
22019 | Invalid Option Type
22020 | Invalid Price Size
22021 | Invalid Quantity Size
22022 | Invalid Participant Size
22023 | Invalid Account Size
22024 | Enter Participant
22025 | Enter Order Type
22026 | Invalid Order Type Size

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Previous Trades

Invocation

· Function Key: F8

· Menu: Transaction -> Previous Trades

· Toolbar: 13th icon on toolbar

Purpose

The purpose of Previous Trade is to display the previous trades for the day.

Functionality

This functionality is available to all users.

The dealer can view the previous trades for self. The branch manager can view the previous trades for self as well as the dealers attached with the branch. The corporate manager can view the previous trades for self as well as for all dealers/ branch managers of the trading member.

When Previous Trade is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the previous trades across all clients and proprietary accounts for the selected contract are displayed i.e. the selection window is skipped. However, previous trades executed only by self (across all clients and proprietary) would be displayed.

When Previous Trades is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

- The contract descriptor is to be entered manually. If contract descriptor is not specified previous trades in the all contracts for the instrument are considered. However, the result would display the trades executed by self only.

- Only the corporate manager can enter branch ID. The corporate manger can leave the parameter blank to view previous trades across all branches.

- Only corporate manger and branch manager can enter user ID. The corporate manager/ branch manager can leave the parameter blank to view previous trades across all dealers.

- The corporate manager, branch manager or dealer can enter account type. The user can select ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

- The corporate manager, branch manager or dealer can enter time interval. Where time interval is not specified all previous trades till the point in time satisfying the other inquiry parameters would be displayed. When time interval is specified all previous trades executed during the specified time window and satisfying the other inquiry parameters would be displayed.

- The user can enter any combination of the above inquiry parameters.

When Previous Trades is invoked with ‘Disable Inquiry’ option disabled and the contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract. The other rules for inquiry parameters would be the same as explained above.

When Previous Trades is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The rules for inquiry parameters would be the same as explained above.

After selecting the contract, press [Enter] key. The detailed Previous Trade screen is displayed. The 1st line of the detailed screen for a contract will contain Market Type, Instrument, Symbol, Expiry Date, Strike Price, Option Type, Security Status, Last Trade Price, Last Trade Quantity, Last Trade Time, Total Traded Quantity. The second line will contain Buy/Sell Indicator, Open / Close Indicator, Cover / Uncover Indicator, Participant Code, Client Account, User Id, Order Number, Trade Number, Trade Quantity, Trade Price, Trade Time, Participant Trade Indicator P / A / R. The last line (Summary line) will contain Total number of buy trades, Total Buy quantity traded, Total Buy traded value, Average buy traded price, Total number of sell trades, Total Sell quantity traded, Total Sell traded value, Average sell traded price.

The user has to select Instrument type UNDIRD and the Asset and enter the auction number to view auction trades details for the asset.

First all buy trades are displayed and then sell trades are displayed. Within buy trades or sell trades, trades are displayed in a reverse chronological order of the trade numbers.

By pressing [Page down] and [Page up] keys, user can see all the Previous Trades. While pressing [Page up], when it is switching from one contract to another, it will go to the first page of that contract/ security.

Press [Esc] key to exit from the Previous Trade screen.

User can use previous trades screen to cancel/modify the trade.

Trade Modification

Trade Modification can be requested from the Previous Trade screen. The Corporate Manager can request for trade cancellation for any branch or any dealer. The Branch Manager can request for trade modification for any dealer attached to the branch. The dealer can request for trade modification only for trades executed by self.

Please refer help provided on Trade Modification.

Trade Cancellation

Trade cancellation can be requested from the Previous Trade screen. The Corporate Manager can request for trade cancellation for any branch or any dealer. The Branch Manager can request for trade cancellation for any dealer under that branch. The dealer can request for trade cancellation only for trades under that User Id.

Please refer help provided on Trade Cancellation

Navigation \

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key can be used.

Subsequent pages of information can be accessed using <Page Down> key. Previous pages of information in the previous trades screen can be viewed by using <Page Up> key. The <Home> key can be used to move to first page of the inquiry and <End> key to move to the last page of the Inquiry screen.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. Background : Window background color Text : Text Color on the Window Row Separator : Row color on the Window Error Line Background: Error line background color on the Window Error Line Text : Error line text color on the Window
Hide/Show Grid Lines | To hide or show the grid lines on the window.
Show/Hide Header | This will show/hide title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Columns Visible | To hide or show any of the column out of various table columns.
Print Preview | This will show print preview of Previous Trades display depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Previous Trades details as Previous Trades Report on Printer selected.
Print | Print Previous Trades details on selected printer.
Export | This will enable the user to copy complete Sp. Outstanding Orders data to either Text file or CSV file. Default file name is “PreviousTradesDataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the Sp. Outstanding Orders data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Previous Trades data will be pasted to this file.


Order Entry

Invocation

  • Function Key: Buy Order window: F1

Sell Order window: F2

  • Menu: Transaction -> Buy order/ Sell order
  • Toolbar: Buy- 6th icon on toolbar

Sell- 7th icon on toolbar

  • Others: Buy- ‘+’ on number pad

Sell- ‘-’ on number pad

From MBP- Mouse left click

Purpose

The purpose of Order Entry is to allow the user to submit the order to the Exchange for execution.

Functionality

This functionality is available to all users.

The user is required to enter order attributes. The order attributes are specific to the book type as follows:

Market Segment | Market Type | Order Type | Description
Currency Derivatives Market | Normal | Regular Lot | An order that has no special condition associated with it is a Regular Lot order. When this order is placed by a dealer (active order), passive orders stored in the Regular Lot order book is checked for matching. If no match is found, the order is stacked in the Regular Lot book as a passive order.
 |  | Stop Loss | Stop Loss orders are released into the market only when the last traded price for the contract in the Regular Lot reaches or surpasses the Trigger Price specified by the dealer while placing such order. Till this time the order does not participate in matching and therefore, cannot be traded.

After pressing <F1> or <F2>, the system automatically picks up contract information from the Market Watch and fills up contract descriptor fields on the window. In case the contract is not set up in the Market Watch, the user is required to enter the contract descriptor.

The user can set up default order entry attributes for faster order entry through ‘Order Entry Default’.

Buy/ Sell Flag

This flag depends on the operation user is performing. If the user wants to place Buy order & press <F1> Key for the same the flag will be set as “BUY”. Alternatively if the user wants to place Sell order & press <F2> Key for the same the flag will be set as “SELL”.

Order Types

The user can enter either regular lot order or stop loss order. The user can change the order type by using ‘Up’/ ‘Down’ arrow keys.

Open/ Close flag

Not applicable. Default value - Open

Order Type – COL (cancel on logout)

The user can select COL as the order type.

Order Quantity

The order quantity is to be specified in number of contracts wherein each contract would specify number of units for the underlying asset e.g. 1 contract of USDINR represents 1000 USD. Thus, if the dealer wants to place an order to buy or sell 1000 USD, the user would place order with 1 as an order quantity.

The order quantity is defaulted as per order entry default set by the user.

The user can increment or decrement the order quantity by clicking on <Up> or <Down> arrow key. The quantity would be incremented or decremented by one lot size with each click.

Where the order quantity is greater than the freeze quantity specified by the Exchange for the contract, the order would result into quantity freeze. These orders are sent to the Exchange control user for resolution and does not enter into the order book for matching till the control user approves (resolves) the quantity freeze. The message would appear in the message area to this effect and the user is required to call up the exchange to resolve the freeze and release the order into the order book for matching.

Yield /Quote price indicator (YD/QP)

This field will be displayed only for FUTIRT instrument. User can specify the whether to place an order in quote price or yield. If user opts for quote price, the control will shift to price field and yield will be computed based on the quote price entered and vice versa.

Order Price

The best price on the counter side gets defaulted in the order entry screen. A user has the option to either enter the order at the default price or overwrite it with any other desired price.

The user would be allowed to place order price with precision as applicable for the underlying asset of the contract to be traded e.g. for USDINR the order price is to be quoted in four decimal places. The order price has two parts viz. the rupee part and paisa part separated with decimal point (.). The paisa part of the order price is marked in bold to distinguish it from the rupee part. Where the default order price is available, the cursor will skip the rupee part and directly placed on paisa part. The user can increment or decrement the default price by clicking on <Up> or <Down> arrow key. The price would be incremented or decremented by 0.0025 paisa with each click. Alternatively, the user can type the paisa part of the order price in multiples of tick size. The user can change the rupee part of the order price by mouse click on rupee part or by pressing <Shift> + <Tab>.

Alternatively, the user can set the order price as Market Price by pressing ‘/’ key on numeric key pad either from rupee part or from paisa part of the order price.

In case of Stop Loss orders, a user is required to specify a limit price and the trigger price. The trigger price cannot be ‘Market’ price. However, the user can specify limit price as market price.

Where the order price is outside the day minimum and maximum range specified for the contract by the Exchange, the order would be rejected.

Where the order price is outside the operating range but within the day minimum and maximum range specified for the contract by the Exchange, the order would result into price freeze. The price freeze orders are not considered for matching unless the Exchange approves such orders.

Where the order price is outside the operating range but within the day minimum and maximum range specified for the contract by the Exchange, the order would result into price freeze. These orders are sent to the Exchange control user for resolution and does not enter into the order book for matching till the control user approves (resolves) the price freeze. The message would appear in the message area to this effect and the user is required to call up the exchange to resolve the freeze and release the order into the order book for matching.

Yield

For IRD/IRT contracts yield will be automatically displayed for limit price entered by the user. For market price entered by the user text ‘YIELD’ will be displayed.

Order Duration

The order can be placed with time validity. Time validity specifies the duration for which the order, if not matched, would remain as passive order in the Exchange order book. At present only Day and IOC orders are available

Day

This is the default time validity for an order. This time validity implies that at the end of the current trading day, if the order is not completely traded then it will be canceled by the system.

Immediate or Cancel (IOC)

This time validity implies that when the order is send to host it should immediately matched else it should be cancelled. If the order gets partially traded the order will be cancelled with the un-matched quantity.

Quantity Conditions

Not Applicable

Counterparty id (CPID)

Not Applicable

Trigger price

Trigger price order attribute is specific to the Stop Loss orders. This is the price at which the order will get triggered off in the regular lot book for matching. If the limit price is specified for stop loss order in order price field, trigger price should be less than the limit price for buy stop loss order and vice a versa for the sell stop loss order.

Pro/Cli

The account type order attribute allows the user to specify whether the order is placed on behalf of the trading member (PRO – proprietary) or on behalf of the client (CLI – Client) of the trading member.

Account number

Where the account type is PRO, the trading member code is defaulted as account number and the user is not allowed to change this account number. However, if the account type is CLI, the user must enter valid client code available in the client master. A facility is provided to select client code from the client master by pressing <up> and <Down> arrow keys. Where the order is placed for the client code outside the client master the user is required to acknowledge the message to that effect. This message also enables the user to set up the client code before resuming the order entry.

Settler (Participant ID)

The default value is the trading member code. This is irrespective of the account type selected. Where the account type is PRO the user is not allowed to change the settler. Thus, the trades resulting from PRO order are to be settled by the trading member.

When the account type is CLI the user is allowed to change the settler. If the user retains the default value, trades resulting from such CLI order are to be settled by the trading member. However, if the user changes the default trading member code to a valid custodian participant (CP) code, the trades executed from such order would be considered as CP trades. These trades are subject to give up mechanism available to the clearing member of the CP code entered. Where such clearing member accepts the trades, it would be settled by the clearing member of the CP.

After entering order attributes, press ‘ENTER’ on numeric key pad to send the request to the Exchange. All fields would be disabled with a message at the right corner to press ‘Confirm’ (right ‘Ctrl’ key) to submit order to the Exchange for matching.

Each order is subject to the following limit checks:

Branch Order Value Limit Check

User Order Value Limit Check

Order Limit Check

Order Price Limit Check

Quantity Freeze

Price Freeze

The action taken by the Exchange upon receiving the order is displayed in Message window.

The PAN as mentioned in the client master, shall be auto fetched and sent during order entry for the respective client. The PAN shall be displayed in the order confirmation message on message area.

Auction order entry:

· A facility is provided for the user to enter solicitor orders.

· The user can place solicitor orders by invoking the sell order entry window

· The user has to select book type ‘AU’ and enter the auction number, quantity and price for entering solicitor orders.

· Only limit price is allowed for auction orders hence MARKET orders will not be applicable.

· Auction orders modification is not allowed.

· The user can cancel auction orders by using order cancellation or quick order cancellation.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key may be used.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked . On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Order window: Buy Background : Background color of Buy Order Window Buy Text : Text Color of Buy Order Window Sell Background : Background color of Sell Order Window Sell Text : Background color of Sell Order Window Buy Error Background : background color of Error Message for Buy Order Window Buy Error Text: Text color of Error Message for Buy Order Window Sell Error Background : Background color of Error Message for Sell Order Window Sell Error Text: Text color of Error Message for Sell Order window.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default Hide Caption)


Order Modification

Invocation

  • Function Key: Shift + F2.
  • Menu: Transaction -> Order modification
  • Toolbar: 8th icon on the toolbar
  • Others: From Order Log and Outstanding Orders

Purpose

The purpose of the Order Modification is to allow the user to modify outstanding orders.

Functionality

This functionality is available to all users.

The corporate manager can send order modification request to the Exchange for the orders entered by self or any dealer of the trading member.

The branch manager can send order modification request to the Exchange for the orders entered by self or associated dealer.

The dealer can send order modification request to the Exchange for orders entered only by self.

The user is required to enter order number to be modified as follows:

- When the user invokes order modification through function key or menu, the date part of the order number will be defaulted in the Order Number field. The dealer will have to fill in the rest of the order number.

- When the user invokes order modification from Order Log, the order number would be defaulted in the Order Number field.

- When the user invokes order modification from Outstanding Orders, the secondary window of order modification will be invoked with details of the selected order.

When user press ‘Enter’ key the user would be presented with the details of the order to be modified. Order modification details are similar to the order entry details.

The method to invoke spread order modification is same as explained above. Spread modification details are similar to the spread order entry details.

Order Type

The user can change stop loss order to normal order or vice a versa. Change in order type would result into the order loosing its priority. This is not applicable to spread order.

Order Quantity

The user can increase or decrease the order quantity. The rules for revised quantity would be similar to that applicable during order entry/ spread order entry. Increase in order quantity would result into the order loosing its priority. However, priority of the order is retained if the quantity is decreased.

Order Price

The user can increase or decrease the order price/ price difference. The rules for revised order price would be similar to that applicable during order entry. Increase or decrease in order price would result into the order loosing its priority.

Yield

Yield displayed will be automatically updated with the corresponding change in the order price of the contract.

Order Duration

The user can change time validity of the order. Day order can be changed to IOC and vice a versa. Change in order duration would result into the order loosing its priority.

Time validity of spread order cannot be changed.

Trigger Price

Like order price, the user can increase or decrease the trigger price in case of stop loss order. The rules for revised trigger price would be similar to that applicable during order entry. Increase or decrease in trigger price would loose priority of the order.

This attribute is not applicable for spread orders.

Pro/ Cli, Account Number, Settler (Participant Id)

User will not be allowed to modify order for account type, account number and settler fields.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key may be used.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Order window: Buy Background : Background color of Buy Order Window Buy Text : Text Color of Buy Order Window Sell Background : Background color of Sell Order Window Sell Text : Background color of Sell Order Window Buy Error Background : background color of Error Message for Buy Order Window Buy Error Text: Text color of Error Message for Buy Order Window Sell Error Background : Background color of Error Message for Sell Order Window Sell Error Text: Text color of Error Message for Sell Order window.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default Hide Caption)


Order Cancellation

Invocation

  • Function Key: Shift + F1
  • Menu: Transaction -> Order cancellation
  • Toolbar: 9th icon on the toolbar
  • Others: From Order Log and Outstanding Orders

Purpose

The purpose of the order cancellation is to allow the user to cancel outstanding orders.

Functionality

This functionality is available to all users.

The corporate manager can send order cancellation request to the Exchange for the orders entered by self or any dealer of the trading member.

The branch manager can send order cancellation request to the Exchange for the orders entered by self or associated dealer.

The dealer can send order cancellation request to the Exchange for orders entered only by self.

The user is required to enter order number to be cancelled as follows:

- When the user invokes order cancellation through function key or menu, the date part of the order number will be defaulted in the Order Number field. The dealer will have to fill in the rest of the Order Number. When user presses ‘Enter’ details of the order to be cancelled are presented.

- When the user invokes order cancellation from Order Log or Outstanding Order, the order number would be defaulted in the Order Number field. If the user presses ‘Enter’ details of the order to be cancelled are presented. However, if user double clicks on order from Order Log or Outstanding Order, then order cancellation request screen will not be invoked and order cancellation details will be presented.

Order cancellation details screen is similar to the order entry screen. The user can not modify any order attribute.

The method to invoke spread order cancellation is same as explained above. Spread order cancellation details screen is similarly to the spread order entry screen. The user can not modify any attribute of the spread order.

Order cancellation from outstanding order window using [Delete] and [Ctrl + Delete]

This feature is available only to cancel dealer’s own outstanding orders.

1. Invoke outstanding order details screen.

2. Shift focus from market watch to outstanding order detail screen by pressing [Ctrl + TAB] key combination.

- To cancel selected order

· Locate the order to be cancelled.

· Press [Delete] key to cancel that order.

· After successfully cancellation of selected order, cancellation indicator for the order shall display “CXL” indicating cancelled order.

- To cancel all outstanding orders of the selected contract press [Ctrl + Delete] key combination.

To delete outstanding orders across all the books.

1. Invoke outstanding order details screen from blank market watch row.

2. Select book type as ‘ALL’ in primary outstanding order entry window.

3. Press [Ctrl + Delete] key combination.

4. Acknowledge the pop up window asking for user confirmation. All the outstanding orders will be cancelled.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Order window: Buy Background : Background color of Buy Order Window Buy Text : Text Color of Buy Order Window Sell Background : Background color of Sell Order Window Sell Text : Background color of Sell Order Window Buy Error Background : background color of Error Message for Buy Order Window Buy Error Text: Text color of Error Message for Buy Order Window Sell Error Background : Background color of Error Message for Sell Order Window Sell Error Text: Text color of Error Message for Sell Order window.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default Hide Caption)


Order Status

Invocation

  • Function Key: Shift+F12
  • Menu: Transaction -> Order Status
  • Toolbar: 11th icon on toolbar
  • Right click on the order displayed in order log

Purpose

The purpose of Order Status is to allow the user to display current order status along with other order details for the specific self order.

Functionality

This functionality is available to all users.

The user needs to send a request with specific order number to get the order status.

The order number is defaulted when Order Status is invoked from outstanding orders or order log else the user needs to enter the order number.

Market | Line No | Fields | Values
Currency Derivatives Market | Part I | Book Type |
 |  | Instrument Type |
 |  | symbol |
 |  | Expiry date |
 |  | Strike Price |
 |  | option Type |
 |  | Order Number |
 |  | Order type | Buy
 |  |  | Sell
 |  | Open/ Close Indicator | Open | O
 |  |  | Close | C
 |  | Cover/ Uncover Indicator | Cover | V
 |  |  | Uncover | U
 | Part II | Total Order Quantity |
 |  | Order price |
 |  | pro/ Cli Terms | Proprietary Order | PRO
 |  |  | Client order | CLI
 |  | Account Number |
 |  | Participant Id |
 |  | Trade Quantity |
 |  | Trade Price |
 |  | Trade Time |
 |  | Trade Number |
 | Part III | Disclosed quantity |
 |  | MF/AON indicator | Min Fill | MF
 |  |  | All Or None | AON
 |  | MF quantity |
 |  | Trigger price |
 |  | Duration Terms | Order valid for a day | Day
 |  |  | Order valid till date/ day | GTD
 |  |  | Order valid till cancellation | GTC
 |  | Order Type | Order type Cancel On Logout (COL) | COL
 |  |  | Order type Non-COL | Blank
 |  | Indicator 1 | Order was Modified | MOD
 |  | Indicator 2 | Order was cancelled | CXL
 |  | Quantity Traded Today |
 |  | Balance Quantity Remaining |
 |  | Weighted Average Traded Price |

The trade details are displayed only if the order is traded either partially or fully. The weighted average trade price for filled order quantity is also displayed in the order status information.

The order status screen is not dynamically updated.

Navigation

To navigate in this module use [Tab] and [Shift + Tab] keys.

To view subsequent pages of information, press ‘Pg Up’ key. To move to the previous page, press ‘Pg Dn’ key. To move to the first page, press ‘Home’ key and to move to the last page, press ‘End’ key.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items.
Show Header | This will show title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Print Preview | This will show print preview of Order Status data depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Order Status details as on Printer selected.
Print | Prints Order Status on selected printer.
Export | This will enable the user to copy Order Status data to either Text file or CSV file. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Order Status data will be pasted to this file.


Quick Order Cancellation

Invocation

· Function Key: Shift + F3

· Menu: Transaction -> Quick Order Cancellation

· Toolbar: N.A.

Purpose

The purpose of the Quick Order Cancellation is to allow the user to cancel bulk outstanding (un-matched) orders.

Functionality

This functionality is available to all users.

The corporate manager can send quick order cancellation request to the Exchange for the orders entered by self or any dealer of the trading member.

The branch manager can send quick order cancellation request to the Exchange for the orders entered by self or associated dealer.

The dealer can send quick order cancellation request to the Exchange for orders entered only by self.

The user is required to enter criteria for canceling the orders. For Corporate Manager ‘Branch Id’ and ‘User ID’ combination is mandatory and for Branch Manager ‘User Id’ is mandatory. Alternatively the corporate manager can enter 0 in branch id and user id to cancel orders across all users satisfying the criteria and the branch manager can enter 0 in user id to cancel orders across all associated dealers linked to the branch satisfying the criteria.

The user is required to select book type from which orders are to be cancelled. If ALL book type is selected all normal, stop loss as well as spread orders satisfying the specified criteria would be cancelled.

The other criteria for filtering order to be cancelled are as follows:

Account Types (PRO/CLI/ ALL)

Orders satisfying specified criteria can be canceled for account type. For client account type (CLI), client account number is mandatory. For proprietary account type (PRO), client account number is defaulted as trading member code. There is also a facility to cancel orders across all account types using ALL.

Open/ Close Flag

Not Applicable

Covered/ Uncovered Flag

Not Applicable

Contract Descriptor

Orders satisfying specified criteria can be canceled for contract descriptor. The contract descriptor is mandatory.

Buy/ Sell Flag

Orders satisfying specified criteria can be canceled for a side. The user can cancel only buy side or only sell side or both sides orders.

To send the order cancellation request press ‘Enter’.

The user will be presented with count of orders that satisfies the criteria and therefore, due for cancellation. A message would be prompted at the right bottom side to press right “Ctrl” key to proceed with order cancellation request to the Exchange.

Order cancellation for Suspended Member

When the trading member is de-activated from trading for capital adequacy, settlement shortage or any other risk management/ compliance related issues during trading hours, all outstanding orders of such trading member in all books are immediately cancelled. When the clearing member is de-activated from trading for similar reasons, all outstanding orders of the trading members, CP codes associated with the clearing member in all books are immediately cancelled. A message “Order Number ..........cancelled by the system” is displayed at the message window screen at the trader workstation.

Order cancellation at the end of day

All day orders not matched till end of trading hours are cancelled by the Exchange after trading hours.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Order window: Buy Background : Background color of Buy Order Window Buy Text : Text Color of Buy Order Window Sell Background : Background color of Sell Order Window Sell Text : Background color of Sell Order Window Buy Error Background : background color of Error Message for Buy Order Window Buy Error Text: Text color of Error Message for Buy Order Window Sell Error Background : Background color of Error Message for Sell Order Window Sell Error Text: Text color of Error Message for Sell Order window.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default Hide Caption)


Trade Modification

Invocation

  • Function Key: Shift + F5
  • Menu: Transaction -> Trade Modification
  • Toolbar: N.A.
  • Others: From Trade Log or Previous Trades on right click

Purpose

The purpose of Trade Modification is to allow the user to modify trades executed during the day.

Functionality

This functionality is available to all users.

The user can modify only the client code of the trade.

The PAN for the modified client code as mentioned in the Client Master shall be auto fetched and sent during Trade Modification. The modified PAN shall be displayed in the trade modification confirmation message on message area.

The corporate manager can modify trade executed by self or any dealer of the trading member.

The branch manager can modify trade executed by self or associated dealer.

The dealer can modify trades executed only by self.

The user is required to enter order number to be modified as follows:

- When the user invokes trade modification through function key or menu, the dealer will have to fill in the order number.

- When the user invokes trade modification from Trade Log or Previous Trades, the order number would be defaulted in the order number field.

When user presses ‘Enter’ key, the user would be presented with the multiple trade modification window containing details of all the trades to be modified resulted from selected order number.

The proprietary trade cannot be modified to client trade or vice a versa.

If the client trade involves CP code, the client code and/ or CP code of such trade is allowed to update only if the trade is not approved/ rejected by the clearing member of the CP. When CP code for such trade is modified, the clearing member(s) of the CP code is also notified. If the clearing member of old CP code and new CP code is not the same, the trade would be removed from the pending list of the Clearing Member of the old CP code and added into the pending list of the Clearing Member of the new CP code.

The user can modify sell side auction trades till the trade mod cut off time for auction market.

The modified client code is validated on the same rules as applicable during order entry.

Trade modification facility is available to all users till cut off time specified by the Exchange.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by a mouse click and pressing apply. Background: Window background color Text Color: Text Color on the Window
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)


Trade Cancellation

Invocation

  • Function Key: Shift + F4
  • Menu: Transaction -> Trade Cancellation
  • Toolbar: N.A.
  • Others: From Trade Log or Previous Trades on right click

Purpose

The purpose of the Trade Cancellation is to allow the user to send trade cancellation request to the Exchange.

Functionality

This functionality is available to all users.

The corporate manager can send trade cancellation request to the Exchange for the trade executed by self or any dealer of the trading member.

The branch manager can send trade cancellation request to the Exchange for the trade executed by self or associated dealer.

The dealer can send trade cancellation request to the Exchange for trades executed only by self.

The user is required to enter trade number to be cancelled as follows:

- When the user invokes trade cancellation through function key or menu, the dealer will have to fill in the Trade number. When user presses ‘Enter’ the details of the trade to be cancelled are presented.

- When the user invokes trade cancellation from Trade Log or Previous Trades, the trade number would be defaulted in the Trade Number field. If user presses ‘Enter’ the details of the trade to be cancelled are presented. However, if user double clicks on trade from Trade Log or Previous Trades, then trade cancellation request screen will not be invoked and trade cancellation details will be presented.

Buy side details of the trade would appear on the first row and sell side details of the trade would appear on the second row.

The user is allowed to view the buy side details only if the user is on buy side of the trade and vice a versa.

The user cannot modify any attribute of the trade.

Trade cancellation request cannot be sent to the Exchange when it involves CP code (either from buy side or sell side) and the clearing member of the CP has already approved it.

When the trade cancellation request is sent to the Exchange for resolution, a counter party of the trade is also notified of such trade cancellation request. The counter party is required to make a similar request for the Exchange to approve the request.

The Exchange rejects the trade cancellation request if similar request is not received from the counter party.

However, even if the trade cancellation request is received from both the counter parties it is the Exchange prerogative to accept or reject the request.

Auction trade cancellation is not allowed.

Navigation

Not applicable

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. Background: Window background color Text Color: Text Color on the Window
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)


Outstanding Orders

Invocation

· Function Key: F3

· Menu: Transaction -> Outstanding Orders

· Toolbar: 10th icon on toolbar

Purpose

The purpose of Outstanding Orders is to allow the user to view outstanding orders for the day. An outstanding order is an order that has not yet been completely traded or cancelled.

Functionality

This functionality is available to all users.

The dealer can view the outstanding orders for self. The branch manager can view the outstanding orders for self as well as the dealers attached with the branch. The corporate manager can view the outstanding orders for self as well as for all dealers/ branch managers of the trading member.

When outstanding orders is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the outstanding orders across all clients and proprietary accounts for the selected contract are displayed i.e. the selection window is skipped. However, outstanding orders executed only by self (across all clients and proprietary) would be displayed.

When outstanding order is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

- The contract descriptor is to be entered manually. However, if contract descriptor is not specified outstanding orders in all contracts for the instrument are considered. However, the result would display the orders executed by self only.

- The corporate manager, branch manager or dealer can enter book type. The user can select ‘ALL’ indicating all book types or ‘RL’ indicating regular lot book type only or ‘SL’ indicating Stop Loss book type only.

- Only the corporate manager can enter branch ID. The corporate manger can leave the parameter blank to view outstanding orders across all branches.

- Only corporate manger and branch manager can enter user ID. The corporate manager/ branch manager can leave the parameter blank to view outstanding orders across all dealers.

- The corporate manager, branch manager or dealer can enter account type. The user can select ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

- The user can select ‘ALL’ indicating all order types or ‘COL’ indicating ‘Cancel On Logout’ order type for himself.

- The user can enter any combination of the above inquiry parameters.

When outstanding order is invoked with ‘Disable Inquiry’ option disabled and the contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract. The other rules for inquiry parameters would be the same as explained above.

When outstanding order is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The rules for inquiry parameters would be the same as explained above.

After selecting the contract, press [Enter] key. The detailed Outstanding Orders screen is displayed with buy orders shown to the left and the sell orders to the right of screen. The orders are displayed in order of Regular Lot orders and then Stop Loss orders. The 1st line will contain Market Type, Security Status, Label for Current Time and Current Date. The outstanding orders details will be displayed from second line onwards and includes User ID, Open / Close, Cover / Un Cover Indicator, Client A/C Number, Order Number, Order Quantity Remaining. The summary line displays the fields such as Total Buy Order Quantity, Total Sell Order Quantity.

The user has to select Instrument type UNDIRD and the asset and enter the auction number to view auction outstanding orders for the asset.

The user can use outstanding order screen to cancel/modify the order.

Order Modification

Order Modification can be requested from the Outstanding Order screen. The Corporate Manager can request for order modification for any branch or any dealer. The Branch Manager can request for order modification for any dealer attached to the branch. The dealer can request for order modification only for orders executed by self.

Please refer help provided on Order Modification.

Order Cancellation

Order cancellation can be requested from the Outstanding Order screen. The Corporate Manager can request for order cancellation for any branch or any dealer. The Branch Manager can request for order cancellation for any dealer under that branch. The dealer can request for order cancellation only for orders under that User Id.

Please refer help provided on Order Cancellation

Order Status

Order status can be inquired from the Outstanding Order screen. The Corporate Manager can inquire order status for any branch or any dealer. The Branch Manager can inquire order status for any dealer under that branch. The dealer can inquire order status only for orders under that User Id.

Please refer help provided on Order Status

Press [Esc] key to exit from the Outstanding orders screen.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key can be used.

Subsequent pages of information can be accessed using <Page Down> key. Previous pages of information in the previous trades screen can be viewed by using <Page Up> key. The <Home> key can be used to move to first page of the inquiry and <End> key to move to the last page of the Inquiry screen.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items .
Show Header | This will show title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Hide / Show Grid Lines | This will hide or show grid lines on window .
Print Preview | This will show print preview of Outstanding Orders data depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Outstanding Orders details as on Printer selected.
Print | Prints Outstanding Orders on selected printer.
Export | This will enable the user to copy Outstanding Orders data to either Text file or CSV file. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Outstanding Orders data will be pasted to this file.


GiveUp Trades

Give Up Trade

Invocation

· Function Key: Ctrl + G

· Menu: Dialogs -> Giveup trades

· Toolbar: N.A.

Purpose

The purpose of Give Up Trade is to allow the clearing member to approve or reject trades entered on behalf of the Custodian Participants (CP) clearing through the clearing member.

Functionality

This functionality is available only to the corporate manager of the clearing member.

The information on trades executed on behalf of the CP is sent to the clearing member of CP for approval/ rejection. The clearing member can approve or reject such trades using this facility also known as ‘Give Up’. The ‘Give Up’ facility is available till the cut off time specified by the Exchange.

The list of trades pending confirmation is displayed as a default. The user can also view separate list of Rejected Trades and Approved Trades.

The user can filter trades on the combination of side (buy/ sell or both) and CP code.

For the purpose of confirmation or rejection, the user can select a single pending trade or multiple pending trades. Alternatively, the user can approve or reject multiple trades through file upload facility.

CP trades confirmed are shifted from pending trades list to approved trades list. CP trades rejected are shifted from pending trades list to rejected trades list.

A facility is provided for the user to approve or reject buy side auction related participant trades for IRD contract specific underlying.

APPROVE ALL TRADES

A facility is provided to allow the clearing member to send blanket approval for all trades pending confirmation. However, this facility is provided only for a short duration after the cut off time as specified by the Exchange. Thus, close to approaching the cut off time the clearing member can first reject the trades not executed by its CP (assuming such trades are small in numbers as compared to trades to be approved) and immediately after the cut off time use approve all facility to confirm all pending trades.

All CP trades pending clearing member confirmation at the end of the cut off time are considered as rejected by the Exchange if approval all facility is not used by the clearing member.

To print trades from pending/ approved/ rejected list press [PRINT].

To save trades from pending/ approved/ rejected list in separate CSV file formats press [SAVE].

To save all trades from pending/ approved/ rejected list in a single CSV file format press [SAVE ALL].

To close this screen press [EXIT]

|Note:

When the CP trade is executed it is included as a client position of the trading member.

When the clearing member of the CP confirms the trade, the position is shifted from the trading member who had executed the trade to the clearing member of the CP.

When the clearing member of the CP rejects the trade, the position is shifted within the trading member who had executed the trade i.e. it is considered as proprietary positions.

Navigation

The user can navigate on the window using <TAB> and <SHIFT + TAB>

Menu Options

Not applicable


Order Entry Defaults

Invocation

  • Function Key: Ctrl + E
  • Menu: Dialogs -> Order Entry Defaults.
  • Toolbar: N.A.

Purpose

The purpose of the Order Entry Defaults is to allow the user to set the default order entry attributes for quick order entry

Functionality

This functionality is available to all users.

The user can enable or disable the order entry default parameter. The default order entry values set would be used during the order entry/ spread order entry only if it is enabled.

The list of fields available to the user to set order entry default is given below:

Market Segment | Field | Values | Description
 | Order Quantity | Market Watch | Defaults order quantity at the best price on the counter side to order quantity field. If no such order is available on the counter side, then regular lot.
 |  | Regular Lot | Defaults Regular Lot quantity to order quantity field.
 |  | Default Quantity | User defined order quantity for each order (Normal as well as Spread).
 | Pro/Cli Terms | Pro | Select term to be defaulted whenever order entry window is invoked.
 |  | Cli
 |  | Client Account No | Default Client Account Numbers from Client Database in case of CLI term
 | Save Previous Order details | Account No | Select the fields to save the last confirmed order’s client account no. This Client A/C No will be defaulted for next order entry invocation.
 |  | Participant | Select the fields to save the last confirmed order’s client Participant ID. This Participant ID will be defaulted for next order entry invocation.
 | Client A/c Check Warning Required |  | Select to Prompt the client A/C No does not exist warning message during Order entry.
 | COL Order |  | Select the field to default COL order type whenever order entry window is invoked.
 | Self Trade Prevention Check |  | The Self Trade Prevention Option will be set to “Cancel Passive Order” by default. User can change the Self Trade Prevention Option to “Cancel Passive Order” or “Cancel Active Order” by clicking on respective radio button.

To save the order entry default press [Save]

To exit from order entry default press [Exit]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Order Entry Default From Market Watch

Invocation

  • Function Key: Ctrl + D
  • Menu: Tools -> Order Entry Default From Market Watch
  • Toolbar: Not Applicable

Purpose

The purpose of the Order Entry Default from Market Watch is to allow the user to set the defaulting of contract descriptor from Market watch when order entry screen is invoked.

Functionality

This functionality is available to all users.

This parameter is enabled by default. Thus, the contract descriptor selected by the user on Market Watch would always be the contract descriptor for the order entry.

The user can enable or disable this parameter. If disabled, the contract descriptor from the inquiry presently invoked and focused would be the default contract descriptor for the order entry.

Navigation

Not applicable.

Menu Options

Not applicable


Online and Offline Order/Trade Printing

Invocation

  • Function Key: Online Print – Ctrl + O

Offline Print – Ctrl + F

  • Menu: Dialogs -> Online Print/ Offline Print
  • Toolbar: N.A.

Purpose

The purpose of the Online Print is to allow user to enable/disable order slip printing and to toggle between one line and tabular slips.

The purpose of the Offline Print is to allow the user to reprint order slips by filtering and providing a range of slips to print.

Functionality

Online Print

This option is disabled by default. The user can enable this option and select the print format. The default format is tabular. However, the user can change the format to one line. When online print is enabled all order and trade related messages will be printed instantly to the workstation printer.

Offline print

The user needs to select the following combination to filter the records before printing:

Transaction type: Order or trade or spread orders or give up trades

Format: One line or tabular

Print Type: confirmation, modification, cancellation, rejection

All messages fulfilling the selection criteria will be printed to the workstation printer. To start printing press [Start]

Book type will be “AU” and Market type will be “A” for all auction related offline and online print slips.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable.


Enable calculation of Greeks

Invocation

  • Function Key: Ctrl+Shift+G
  • Menu: Tools -> Enable Options Greeks
  • Toolbar: N.A

Purpose

The purpose of the ‘Enable calculation of Greeks’ functionality is to allow the user to either enable / disable the computation of Greeks for display on the market watch.

Functionality

This functionality is available to all users.

The functionality is applicable to option contracts displayed on the market watch.

When user selects ‘Enable calculation of greeks’ option as disabled (i.e not ticked), greeks won’t be computed and the ‘Delta, Gamma, Vega, Theta & Rho’ field will be left blank.

In case ‘Enable calculation of greeks’ option is enabled (ie ticked), Delta, Gamma, Vega, Theta & Rho will be computed & displayed on the market watch.

By default, this functionality will be enabled (tick marked) and therefore, the user need to acknowledge confirmation message as explained above.

Navigation

Not applicable

Menu Options

Not applicable


Enable calculation of implied volatility

Invocation

  • Function Key : Ctrl+Shift+I
  • Menu: Tools -> Enable Implied Volatility
  • Toolbar: N.A.

Purpose

The purpose of the ‘Enable calculation of implied volatility’ functionality is to allow the user to either enable / disable the computation for display of implied volatility on the market watch.

Functionality

This functionality is available to all users.

The functionality is applicable to option contracts displayed on the market watch.

When user selects ‘Enable calculation of implied volatility’ option as disabled (i.e not ticked), implied volatility will not be computed and the ‘IV’ field is left blank.

In case ‘Enable calculation of implied volatility’ option is enabled (ie ticked), implied volatility will be computed & displayed on market watch screen.

By default, this functionality will be enabled (tick marked).

Navigation

Not applicable

Menu Options

Not applicable


Closeout Order Entry

Invocation:

 Function Key : Ctrl + Shift + X

 Menu : Transaction -> Close Out Order Entry

 Toolbar : NA

Purpose:

The purpose of close out order entry is to allow corporate manager of clearing member to place close out orders on behalf of linked trading members.

Functionality:

Closeout is a facility provided to trading members in close out mode to place an opposite order with intent to reduce the open positions through normal order entry screen. This facility is now extended to Clearing Members to close out open positions of the linked trading members.

Clearing members can place order entry on behalf of the linked trading members by invoking close out order entry window. This facility is extended to only PCM & PCM+TM. Only user type Corporate Manager is allowed to invoke the new order entry screen.

Corporate manager can invoke the window using (CTRL+SHIFT+X) key stroke. Close out orders entered shall be Regular Lot (RL) and Immediate or cancel (IOC) orders.

Order confirmation / cancellation messages shall be sent to corporate manager of clearing member and corporate manager of trading member, on whose behalf the order was placed.

If the order is rejected by the close out system, the rejection message shall be sent only to the clearing member.

If the order is matched, the trade confirmation shall be sent to the clearing member and the trading member on whose behalf order was placed.

Contents of closeout order entry screen

1. Buy/sell Flag

2. Book type

3. Open/close field

4. Cover/uncover field

5. Instrument type

6. Symbol

7. Expiry date

8. Strike prices

9. Option Type

10. Quantity

11. Price

12. Broker ID

13. Order type

14. Pro /client field

15. Account number

16. Participant ID

Quantity

The order quantity is to be specified in number of contracts wherein each contract would specify number of units for the underlying asset e.g. 1 contract of USDINR represents 1000 USD. Thus, if the dealer wants to place an order to buy or sell 1000 USD, the user would place order with 1 as an order quantity.

Price

User shall enter the price in the multiples of the tick size and within the Day minimum/ maximum price range; else the order shall not be accepted by the system

If a price outside the Operational Range is entered, the order results in a price freeze

An additional flexibility provided to users is the 'Market' price option. By using the '/' key of the numeric keypad, in the price field, a user can enter an order with a 'Market' price.

Broker ID

Clearing member will be allowed to place order entry only for the linked trading member who is in close-out.

In case of certain fields, the system takes the following defaults

Market type - RL

Open/close field - O

Cover/uncovered field - U

Order type - IOC

Navigation:

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options:

N.A.


Multiple Trade Modification

Multiple Trade Modification and Cancellation

Invocation:

· Key Sequence: <Shift> + <F6>

· Menu: Transaction->Multiple Trade Cxl/ Mod

· Toolbar: N.A

Purpose

The purpose of the multiple trade modification and cancellation menu is to allow the user to send request to modify or cancel trade(s) executed against order number.

Functionality:

This functionality is available only to dealer.

The dealer can modify or cancel trade(s) based on the order number, only if the order is not outstanding in the order book.

User can enter the order number and press [Get Details] to get the order details as well as trade details corresponding to the order.

A facility is also provided to select the contract descriptor & client/ CP code to filter the order numbers in the ‘Order Number’ box.

To enter a cancellation request, the user needs to select the ‘Trade cancellation’ option. [Cancel Trade] is enabled when the order and trade details for the selected order is displayed. The ‘New Account’ and ‘New Participant’ fields in the order details are disabled for trade cancellation. The user can click on [Cancel Trade] to send cancellation requests to the Exchange for all trades available in the result area. The user needs to acknowledge a confirmation to complete the request.

To enter a trade modification request, the user needs to select the ‘Trade modification’ option. [Modify Trade] is enabled when the order and trade details for the selected order is displayed except where the trades are proprietary or CP trades already confirmed by the clearing member of the CP. For other trades, the user is allowed to modify client account number and/or participant code by entering the fields ‘New Account’ & ‘New Participant’ and then click on [Modify Trade]. The user needs to acknowledge a confirmation to complete the request. A facility is provided to select client account number from client master by pressing down arrow key on the new account number. If the new client code is linked to the CP in client master, the CP code is populated in participant field.

The PAN for the modified client code as mentioned in the Client Master shall be auto fetched and sent during Trade Modification. The modified PAN shall be displayed in the trade modification confirmation message on message area.

If user doesn’t enter new client code and/or new participant code, then system gives error message as “Trade MOD cannot be requested as Trade details are unchanged”. It should be noted that if these details are already changed for some of the trades, a message would indicate that only the balance trades are modified.

This trade Modification/ cancellation facility is applicable for all the trades that are being displayed in the list i.e. this facility is not applicable to modify or cancel only selected trades from the trade list.

User can modify spread order trades or 2L/3L order trades by entering order number.

Corporate manager is able to modify trades executed by linked branch manage and dealer. Branch manager is able to modify the trades executed by linked dealer.

Navigation:

The screen can be traversed using <Tab> and <Shift + Tab> keys.

On pressing <Enter>, the details for the Order number entered will be displayed.

Menu Options:

N.A.


Yield Calculator

Invocation:

· Function Key: CTRL+SHIFT+Y

· Menu: Dialog-> Yield Calculator

· Toolbar: N.A.

Purpose:

The purpose of the yield calculator is to allow user to calculate future discount yield, yield, valuation price or quote price for 91Tbill contracts.

Functionality:

This functionality is available to all the users.

The user can specify any of the following input and other values will be computed accordingly.

Quote Price

Future Discount Yield

Valuation Price

Yield

To calculate the values press [Calculate]

To reset the values press [Reset]

Navigation:

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys

Menu Options:

N.A.


Spread Order Entry

Invocation

  • Function Key:

Ctrl + F3

Buy Spread Order Entry - F1 when invoked from one liner spread contract combination

Sell Spread Order Entry – F2 when invoked from one liner spread contract combination

  • Menu: Transaction -> Spread Order Entry
  • Toolbar: 17th tool on the toolbar
  • Others:

Buy Spread Order Entry - ‘+’ when invoked from one liner spread contract combination

Sell Spread Order Entry – ‘-‘ when invoked from one liner spread contract combination

From MBP – mouse click

Purpose

The purpose of Spread Order Entry is to allow the user to submit combination orders to the exchange for execution.

Functionality

The functionality is available to all users.

  1. With one liner spread contract descriptor (match type as normal, directional and price variation) defaulted on MW the user can invoke spread order entry with:
    1. F1 or ‘+’ (BUY SPREAD):

The BSP shall be default indicator. The user is not allowed to change the indicator. The near month contract of the selected spread combination is defaulted in first leg. The far month contract of the selected spread combination is defaulted in second leg. The near month contract will be sold and the far month contract will be bought, if the user confirms the buy spread order. The buy spread order entry will appear in blue colour.

    2. F2 or ‘-‘ (SELL SPREAD):

The SSP will be default indicator. The user is not allowed to change this indicator. The near month contract of the selected spread combination is defaulted in first leg. The far month contract of the selected spread combination is defaulted in second leg. The near month contract will be bought and the far month contract will be sold, if the user confirms the sell spread order. The sell spread order entry will appear in red colour.

    3. CTRL + F3 or 17th icon on tool bar or Transactions menu

The BSP will be default indicator. However, the user is allowed to change this indicator to SSP. The colour of the window will be blue for BSP and red for SSP.

  2. With single contract descriptor defaulted on MW the user can invoke spread order entry with CTRL + F3 or 17th icon on tool bar or Transactions menu

The BSP will be default indicator. However, the user is allowed to change this indicator to SSP. The colour of the window will be blue for BSP and red for SSP. The first leg contract descriptor is defaulted from the contract selected on MW. The user is required to enter second leg contract.

The user is required to enter spread order attributes as follows:

Order Type Specific | Description | Fields Available
BSP or SSP | Buy Spread Order or Sell Spread Order | Label: Leg 1 - B/S – Buy/ Sell – Default value S – non-updatable - O/C – Open/ Close – Default value O – non-updatable - C/U – Covered/ uncovered – Default value U – non-updatable - Contract Descriptor – Default from Market Watch - updatable Label: Leg 2 - B/S – Buy/ Sell – Default value B – non-updatable - O/C – Open/ Close – Default value O – non-updatable - C/U – Covered/ uncovered – Default value U – non-updatable - Contract Descriptor – Default not applicable – to be entered or double click on the contract descriptor from Market Watch to select it automatically

Order Quantity

The order quantity is defaulted as per order entry default set by the user. The user can change this quantity in multiples of lot size.

Price Difference (PD)

The best price on the counter side gets defaulted in the spread order entry screen. For spread contract descriptor with price variation, no price difference appears by default. A user has an option either to enter the order at the default price difference (if any) or to overwrite/ enter any other desired price difference. The spread order would be executed only if the price difference available in the market is equal to or better than the price difference entered by the user. The user can enter positive, zero or negative value in price difference.

The spread order would be rejected if the price difference entered is outside the price difference range specified for the spread contract.

The user can increment or decrement the default price by clicking on <Up> or <Down> arrow keys. The price would be incremented or decremented with each click by the tick size specified for the underlying.

Multi leg order flag

The default flag will be ‘BSP’- for buy order or ‘SSP’- for sell spread. The user will not be allowed to update the flag.

Time Validity

Time validity specifies the duration for which the spread order, if not matched, would remain as passive order in the Exchange order book. At present only Day and IOC time validity are available

Day

This time validity implies that at the end of the current trading day, if the order is not completely traded then it will be canceled by the system.

Spread order with DAY time validity is allowed only for valid and eligible one line spread contract combination specified by the exchange. These orders shall be matched only with spread order book maintained for the respective spread contract combination.

Immediate or Cancel (IOC)

This time validity implies that when the spread order should immediately matched; else it should be cancelled. If the spread order is partially traded the spread order with remaining quantity will be cancelled.
Spread order with IOC time validity is allowed only for valid and eligible single contracts available for trading in regular lot market. These orders shall be matched only with regular lot book of individual contracts involved.

Blank ‘IMMEDIATE/ CANCEL’ check box indicates ‘DAY’ time validity whereas checked ‘IMMEDIATE/ CANCEL’ box indicates ‘IOC’ time validity.

All or None

This special term condition is not applicable.

COL

COL specifies the order type Cancel On Logout (COL). If user selects checkbox for COL, the order will be entered with order type COL.

Pro/Cli

The account type order attribute allows the user to specify whether the order is placed on behalf of the trading member (PRO – proprietary) or on behalf of the client (CLI – Client) of the trading member.

Account number

Where the account type is PRO, the trading member code is defaulted as account number and the user is not allowed to change this account number. However, if the account type is CLI, the user must enter valid client code available in the client master. A facility is provided to select client code from the client master by pressing <Up> and <Down> arrow keys. Where the order is placed for the client code outside the client master the user is required to acknowledge the message to that effect. This message also enables the user to set up the client code before resuming the order entry.

Settler (Participant ID)

The default value is the trading member code. This is irrespective of the account type selected. Where the account type is PRO the user is not allowed to change the settler. Thus, the trades resulting from PRO order are to be settled by the trading member.

When the account type is CLI the user is allowed to change the settler. If the user retains the default value, trades resulting from such CLI order are to be settled by the trading member. However, if the user changes the default trading member code to a valid custodian participant (CP) code, the trades executed from such spread order would be considered as CP trades. These trades are subject to give up mechanism available to the clearing member of the CP code entered. Where such clearing member accepts the trades, it would be settled by the clearing member of the CP.

After entering order attributes, press ‘ENTER’ on numeric key pad to submit the request to the Exchange for matching. If the warning check is enabled all fields would be disabled with a message at the right corner to press ‘Confirm’ (right ‘Ctrl’ key) to submit order to the Exchange for matching.

Each order is subject to the following limit checks:

Branch Order Value Limit Check

User Order Value Limit Check

Order Limit Check

Order Price Limit Check

Quantity Freeze

The action taken by the Exchange upon receiving the order is displayed in Message window.

For spread DAY orders price is assigned as follows:

1st leg = Last Traded Price of the first leg contract in regular lot market or Reference price specified by the Exchange for the spread contract combination

2nd leg = 1st leg price + price difference.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Order window: Buy Background : Background color of Buy Order Window Buy Text : Text Color of Buy Order Window Sell Background : Background color of Sell Order Window Sell Text : Background color of Sell Order Window Buy Error Background : background color of Error Message for Buy Order Window Buy Error Text: Text color of Error Message for Buy Order Window Sell Error Background : Background color of Error Message for Sell Order Window Sell Error Text: Text color of Error Message for Sell Order window.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default Hide Caption)


Spread Offline Order Entry

Invocation:

· Function Key: Shift+F9 (Same as Offline Order Entry)

· Menu: Dialog àOffline Order Entry

· Toolbar: Not applicable

Purpose:

The purpose of spread offline order entry is to enter the bulk spread orders in to the trading system.

Functionality:

This functionality is available to all users.

The user can submit bulk orders in following ways:-

1. Load

User can generate spread order file in a specified format (comma separated file) outside the system. Press [Load] to browse through the local drive, select the order file and load the orders from this file to the staging area/ order list. Then select specific or all orders and press [Send] to submit the orders into the trading system.

The various validations applicable while adding or modifying the records in the order list are as follows:

Fields | Validation
DAY/IOC | Numeric characters other than one and greater than five will lead to order rejection. Alphanumeric, special and alphabetic characters are considered invalid. Field should be left aligned. Blank field will not be accepted.
AON | Alphanumeric, special and alphabetic characters are considered invalid. Field should have only single value as 1.
Open/Close1 | This field can have only 2 values --O/C, Any character apart from these 2 values will return an error code. Field is case sensitive.
Cover/Uncover1 | This field can have only 2 values --O/C, Any character apart from these 2 values will return an error code. Field is case sensitive.
Buy/Sell1 | Alphanumeric, special and alphabetic characters are considered invalid. Numeric characters less than one and greater than two will lead to order rejection. Field should be left aligned. Blank field will not be accepted.
Instrument1 | Instrument which does not exist will cause order rejection. Error code will be returned if instrument is not allowed to trade. Field is case sensitive.
Symbol1 | Symbol which does not exist will cause order rejection. Error code will be returned if security is expelled, suspended or not allowed to trade. Field is case sensitive. Field should be left aligned. Blank field will not be accepted.
Expiry1 | The Expiry date format should be DDMMMYYYY. Invalid Expiry Date will cause order rejection. Month field is case sensitive.
Strike Price1 | The Strike Price field should be blank.
Option Type1 | The Option type field should be blank.
Price1 | This field should blank for Spread Order Entry. Any value in this field will cause error in record.
Volume1 | Alphanumeric, special and alphabetic characters are considered invalid. Volume should not exceed issued capital. Volume should not be zero. Field should be left aligned. Volume should be a multiple of board lot quantity.
Open/Close2 | This field can have only 2 values --O/C, Any character apart from these 2 values will return an error code. Field is case sensitive.
Cover/Uncover2 | This field can have only 2 values --O/C, Any character apart from these 2 values will return an error code. Field is case sensitive.
Buy/Sell2 | Alphanumeric, special and alphabetic characters are considered invalid. Numeric characters less than one and greater than two will lead to order rejection. Field should be left aligned. Blank field will not be accepted.
Instrument2 | Instrument which does not exist will cause order rejection. Error code will be returned if instrument is not allowed to trade. Field is case sensitive.
Symbol2 | Symbol which does not exist will cause order rejection. Error code will be returned if security is expelled, suspended or not allowed to trade. Field is case sensitive. Field should be left aligned. Blank field will not be accepted.
Expiry2 | The Expiry date format should be DDMMMYYYY. Invalid Expiry Date will cause order rejection. Month field is Case sensitive.
Strike Price2 | This field should blank for Spread Order Entry.
Option Type2 | This field should blank for Spread Order Entry.
Price2 | This field should blank for Spread Order Entry. Any value in this field will cause error in record.
Volume2 | This field should blank for Spread Order Entry. Any value in this field will cause error in record.
Spread Price Diff | Alphabetic characters and special character other than dot(.) and negative sign (-) are considered invalid. If price diff is negative then negative sign should be on first position. Only two digits are allowed after decimal field.
Pro/Cli | Alphanumeric, special and alphabetic characters are considered invalid. Numeric characters less than one and greater than two will lead to order rejection. Field should be left aligned.
Account No. | PRO/CLI field should be set to two. Only valid account numbers are accepted.
Participant | Only valid participants are accepted. Inactive participant will be rejected.
Order Type | This field can have only 2 values – ‘1’ or ‘0’ For Cancel On Logout (COL) order type it should be ‘1’ For Non COL order type it should be ‘0’

List of error codes:

Error No. | Description
528 | Price not a multiple of tick size
529 | Quantity not multiple of regular lot
532 | TM code not allowed in Client A/c No
542 | Invalid participant
543 | Participant not active
617 | Qty less than minimum lot qty.
1651 | Invalid contract descriptor
1566 | Order Qty mandatory
1567 | Qty not a multiple of regular lot
1573 | Invalid Terms
1615 | Invalid Price Format
1616 | Invalid Volume Format
7747 | Not a valid derivative contract
8566 | Security/ Contract suspended in normal market
16204 | Spread Price Difference exceeds limit set by user
16633 | Buy/Sell combination error
16695 | The Account is debarred from trading
18005 | Invalid 1st Leg Buy/Sell
18006 | Invalid Instruction
18009 | Invalid Pro/Cli
18011 | Invalid Open/Close
18017 | Invalid 1st Leg Price
18305 | Invalid Account No.
18050 | Invalid 2nd Leg Buy/Sell
18051 | Invalid Price Difference
18052 | Invalid 2nd Leg Price Format
18053 | Invalid 2nd Leg Volume Format
18054 | Second Leg should later expiry
18055 | Volume Freeze Error
18056 | Spread Price Difference is out of Day Price range
18020 | Invalid Order Type
18237 | PAN ID is not associated with Account Number

2. Add

Press [Add] button to enter spread orders in the offline order list. The contract shall be defaulted from the market watch if the selected contract is a spread one liner. Later press the [Accept] button to save the order. Repeat this procedure to stack multiple orders in the staging area/ order list. Then, select specific or all orders and press [Send] submit the orders into the trading system.

3. Modify

Press [Modify] button after selecting the spread order from the order list to change the order.

4. Delete

Press [Delete] button after selecting the spread order from the order list to remove the order.

The user can press [Save] to save the latest order list (post addition/ modification/ deletion) into the file.

5. Send

The user can send all orders by clicking the [Select All] button and clicking the [Send] button. Specific orders can be sent by selecting them and clicking the [Send] button. Once order number is displayed in the remarks field after response is received from host.

The [Send] button changes to [Stop] button during the processing. If [Stop] is clicked, offline order entry is stopped at that point.

6. Exit button can be used to close this window.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

N.A.


Spread outstanding order

Invocation

  • Function Key: F3 - when invoked from a spread one liner

· Function Key: CTRL + F11 – when invoked from a normal contract or blank market watch

· Menu: Transaction -> Spread outstanding orders

  • Toolbar : Not applicable

Purpose

The purpose of Spread outstanding orders is to allow the user to view spread outstanding orders for the day. A spread outstanding order is an order that has not yet been completely traded or cancelled.

Functionality

This functionality is available to all users.

The dealer can view the spread outstanding orders for self. The branch manager can view the spread outstanding orders for self as well as the dealers attached with the branch. The corporate manager can view the spread outstanding orders for self as well as for all dealers/ branch managers of the trading member.

When spread outstanding orders is invoked with ‘Disable Inquiry’ option is enabled and one liner spread contract combination is selected, the spread outstanding orders across all clients and proprietary accounts for the selected spread contract combination are displayed i.e. the selection window is skipped. However, spread outstanding orders executed only by self (across all clients and proprietary) would be displayed.

When spread outstanding order is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch or only one normal contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

- The contract descriptor is to be entered manually. However, if contract descriptor is not specified, spread outstanding orders in all contracts for the instrument are considered. However, the result would display the spread orders executed by self only.

- The corporate manager, branch manager or dealer can enter book type. The user can select only ‘RL’ indicating regular lot book type.

- Only the corporate manager can enter branch ID on the secondary screen. The corporate manger can leave the parameter blank to view spread outstanding orders across all branches.

- Only corporate manger and branch manager can enter user ID on the secondary screen. The corporate manager/ branch manager can leave the parameter blank to view spread outstanding orders across all dealers.

- The corporate manager, branch manager or dealer can enter account type on the secondary screen. The user can select ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

- The user can enter any combination of the above inquiry parameters.

When spread outstanding order is invoked with ‘Disable Inquiry’ option disabled and the contract or one liner spread contract combination is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract. The other rules for inquiry parameters would be the same as explained above.

When outstanding order is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The rules for inquiry parameters would be the same as explained above.

After selecting the contract, press [Enter] key. The detailed Spread Outstanding Orders screen is displayed with buy spread orders shown to the left and the sell spread orders to the right of screen. The 1st line will contain Market Type and both leg contract descriptor. 2nd line will contain TM Id, branch Id, User Id, proprietary/ client filtration along with Label for Current Time and Current Date. The spread outstanding orders details will be displayed from 3rd line onwards and includes following details for buy spread orders as well as sell spread orders: User ID, Client A/C Number, TM ID, Buy - Open / Close, Cover / Un Cover Indicator, Sell - Open / Close, Cover / Un Cover Indicator, Spread Order Number, Spread Order Quantity Remaining, Price Difference. The summary line displays the fields such as Total Buy Spread Order Quantity, Total Sell Spread Order Quantity

The user can use spread outstanding order screen to cancel/modify the spread order.

Spread Order Modification

Spread Order Modification can be requested from the Spread Outstanding Order screen. The Corporate Manager can request for spread order modification for any branch or any dealer. The Branch Manager can request for spread order modification for any dealer attached to the branch. The dealer can request for spread order modification only for spread orders executed by self.

Please refer help provided on Spread Order Modification

Spread Order Cancellation

Spread Order cancellation can be requested from the Spread Outstanding Order screen. The Corporate Manager can request for spread order cancellation for any branch or any dealer. The Branch Manager can request for spread order cancellation for any dealer under that branch. The dealer can request for spread order cancellation only for spread orders under that User Id.

Please refer help provided on Spread Order Cancellation

Spread Order Status

Spread Order status can be inquired from the Spread Outstanding Order screen. The Corporate Manager can inquire spread order status for any branch or any dealer. The Branch Manager can inquire spread order status for any dealer under that branch. The dealer can inquire spread order status only for spread orders under that User Id.

Please refer help provided on Spread Order Status

Press [Esc] key to exit from the Spread Outstanding orders screen.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key can be used.

Subsequent pages of information can be accessed using <Page Down> key. Previous pages of information in the spread outstanding order screen can be viewed by using <Page Up> key. The <Home> key can be used to move to first page of the inquiry and <End> key to move to the last page of the Inquiry screen.

Menu Options

Not applicable


Spread Order Status

Invocation

  • Function Key: SHIFT + F12 – when invoked from a spread one liner
  • Function Key: CTRL + F8 – when invoked from a normal contract or blank market watch
  • Menu: Transaction -> Spread Order Status
  • Toolbar: Not applicable

Purpose

The purpose of Spread Order Status is to allow the user to display current order status along with other order details for the specific self spread order.

Functionality

This functionality is available to all users.

The user needs to send a request with specific order number to get the spread order status.

Market | Line No | Fields | Values
Currency Derivatives Market | Part I | Leg |
 |  | Order Type | Buy
 |  |  | Sell
 |  | Open/Close Indicator | Open | O
 |  |  | Close | C
 |  | Cover/ Uncover Indicator | Cover | V
 |  |  | Uncover | U
 |  | Instrument |
 |  | Symbol |
 |  | Expiry Date |
 |  | Strike Price |
 |  | Option Type |
 | Part II | Spread Order Number |
 |  | Day indicator |
 |  | Market Type |
 |  | Pro/ Cli Terms | Proprietary Order |  | PRO
 |  |  | Client order |  | CLI
 |  | Account Number |
 |  | Participant Id |
 |  | Window Invocation Time |
 |  | Order Type | Cancel On Logout (COL) | COL
 |  |  | Non COL | Blank
 |  | Trade Number |
 |  | Leg |
 |  | Trade Quantity |
 |  | Trade Price |
 |  | Trade Time |
 |  | Buy / Sell Leg Indicator or Trade Modification/ Cancellation indicator | Buy | B
 |  |  | Sell | S
 |  |  | Trade Modification | TM
 |  |  | Trade Cancellation | TC
 | Part III | Leg Indicator |
 |  | Quantity Traded Today |
 |  | Quantity Cancelled Today |
 |  | Total Order Quantity |
 |  | Outstanding Balance |
 |  | Price Difference |

The trade details are displayed only if the order is traded either partially or fully.

The order status screen is not dynamically updated.

Navigation

To view subsequent pages of information, press ‘Pg Up’ key. To move to the previous page, press ‘Pg Dn’ key. To move to the first page, press ‘Home’ key and to move to the last page, press ‘End’ key.

Menu Options

Menu Item | Usage
Colour | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items.
Print Preview | This will show print preview of Order Status data depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Order Status details as on Printer selected.
Print | Prints Order Status on selected printer.
Export | This will enable the user to copy Order Status data to either Text file or CSV file. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Order Status data will be pasted to this file.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)


Market By Price

Disable Inquiry

Invocation

  • Function Key: CNTRL + P
  • Menu: Tools -> Disable Inquiry
  • Toolbar: Not applicable

Purpose

The purpose of the Disable Inquiry is to allow the user to promptly execute the inquiries.

Functionality

This functionality is available to all users.

The inquiries are typically broken into two parts viz. the selection window and the details window. The user is required to enter the contract descriptor and other selection criteria in selection window and execute the inquiry to get the details window.

When the user executes inquiry with ‘Disable Inquiry’ option enabled and particular contract is selected on Market Watch, the details widow would be provided directly to the user i.e. the selection window is skipped.

However, the user would be provided with the selection window if

- This option is enabled and no contract is selected on Market Watch

- This option is disabled

Navigation

Not applicable

Menu Options

Not applicable


Spread Market By Pric e

Invocation

  • Function Key: F6 – when invoked from a spread one liner
  • Function Key: Ctrl +F7 – when invoked from a normal contract or blank market watch
  • Menu: Inquiryà Spread Market By Price
  • Toolbar: 1st icon on toolbar (On right click)

Purpose

The purpose of Spread Market By Price (MBP) is to display market depth for the spread contract combination i.e. five best buy and sell price differences for outstanding orders along with quantity accumulated at each price differences.

Functionality

This functionality is available to all users.

When spread Market By Price is invoked with ‘Disable Inquiry’ option enabled and the one liner contract is selected on the Market Watch, the market by the price for select one liner contract is displayed i.e. the selection window is skipped.

When spread Market By Price is invoked with ‘Disable Inquiry’ option enabled and the one liner contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from the selection window. The contract descriptors for both legs of the spread contract combination are to be entered manually.

When spread Market By Price is invoked with ‘Disable Inquiry’ option disabled and the one liner contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptors for both legs of the spread contract combination are defaulted from the contract selected on Market Watch. However user can replace the default contract descriptors.

When Market By Price is invoked with ‘Disable Inquiry’ option disabled and one liners contact is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptors for both legs of the spread contract combination are to be entered manually.

When Market By Price is invoked with ‘Disable Inquiry’ option enabled or disabled and single leg contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor for the first leg of the spread contract combination is defaulted. However, the contract descriptor for the second leg of the spread combination is to be entered manually.

The Spread MBP will display following details

Row

Field

Values

Description

1st row

Title of window

Spd MBP For

Open PD

Price difference for First spread trade

Low PD

Lowest Price difference for spread trade

High PD

Highest Price difference for spread trade

LTPD

Price difference for Last spread trade

TTQ

Total traded quantity

2nd row

Market type

Derivatives Market

N

Normal market

The market type as selected by user on Common Inquiry window

Instrument type

Derivatives Market

FUTCUR/FUTIRD

The Instrument type as selected by user on Common Inquiry window.

Symbol

The underlying asset as selected by the user on Common Inquiry window

Expiry date

The expiry date (last trading date) as selected by the user on Common Inquiry window for first leg

Market type

Derivatives Market

N

Normal market

The market type as selected by user on Common Inquiry window

Instrument type

Derivatives Market

FUTCUR/FUTIRD

The Instrument type as selected by user on Common Inquiry window.

Symbol

The underlying asset as selected by the user on Common Inquiry window

Expiry date

The expiry date (last trading date) as selected by the user on Common Inquiry window for second leg

3rd row

BUY

Buy

Buy flag

SELL

Sell

Sell flag

Buy Order Table

No. of buy spread order

Total no of buy spread orders at that price difference

This table is below 3rd row & on left side of the window. It will show 5 best Buy Spread Orders in market in descending order of prices difference (Highest Buy Price Difference at Top) at any point of the time. The columns will be positioned from left to right in the order given here.

Buy spread Qty

Buy spread order quantity (in number of contracts)

Buy Price difference

Buy order price difference

Sell Order Table

No. of sell spread order

Total no of sell spread orders at that price difference

This table is below 3rd row & on right side of the window. It will show 5 best Sell Spread Orders in market in ascending order of prices difference (Lowest Sell Price Difference at Top) at any point of the time. The columns will be positioned from left to right in the order given here.

Sell spread Qty

Sell spread order quantity (in number of contracts)

Sell Price difference

Sell order price difference

Buy Order Summary

Total Buy

Total buy quantity for the contract is placed on rightmost side of the buy order table.

Sell Order Summary

Total Sell

Total sell quantity for the contract is placed on extreme left side of the sell order table.

The information displayed is dynamically updated.

A provision is provided to highlight the change in values as follows.

Event highlighting convention

Increase in Buy price difference Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Increase in Buy price difference Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Increase in Sell price difference Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Increase in Sell price difference Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Increase in values in 2nd & 3rd Row Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Decrease in Buy price difference Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

This provision can be disabled using menu as described below.

Invocation of Spread Order window

It is possible for the user to place the spread order at the best price available on spread MBP. The user can double click on sell side table to place buy order at the best sell price difference price available and vice a versa.

Navigation

User can navigate between 5 best buy orders & sell orders only using <Up Arrow>, <Down Arrow>, <Tab>, <Shift + Tab> keys. Alternately one can use the mouse to position the cursor any where on tables. Brief key functionalities are as follows:

Key Function

<Up Arrow> to move up across orders in same table

<Dn Arrow> to move down across orders in same table

<Tab> to move across tables

<Shift + Tab> to move across tables

<Left Mouse Click> to highlight particular order.

Menu Options

Menu Item

Usage

System Configuration

On clicking this menu option the color configuration dialog box will be invoked with Common Inquiry window selected as a default. List of various items available to user is as give below. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply.

List of items on Common Inquiry window:

Background : Window background color (Default – Green)

Foreground : Text Color (default – White)

Price Increment Highlight – The Background color which will indicate rise on Buy side & fall on sell side. (default – Blue)

Price Decrement Highlight – The Background color which will indicate rise on Sell side & fall on Buy side. (default – red)

Price Increment Text - The Text color which will indicate rise on Buy side & fall on sell side.

Price decrement Text - The Text color which will indicate rise on Sell side & fall on Buy side.

Selection Background – Highlight color for selected row of table

Selection Foreground – Color of text for selected row.

Print

Print Market by Price details on selected printer.


Market By Price

Invocation

  • Function Key: F6
  • Menu: Inquiry -> Market By Price
  • Toolbar: 1st icon on toolbar.

Purpose

The purpose of the Market By Price is to display market depth for the contract i.e. five best buy and sell prices for outstanding orders along with quantity accumulated at each price.

Functionality

This functionality is available to all users.

Normal Contract

When the Market By Price is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the market by price for the selected contract is displayed i.e. the selection window is skipped.

When Market By Price is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

When Market by Price is invoked with ‘Disable Inquiry’ option disabled and the contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract.

When Market By Price is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

The MBP will display following details

Row | Field | Values |  |  | Description
1st row | Title of window | MBP For |  |  |
 | Market Type | Derivatives Market | N | Normal market | The market type as selected by user on Common Inquiry window
 | Instrument type | Derivatives Market | FUTCUR, FUTIRD, OPTCUR |  | The Instrument type as selected by user on Common Inquiry window.
 | Symbol |  |  |  | The underlying asset as selected by the user on Common Inquiry window
 | Series | Not Applicable |  |  | Not Applicable
 | Expiry date | Not Applicable |  |  | The expiry date (last trading date) as selected by the user on Common Inquiry window
 | Strike Price | Not Applicable |  |  | The strike price as selected by the user on Common Inquiry window
 | Option type | CE Call European PE Put European |  |  | The option type as selected by the user on Common Inquiry window
 | Book Type | Derivatives Market | Regular Lot |  | The book type as selected by user on Common Inquiry window.
2nd Row | Trading status of contract | "S" | Admin suspended |  | Trading status of contract in the selected market type i.e. whether the contract is tradable or suspended in the market)
 |  | “P” | Contract in Pre-open (Only for normal market)
 |  | Blank | Contract Open for trading.
 | Current days Highest trade Price |  |  |  |
 | Current days Lowest Trade Price |  |  |  |
 | Last trade price |  |  |  |
 | Last Trade Price of Underlying Asset. |  |  |  | This field will show LTP of underlying asset.
3rd row | Net change Indicator | Either +/- |  |  | Net change indicator for last trade price with respect to previous day's closing price. Percentage price change
 | Percentage change |  |  |  | Net price change in % for last trade price with respect to previous day's closing price Average trade price
 | Average Traded Price |  |  |  |
 | Current days Total traded qty |  |  |  |
 | Current days Total traded Value |  |  |  |
Buy Order Table | No. of buy order | Total no of buy orders at that price |  |  | This table is below 3rd row & on left side of the window. It will show 5 best Buy Orders in market in descending order of prices (Highest Buy Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Buy Qty | Buy order quantity (in number of contracts)
 | Buy Price | Buy order price.
Sell Order Table | Sell Price | Sell order price. |  |  | This table is below 3rd row & on right side of the window. It will show 5 best Sell Orders in market in ascending order of prices (Lowest Sell Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Sell Qty | Sell order quantity (in number of contracts)
 | No. of Sell order | Total no of sell orders at that price
Buy Order Summary | Carrying Cost on Best buy Order |  |  |  | Carrying cost based on best buy order (the one with highest buy price) is placed on left most side of the buy order table. Total buy quantity for the contract is placed on rightmost side of the buy order table.
 | Total Buy Quantity
Sell Order Summary | Total Sell Quantity |  |  |  | Carrying cost based on best sell order (the one with lowest sell price) is placed on extreme right side of the sell order table. Total sell quantity for the contract is placed on extreme left side of the sell order table.
 | Carrying Cost on Best sell Order

IRD ASSET

MBP for an IRD asset will be displayed as follows

Row | Field | Values | Description
1 st Row | Title of the Window | CCIL MBP as off |
 | Time | HH24:MI:SS |
 | Asset Name | Name of the IRD assets |
Buy order table | Buy order count | Total number of buy orders at price point | This table is below 1st row & on left side of the window. It will show 5 best Buy Orders in market in descending order of prices (Highest Buy Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Buy quantity | Buy order quantity in units
 | Buy price | Buy order price
 | Buy Yield | Yield for the price point
Sell order table | Sell order count | Total number of Sell orders at price point | This table is below 1st row & on right side of the window. It will show 5 best Sell Orders in market in descending order of prices (Highest Sell Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Sell quantity | Sell order quantity in units
 | Sell price | Sell order price
 | Sell Yield | Yield for the price point

The information displayed is dynamically updated.

A provision is provided to highlight the change in values as follows.

Event highlighting convention

Increase in Buy price Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Increase in Buy price Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Increase in Sell price Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Increase in Sell price Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Increase in values in 2nd & 3rd Row Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Decrease in Buy price Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

This provision can be disabled using menu as described below.

Invocation of Order window (Applicable only for normal contract)

It is possible for the user to place the order at the best price available on MBP. If the user invokes buy order, the order will default best sell price available on MBP and vice a versa. Alternatively the user can double click on sell side table to place buy order at the best sell price available and vice a versa.

Navigation

User can navigate between 5 best buy orders & sell orders only using <Up Arrow>, <Down Arrow>, <Tab>, <Shift + Tab> keys. Alternately one can use the mouse to position the cursor any where on tables. Brief key functionalities are as follows:

Key Function

<Up Arrow> to move up across orders in same table

<Dn Arrow> to move down across orders in same table

<Tab> to move across tables

<Shift + Tab> to move across tables

<Left Mouse Click> to highlight particular order.

Menu Options

Menu Item

Usage

System Configuration

On clicking this menu option the color configuration dialog box will be invoked with Common Inquiry window selected as a default. List of various items available to user is as give below. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply.

List of items on Common Inquiry window:

Background : Window background color (Default – Green)

Foreground : Text Color (default – White)

Price Increment Highlight – The Background color which will indicate rise on Buy side & fall on sell side. (default – Blue)

Price Decrement Highlight – The Background color which will indicate rise on Sell side & fall on Buy side. (default – red)

Price Increment Text - The Text color which will indicate rise on Buy side & fall on sell side.

Price decrement Text - The Text color which will indicate rise on Sell side & fall on Buy side.

Selection Background – Highlight color for selected row of table

Selection Foreground – Color of text for selected row.

Disable highlight

This will stop highlighting of the values in Buy/ Sell Table & will highlight change in values only in 3rd Row.

Show gridlines

This will show Buy/ Sell Table grids.

Show Header

This will show title for various table columns.

Hide Caption/ Show Caption

On clicking this option user can switch on/ off the caption (Default – Hide Caption)

Columns Visible

This will show the list of visible/ invisible columns of the Buy/ Sell table.

The column with “Tick” before them is visible & vice versa. The visible columns can be hide by clicking on their names & vice versa. This can also be done by clicking on respective header.

Print Preview

This will show print preview of MBP display depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the MBP details as Market by Price Report on Printer selected.

Print

Print Market by Price details on selected printer.

Export

This will enable the user to copy complete MBP data to either Text file or CSV file. Default file name is “MBPDataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the MBP data.

Copy

If user clicks on this item & then opens text file & click paste in this file the MBP data will be pasted to this file.


Market Inquiry

Invocation

  • Function Key: F11
  • Menu: Inquiry -> Market Inquiry
  • Toolbar: 3rd icon on toolbar.

Purpose

The purpose of Market Inquiry is to display the market statistics, for a particular contract. The information includes prices, open interest, best buy price and quantity, best sell price and quantity.

Functionality

The dealer, branch manager and corporate manager can view the Market Inquiry.

When the Market Inquiry is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the market inquiry for the selected contract is displayed i.e. the selection window is skipped.

When Market Inquiry is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

When Market Inquiry is invoked with ‘Disable Inquiry’ option disabled and the contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract.

When Market Inquiry is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually.

The MI will display following details:

Field | Options |  | Description
Instrument | Currency Derivatives Market | FUTCUR, FUTIRD, OPTCUR | Instrument Type selected by user on common inquiry
Symbol |  |  | Underlying asset selected by user on common inquiry
Expiry Date |  |  | Expiry Date selected by user on common inquiry
Strike Price |  |  | Strike price selected by user on common inquiry.
Option Type | CE Call European PE Put European |  | Option type selected by user on common inquiry.
Security Status | "S" | Admin suspended | Contract Status
 | “P” | Contract in Pre-open
 | Blank | Contract open for trading
Indicator |  |  | Not Applicable
Closing Price |  |  | Previous day’s closing price
Opening Price |  |  | Today’s opening price
High Price |  |  | Highest trade price today
Low Price |  |  | Lowest trade price today
Life Time High Price |  |  | The highest trade price till date
Life Time Low Price |  |  | The lowest trade price till date
LTT |  |  | Last trade time
LTD |  |  | Last trade date
LTQ |  |  | Last trade quantity
LTP |  |  | Last trade price
Total Traded Quantity |  |  | Total quantity traded today
Net change Indicator |  |  | Net change indicator for last trade price with respect to the previous day's closing price.
Net Change percentage |  |  | Net change percentage for last trade price with respect to the previous day's closing price.
Closing OI |  |  | Previous day’s closing Open Interest
Opening OI |  |  | Opening Open Interest for that day
Current OI |  |  | Current Open Interest
High OI |  |  | Today's High Open Interest
Low OI |  |  | Today's Low Open Interest
Life Time High OI |  |  | Highest OI for the contract till date
Life Time Low OI |  |  | Lowest OI for the contract till date
Change in OI Indicator |  |  | Net change Indicator of current Open Interest w.r.t. to Closing Open Interest
Change in OI percentage |  |  | Net change percentage of current Open Interest w.r.t. to Closing Open Interest.
Carry Cost |  |  | Carrying cost % for futures contract
Implied Volatility |  |  | Implied volatility for options contracts
Dividend |  |  | Not Applicable
Interest Rate |  |  | Interest rate
Buy Quantity |  |  | Best buy quantity
Buy Price |  |  | Best buy order price
Sell Price |  |  | Best sell order price
Sell Quantity |  |  | Best sell quantity

The information displayed is not dynamically updated.

Navigation

Not Applicable

Menu Options

Field | Description
System Configuration | Used to manipulate Color of the Window
Print Preview | Provides the printing and its previewing facility
Show Caption/Hide Caption | Used to Toggle Caption of the Window


Snap Quote

Invocation

  • Function Key: F9
  • Menu: Transactions -> Snap Quote
  • Toolbar: 4th icon on toolbar

Purpose

The purpose of Snap Quote is to allow user get instantaneous market information on a desired contract. This is normally used for a contract that is not setup in the Market Watch window.

Functionality

This functionality is available to all users.

The user is required to enter the contract descriptor for which the market information is to be obtained and press <Enter> key.

The market information for the selected contract is displayed for time specified by the Exchange (approximately thirty seconds). The market information includes buy volume at the best buy price, best buy price, best sell price, sell volume at best sell price, last traded price and open interest for the selected contract.

Navigation

The user can navigate on this screen by pressing <Tab> and <Shift + Tab> keys.

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. List of various items available to user is as give below. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Common Snap Quote window: Background : Window background color Text Color : Text Color on the Window
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption).
Export | This will enable the user to copy complete Snap Quote data to either Text file or CSV file. Default file name is “SnapQuoteDataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the Snap Quote data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Snap Quote data will be pasted to this file.


Market By Order

Invocation

  • Function Key: F5
  • Menu: Inquiry -> Market By Order

Purpose

This Inquiry is available in currency market for assets which are being traded in auction market for the particular day.

The window will show details about five best sell orders of the asset requested by the user in the Inquiry window.

The window will contain following details

Row | Field | Values |  | Description
1st row | Title | “Market By Order” |  |
2nd row | Book type | AU |  |
 | Instrument type | UNDIRD |  |
 | Symbol |  |  | Name of the asset requested by user
 | Series | GS |  |
 | Trading status of asset | O |  | Asset open for trading
 | Current days Total traded qty |  |  |
 | Current days Highest trade Price | N.A |  |
 | Current days Lowest Trade Price | N.A |  |
 | Last trade price |  |  |
 | Average trade price |  |  |
 | Net change Indicator | Either +/- |  | This will indicate the trend change in the LTP as compared to previous LTP.
 | Percentage price change |  |  | Net price change in % for last trade price with respect to previous day's closing price
3rd row | Auc No |  |  | auction no assigned by the exchange for conducting auction in that asset on that particular day.
 | Auc Status | S | Auction is in Solicitor Period | Status of the auction in asset requested. i.e. whether it is in solicitor period, matching or auction is finished.
 |  | M | System is matching the orders
 |  | F | Auction is over
 |  | X | Auction is deleted
 |  | P | Auction is pending and yet to begin.
 | Auc Init Type |  |  | Either Buy or sell as per the information sent by exchange on particular day.
 | Auc Init Price |  |  | The price at which auction is to be conduct.
 | Auc Init Qty |  |  | The qty available for auction as supplied by exchange.
 | Auc price |  |  |
 | Auc Avg Price |  |  |
 | Auc Qty |  |  |
Buy Order Table | Trader | N.A |  | This table is below 3rd row & on left side of the window. This will show 5 best Buy Orders in market in Descending order (Highest Buy Price at Top) at any point of the time.
 | Terms | N.A
 |  | N.A
 | Buy Qty | Buy Order Qty
 | MF Qty | N.A.
 | Buy Price | Buy order price.
Sell Order Table | Sell Price | Sell order price. |  | This table is below 3rd row & on right side of the window. This will show 5 best Sell Orders in market in Ascending order (Lowest Sell Price at Top) at any point of the time
 | MF Qty | N.A.
 | Sell Qty | Sell Order Qty
 | Terms | N.A
 |  | N.A
 | Trader | N.A
Buy Order Summary | Total Buy Quantity |  |  | Total Buy Quantity (Total Qty for which Buy order are received for contract/ security requested)
Sell Order Summary | Total Sell Quantity |  |  | Total Sell Quantity (Total Qty for which Buy order are received for contract/ security requested)

Navigation

User can navigate between 5 best buy orders & sell orders only using <Up Arrow>, <Down Arrow>, <Tab>, <Shift + Tab> keys. Alternately one can use the mouse to position the cursor any where on tables. Brief key functionalities are as follows:

Key Function

<Up Arrow> to move up across orders in same table

<Dn Arrow> to move down across orders in same table

<Tab> to move across tables

<Shift + Tab> to move across tables

<Left Mouse Click> to highlight particular order.

Menu Options

Menu Item | Usage
Disable highlight | This will stop highlighting of the values in Buy/ Sell Table & will highlight change in values only in 3rd Row.
Show gridlines | This will show Buy/ Sell Table grids.
Show Header | This will show title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Columns Visible | This will show the list of visible/ invisible columns of the Buy/ Sell table. The column with “Tick” before them is visible & vice versa. The visible columns can be hide by clicking on their names & vice versa. This can also be done by clicking on respective header.
Print Preview | This will show print preview of MBO display depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the MBO details as Market by Price Report on Printer selected.
Print | Print Market by Order details on selected printer.
Export | This will enable the user to copy complete MBO data to either Text file or CSV file. Default file name is “MBODataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the MBO data.
Copy | If user clicks on this item & then opens text file & click paste in this file the MBO data will be pasted to this file.


Auction Inquiry

Invocation:

· The user can invoke auction inquiry screen by pressing [Shift+F11] key.

Purpose:

The purpose of auction inquiry (AI) is to enable the users to view the auction activities for the current trading day. This window displays information about auctions currently going on and auctions that have been completed.

Functionality:

· To view the auction details of a asset, the user has to specify the auction asset and the auction number.

· To view the auction details for all the assets, the user should blank out the contents of all the fields in the auction inquiry selection screen.

· To view the auctions after a particular number, the user should blank out the contents in Symbol & Series field and enter the number in the auction number field on the selection screen and press [Enter]. The screen then displays all auctions from that number onwards.

If any valid auction/(s) exists then those auctions details will be displayed in the secondary window.

Field | Values |  | Description
Auction Number |  |  | Serial Number of auction as specified by exchange
Auction Status | S | Auction is in Solicitor Period | Status of the auction security
 | M | System is matching the orders
 | F | Auction is over
 | X | Auction is deleted
 | P | Auction is pending and yet to begin.
Initiation Type | Buy |  |
 | Sell
Symbol |  |  | Asset Symbol
Series |  |  | Asset Series
Best Buy Qty |  |  |
Best Buy Price |  |  |
Best Sell Price |  |  |
Best Sell Qty |  |  |
Auction Qty |  |  |
Auction Price |  |  |
Settlement Period |  |  |

On the secondary window the user can press the Pg Up/Dn or Home or End keys for receiving more auction information. The auction information is displayed on the secondary window.

The window gets dynamically updated whenever there is change in auction status.

Navigation

To move the cursor to any field the <Tab> or <Shift + Tab> keys can be used. To clear the value in any field, the <Back Space> key.

Menu Options

Not applicable


MARKET BY AGGREGATE

Invocation

The Market By Aggregate functionality can be initiated as under:

· Function key: Ctrl + Shift + F6

· Menu: Inquiry > Market By Aggregate

· Tool bar: None

Purpose

This functionality facilitates viewing of aggregate market depth and capturing of buy/sell orders on the basis of average price / aggregate quantity / aggregate value. To view this, a new window is provided wherein based on the selected options a participant can view the market aggregates for top 5 price points, Exchange defined standard quantity and value points. Additionally a facility is available to inquire for market aggregates based on desired quantity, value and price.

The user can place the order directly from this window at selected market aggregates.

Functionality

1. This function is available to all users.

2. The desired contract can be defaulted from the Market Watch before invocation or can be selected in the contract descriptor window of Market By Aggregate. The contract descriptor comprises of the following:

Sr | Field | Values | Description
1 | Instrument | FUTCUR/ FUTIRD/ OPTCUR | Defaulted from market watch or if invoked from blank row then FUTCUR before it is selected by the user.
2 | Symbol |  | Defaulted from market watch or as selected by the user
3 | Expiry | Date (DDMMMYYYY) | Defaulted from market watch or as selected by user
4 | Strike |  | Defaulted from market watch or as provided by user
5 | Option type | CE/ PE | Defaulted from market watch or as provided by user

3. There after the desired view should be selected in “MBA Views”. This includes the following.

S No. | Options | Functionality
1. | Best Five Prices | MBP is aggregated for best 5 price points
2. | Standard cumulative quantity | Aggregation is done at Exchange defined standard quantity points
3. | Standard cumulative value | Aggregation is done at Exchange defined standard value points
4. | User defined cumulative quantity | Aggregation is done at User defined quantity points
5. | User defined cumulative value | Aggregation is done at User defined value points
6. | User defined WAP | Aggregation is done at User defined WAPs

4. On clicking enter, based on the above inputs the following aggregate information is displayed:

a. In case of the first three views (1, 2, and 3) information for both buy and sell side is displayed and refreshed at regular intervals

b. For the next three views (4, 5 & 6) information for either buy/ sell side as selected is displayed.

c. Following information is displayed for all the views for both buy and sell side:

Field | Description
Cum Buy/ Sell quantity at WAP | It is the aggregate quantity representing the WAP
Buy/ Sell Total Value | It is the value determined for the aggregate quantity at various price points.
Buy/ Sell WAP | It is the Weighted average price for the aggregate quantity
Impact cost % | It is the difference in term of percentage between WAP and Mid price i.e. (best buy + best sell) /2
Buy/ Sell price | It is the passive order limit price for the displayed quantity.

5. Change in WAP and the impact cost shall be indicated as under

Increase in Buy WAP | Shown by highlighting the particular value in price increment text and price increment background colour.
Decrease in Buy WAP | Shown by highlighting the particular value in price decrement text and price decrement background colour.
Increase in Sell WAP | Shown by highlighting the particular value in price decrement text and price decrement background colour.
Decrease in Sell WAP | Shown by highlighting the particular value in price increment text and price increment background colour.
Increase in Buy/sell impact cost | Shown by highlighting the particular value in price decrement text and price decrement background colour.
Decrease in Buy/ sell impact cost | Shown by highlighting the particular value in price increment text and price increment background colour.

6. The user can place order by double clicking on the selected aggregate or clicking F1 & F2 after selecting the desired aggregate.

a. By clicking on the buy side aggregated, the sell order window is displayed and vice-versa.

b. The order shall be comprise the following parameters:

i. Day order

ii. Aggregate quantity

iii. Price displayed is the least best price representing the order quantity.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu option

Options

Usage

System Configuration

On clicking this menu option the color configuration dialog box will be invoked with Common Inquiry window selected as a default. List of various items available to user is as give below. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply.

List of items on Common Inquiry window:

Background : Window background color (Default – Green)

Foreground : Text Color (default – White)

Label Text : Label Text Color(default – Black)

Error Line Background : Error Line background Color(Default – Yellow)

Error Line Text : Error Line Text Color (Default – Black )

Price Increment Highlight – The Background color which will indicate rise on Buy side & fall on sell side. (default – Blue)

Price Decrement Highlight – The Background color which will indicate rise on Sell side & fall on Buy side. (default – red)

Price Increment Text - The Text color which will indicate rise on Buy side & fall on sell side.

Price decrement Text - The Text color which will indicate rise on Sell side & fall on Buy side.

Selection Background – Highlight color for selected row of table

Selection Foreground – Color of text for selected row.

Show gridlines

This will show Buy/ Sell Table grids.

Hide / Show Header

This will show title for various table columns.

Hide / Show Caption

On clicking this option user can switch on/ off the caption (Default – Hide Caption)

Export

This will enable the user to copy complete MBA data to either Text file or CSV file. Default file name is “MBADataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the MBA data.

Copy

If user clicks on this item & then opens text file & click paste in this file the MBA data will be pasted to this file.


91Day TBILL MBP

Invocation

  • Function Key: Ctrl+Alt+F6
  • Menu: Inquiry -> 91Day TBILL MBP
  • Toolbar: N.A.

Purpose

The purpose of the 91 Day TBILL MBP is to display market depth for the contract i.e. five best buy and sell prices for outstanding orders along with quantity accumulated at each price in valuation price, yield, and quote price.

Functionality

This functionality is available to all users.

Normal Contract

The functionality is available only for 91 Day TBill contracts.

When the 91 Day TBILL MBP is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the 91 Day TBILL MBP for the selected contract is displayed i.e. the selection window is skipped.

When 91 Day TBILL MBP is invoked with ‘Disable Inquiry’ option enabled selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor will be defaulted from the contract set on market watch screen.

The MBP will display following details

Row | Field | Values |  |  | Description
1st row | Title of window | MBP For |  |  |
 | Market Type | Derivatives Market | N | Normal market | The market type as selected by user on Common Inquiry window
 | Instrument type | Derivatives Market | FUTIRT |  | The Instrument type as selected by user on Common Inquiry window.
 | Symbol | 91DTB |  |  | The underlying asset as selected by the user on Common Inquiry window
 | Series | Not Applicable |  |  | Not Applicable
 | Expiry date |  |  |  | The expiry date (last trading date) as selected by the user on Common Inquiry window
 | Strike Price | Not Applicable |  |  | The strike price as selected by the user on Common Inquiry window
 | Option type | Not Applicable |  |  | The option type as selected by the user on Common Inquiry window
 | Book Type | Derivatives Market | Regular Lot |  | The book type as selected by user on Common Inquiry window.
2nd Row | Trading status of contract | "S" | Admin suspended |  | Trading status of contract in the selected market type i.e. whether the contract is tradable or suspended in the market)
 |  | “P” | Contract in Pre-open (Only for normal market)
 |  | “O” | Contract Open for trading.
 | Total traded quantity |  |  |  |
 | Underlying Asset Price |  |  |  | This field will show LTP of underlying asset.
 | Average traded price |  |  |  |
 | Net change Indicator | Either +/- |  |  | Net change indicator for last trade price with respect to previous day's closing price. Percentage price change This field will show LTP of underlying asset.
 | Percentage change |  |  |  | Net price change in % for last trade price with respect to previous day's closing price Average trade price
 | Total traded value |  |  |  | Total traded value in quote price.
 | Total traded value on valuation price |  |  |  | Total trade value on valuation price.
3rd row | Highest valuation price |  |  |  | Highest valuation price
 | Lowest yield |  |  |  | Yield at highest quote price
 | Highest quote price |  |  |  | Highest quote price
4th row | Lowest valuation price |  |  |  | Lowest valuation price
 | Highest yield |  |  |  | Yield at lowest quote price
 | Lowest quote price |  |  |  | Lowest quote price
5th row | Last traded valuation price |  |  |  | Valuation price based on last traded quote price
 | Yield at last traded price |  |  |  | Yield based on last traded quote price
 | Last traded quote price |  |  |  | Last traded price
Buy Order Table | No. of buy order | Total no of buy orders at that price |  |  | This table is below 5rd row & on left side of the window. It will show 5 best Buy Orders in market in descending order of prices (Highest Buy Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Buy Qty | Buy order quantity (in number of contracts)
 | Buy valuation Price | Buy valuation price.
 | Buy yield | Yield at buy price
 | Buy quote price | Buy quote price
Sell Order Table | Sell Price | Sell order price. |  |  | This table is below 5rd row & on right side of the window. It will show 5 best Sell Orders in market in ascending order of prices (Lowest Sell Price at Top) at any point of the time. The columns will be positioned from left to right in the order given here.
 | Sell Qty | Sell order quantity (in number of contracts)
 | No. of Sell order | Total no of sell orders at that price
 | Sell valuation price | Sell valuation price
 | Sell yield | Yield at sell price
 | Sell quote price | Sell quote price
Buy Order Summary | Total Buy Quantity |  |  |  |
Sell Order Summary | Total Sell Quantity |  |  |  |

The information displayed is dynamically updated.

A provision is provided to highlight the change in values as follows.

Event highlighting convention

Increase in Buy price Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

Decrease in Buy price Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Increase in Sell price Shown by highlighting the particular value in Price Decrement Text & Price Decrement Background color.

Decrease in Sell price Shown by highlighting the particular value in Price Increment Text & Price Increment Background color.

This provision can be disabled using menu as described below.

Invocation of Order window

It is possible for the user to place the order at the best price available on MBP. If the user invokes buy order, the order will default best sell price available on MBP and vice a versa. Alternatively the user can double click on sell side table to place buy order at the best sell price available and vice a versa.

Navigation

User can navigate between 5 best buy orders & sell orders only using <Up Arrow>, <Down Arrow>, <Tab>, <Shift + Tab> keys. Alternately one can use the mouse to position the cursor any where on tables. Brief key functionalities are as follows:

Key Function

<Up Arrow> to move up across orders in same table

<Dn Arrow> to move down across orders in same table

<Tab> to move across tables

<Shift + Tab> to move across tables

<Left Mouse Click> to highlight particular order.

Menu Options

Menu Item

Usage

System Configuration

On clicking this menu option the color configuration dialog box will be invoked with Common Inquiry window selected as a default. List of various items available to user is as give below. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply.

List of items on Common Inquiry window:

Background : Window background color (Default – Green)

Foreground : Text Color (default – White)

Price Increment Highlight – The Background color which will indicate rise on Buy side & fall on sell side. (default – Blue)

Price Decrement Highlight – The Background color which will indicate rise on Sell side & fall on Buy side. (default – red)

Price Increment Text - The Text color which will indicate rise on Buy side & fall on sell side.

Price decrement Text - The Text color which will indicate rise on Sell side & fall on Buy side.

Selection Background – Highlight color for selected row of table

Selection Foreground – Color of text for selected row.

Disable highlight

This will stop highlighting of the values in Buy/ Sell Table & will highlight change in values only in 3rd Row.

Show gridlines

This will show Buy/ Sell Table grids.

Show Header

This will show title for various table columns.

Hide Caption/ Show Caption

On clicking this option user can switch on/ off the caption (Default – Hide Caption)

Columns Visible

This will show the list of visible/ invisible columns of the Buy/ Sell table.

The column with “Tick” before them is visible & vice versa. The visible columns can be hide by clicking on their names & vice versa. This can also be done by clicking on respective header.

Export

This will enable the user to copy complete MBP data to either Text file or CSV file. Default file name is “MBPDataExport”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the MBP data.


Options Chain

Invocation

· Function Key: Ctrl + Shift + F7

· Menu: Inquiry -> Option Chain

· Toolbar: 21st icon on toolbar

Purpose

The purpose of the Options Chain window is that the user can see and perform operations for all the available strike prices for a given combination of Instrument, Symbol and Expiry in one single screen.

Functionality

The screen has the Instrument, Symbol and Expiry Date entry fields in the top row. It also displays the Future Price.
The second row displays the Instrument, Symbol and Expiry Date for which the Options Chain is currently being displayed. It also displays the Underlying Price.

The contracts grid shows the Options contracts arranged in such a way that the Call contracts are shown on the left of the Strike Price column and Put contracts are shown on the right.

The following columns are shown for each contract:

Field | Value
Implied Volatility | This shows the Implied Volatility for the contract and is highlighted with update.
Last Traded Price | This field shows the last traded price for the contract and gets highlighted for every change..
Change In LTP | This filed gives the difference between previous LTP and current LTP.
Traded Quantity | This field shows total traded quantity for the day in the contract at that point in time.
Open Interest | This field shows the Open Interest for that particular contract and is highlighted with update.
Bid Quantity | This field shows the accumulated buy quantity at the best buy price and gets highlighted for every change.
Bid price | This field shows the best buy price and gets highlighted for every change.
Offer Price | This field shows the best sell price and gets highlighted for every change.
Offer Quantity | This field shows the accumulated sell quantity at the best sell price and gets highlighted for every change.

The Underlying Price value is shown for the Options contracts currently set up and is updated on change.

Primary Functionalities that may be invoked over a contract apart from other inquiry windows:

Module | Description
Order Entry (Buy/Sell/2L/3L) | Order Entry may be invoked over a selected contract.
Market By Price (MBP) | MBP may be invoked over a selected contract.
Market Inquiry (MI) | MI may be invoked over a selected contract.
Options Calculator | Options Calculator may be invoked over a selected contract.
Net Position | Net position may be invoked over a selected contract.
Outstanding Order | Outstanding order may be invoked over a selected contract.
Previous Trade | Previous Trade may be invoked over a selected contract.

You may press Escape (ESC) key to close the Options Chain window. The contents will be lost once you close the Options Chain window.

Information Update

In the Options Chain screen, changes in the best price, quantity and open interest are highlighted on a dynamic basis (for both Call and Put contracts). For example, if the best price changes as a result of a new order in the market, the new details are immediately displayed. The changed details are highlighted with a change of color for a few seconds to signify that a change has occurred.
Increment and decrement highlight color can be set up from the color configuration screen. Different fields are dynamically updated using these colors indicating growth or fall. Underlying Price value is also updated on change as well but not highlighted. All the information is updated only on broadcast once the Options Chain screen is invoked.

User Settings

On right-clicking, the Options Chain context menu is invoked. From here, you can perform the following tasks:

Menu Item | Usage
System Configuration | Invoke the System Configuration menu.
Enable/Disable Highlight | Enable/Disable highlighting on change of values.
Hide/Show Grid Lines | Show/Hide the grid (separator) lines.
Set Column Widths to Default | Set the column widths automatically to application defaults.

From the “Appearance Settings” tab of the System Configuration dialog, colors may be changed for the following items in Options Chain:

Item | Usage
Background | The background color.
Foreground | The text color.
Price Increment Highlight | Background color of a cell when price has moved favourably.
Price Decrement Highlight | Background color of a cell when price has not moved favourably.
Price Increment Foreground | Text color of a cell when price has moved favourably.
Price Decrement Foreground | Text color of a cell when price has not moved favourably.
Row Selector | Color of the selection rectangle that surrounds the contract selected by you.
Grid Lines | The lines that help you distinguish the rows and columns by appearing between them (row and column separators).

Navigation

Up and Down arrow/cursor keys may be used to select the contracts.
Tab/Shift-Tab may be used to cycle between the controls, including between Call and Put sides of the contracts grid.
Page Up/Page Down keys scroll the screen vertically whenever the vertical scrollbar is visible.
Home/End keys select the First/Last row (respectively) in whichever of the Call/Put side of the contracts grid where the selection is present.


Activity Log

Invocation

  • Function Key : F7
  • Menu : Transaction -> Activity Log
  • Toolbar : 12th Icon on toolbar

Purpose

The purpose of Activity Log is to display activities performed by a dealer in any particular contract. These activities include order modification/cancellation, partial/full trade, trade modification / cancellation.

Functionality

The dealer, branch manager and corporate manager can view activity log only for self.

When Activity Log is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the activity log for across all clients and proprietary accounts for the selected contract are displayed i.e. the selection window is skipped.

When Activity Log is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually. For account type user can select ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

When Activity Log is invoked with ‘Disable Inquiry’ option disabled and the contract is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is defaulted from the contract selected on Market Watch. However, the user can replace the default contract. The user can select account type as ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

When Activity Log is invoked with ‘Disable Inquiry’ option disabled and contract is not selected on the Market Watch, the user needs to enter the inquiry parameters from selection window. The contract descriptor is to be entered manually. The user can select the account type as ‘ALL’ indicating all clients and proprietary or ‘PRO’ indicating only proprietary or ‘ALL CLIENTS’ indicating clients only or ‘CLIENT A/C’ for specific client code.

The detailed output will be as follows:

Market | Output
Currency Derivatives Market | Market Type
 | Instrument
 | Symbol
 | Expiry Date
 | ‘Activity Log as of’:
 | Current Time
 | Current Date
 | User Id
 | Order number
 | PRO/CLI indicator (where P-PRO and C-CLI )
 | Buy/Sell Indicator
 | Order quantity
 | Order price
 | Order Terms/ Trade Number
 | Disclosed Quantity
 | MF Indicator
 | MF Quantity
 | Activity Indicator
 | Activity Time
 | Market Type
 | Instrument
 | Symbol
 | Expiry date
 | Strike Price
 | Option Type
 | Label
 | Current Time
 | Current Date
 | User Id
 | Order number
 | Buy/Sell Indicator
 | Open/Close indicator
 | Cover / Uncover Indicator
 | Participant id
 | Order quantity
 | Order price
 | Order Terms/ Trade Number
 | Disclosed Quantity
 | MF Indicator
 | MF Quantity
 | Activity Indicator
 | Activity Time
 | Order Type

The data would be sorted on order number and within order number; the data would be sorted on activity time.

For spread order with ‘DAY’ time validity activities from order execution (trade) onwards would be available in activity log.

For spread order with ‘DAY’ time validity activities till order execution (trade) would be available in spread activity log.

Navigation

Not Applicable

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Common Inquiry window: Background : Window background color Text Color : Text Color on the Window
Show Header | This will show title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Print Preview | This will show print preview of Activity Log display depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Activity Log details as Activity Log Report on Printer selected.
Print | Print Activity Log details on selected printer.
Export | This will enable the user to copy complete Activity Log data to either Text file or CSV file. Default file name is “Activity Log Data Export”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the Activity Log data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Activity Log data will be pasted to this file.


Spread Activity Log

Invocation

  • Function Key : F7– when invoked from spread one liner
  • Function Key : ALT + F2 – when invoked from a normal contract or blank market watch
  • Menu : Transaction -> Spread Activity Log
  • Toolbar : Not applicable

Purpose

The purpose of Spread Activity Log inquiry is to enable user to view the trading activity in own spread orders. The activities tracked are spread order entry, spread order modification and spread order cancellation

Functionality

This utility is available to all users

When Spread Activity Log is invoked with ‘Disable Inquiry’ option enabled and one liner spread contract combination is selected on the Market Watch, the spread activity log for the spread contract combination for self will be displayed.

When Spread Activity Log is invoked with ‘Disable Inquiry’ option enabled and the contract is selected on the Market Watch, the primary request screen is displayed with the contract descriptor defaulted in first leg. The contract descriptor for the second leg has to be entered by the user manually.

When Spread Activity Log is invoked with ‘Disable Inquiry’ option enabled and contract is not selected on the Market Watch, the user needs to enter the contract descriptor for both the legs.

When Spread Activity Log is invoked with ‘Disable Inquiry’ option disabled and the contract or one liner spread contract combination is selected on the Market Watch, the user needs to enter the inquiry parameters from selection window

The detailed output will be as follows:

1st line will display Label for Current Time and Current Date

Market | Output
Currency Derivatives Market | Market Type First Leg
 | Instrument First Leg
 | Symbol First Leg
 | Expiry First Leg
 | Market Type Second Leg
 | Instrument Second Leg
 | Symbol Second Leg
 | Expiry Second Leg
 | Proprietary / client filtration
 | Buy/Sell
 | Order No.
 | Quantity
 | Price Difference
 | Status
 | Participant
 | Account No.
 | Trade number for leg 1
 | Trade number for leg 2
 | Duration
 | Activity Time
 | Order Type

The data would be sorted on spread order number and within spread order number the data would be sorted on activity time.

List of status are:

Status Code | Meaning
BSP | Buy Spread order
SSP | Sell Spread Order
SOM | Modified Spread Order
SOC | Cancelled Spread Order
FT | Fully Traded
PT | Partially Traded

This window is not dynamically updated.

Navigation

Not applicable

Menu Options

Menu Item | Usage
System Configuration | On clicking this menu option the color configuration dialog box will be invoked. On clicking particular item a color box with various color options will be invoked. User can select color of his choice by simple clicking on the same & the pressing apply. List of items on Common Inquiry window: Background : Window background color Text Color : Text Color on the Window
Show Header | This will show title for various table columns.
Hide Caption/ Show Caption | On clicking this option user can switch on/ off the caption (Default – Hide Caption)
Print Preview | This will show print preview of Activity Log display depending on default Printer. The default layout is Portrait Using the Print Preview screen user can print the Activity Log details as Activity Log Report on Printer selected.
Print | Print Activity Log details on selected printer.
Export | This will enable the user to copy complete Activity Log data to either Text file or CSV file. Default file name is “Spread Activity Log Data Export”. On clicking this item file save dialog box will be invoked with default file name. User can select the destination & press save to save the Activity Log data.
Copy | If user clicks on this item & then opens text file & click paste in this file the Activity Log data will be pasted to this file.


Message Window

Invocation

The Message Window is visible by default. To expand the message window:

· Function Key: F10

· Menu: Miscellaneous -> Message window

· Toolbar: N.A.

Purpose

The purpose of the Message Window is to allow the user to view trader messages like order confirmation, trade confirmation etc and also the messages sent by the Exchange such as market news, member information etc.

Functionality

This functionality is available to all users.

There are two overlapping Message Window screens and can be toggled using the <Up> and <Down> keys. System related messages are shown by default in the first window.

Each window has an online filter to filter specific messages received from host. The messages can be filtered based on Message Code. The message filter facility ensures that no message is missed & makes both the message windows complimentary to each other i.e. message is shown in at least one of the window.

For details about Online Filter facility please refer to the section on Online Filter.

The messages are displayed in chronological order of message time.

The color of messages for both the windows can be configured through Color Schemes.

Rearranging Tab Panes

The tabbed panes can be rearranged with respect to each other. This can be done by dragging the selected tabbed pane and placing it in the desired position on the tab panel. However this arrangement only lasts for the current login session. On re-login in the tab panes assume their default positions as before.

Navigation

Not applicable

Menu Options

Menu Item | Options | Usage
Copy | Full | Copy all messages
 | Selection (User will have to select messages to be copied by using Shift + Left Mouse Button) | Copy only selected Messages
Export | Full | Exports all messages
 | Selection (User will have to select messages to be export by using Shift + Left Mouse Button) | Exports only selected Messages
Print | Full | Prints all messages
 | Selection (User will have to select messages to be print by using Shift + Left Mouse Button) | Prints only selected Messages
Filter |  | For invoking Filter
System Configuration |  | For configuring Text Color and Background Color of selected Message Window


Full Message Window

Invocation

· Function key: Ctrl + F10.

· Menu: Miscellaneous -> Full Message Window

· Toolbar: N.A.

Purpose

The purpose of the Full Message Window is to allow the user to view all trader messages like order confirmation, trade confirmation etc and also all messages sent by the Exchange such as market news, member information etc.

Functionality

This functionality is available to all users.

All the messages are displayed without any filter. A ‘Offline Filter’ facility is provided to filter the messages based on Instrument, Symbol, Message Codes etc. For further information regarding offline filter & various message codes, please refer section on ‘Offline Filter’.

Navigation

The user can navigate in full message window by using <PAGE UP>, <PAGE HOME >, < PAGE END >, < PAGE DOWN>.

Menu Options

Menu Item | Usage
Copy (Shortcut Key: ‘C’) | Full – Copy all messages Selection – Copy only selected Messages . Page- Copy only messages of currently visible Page
Export (Shortcut Key: ‘E’) | Full – Exports all messages Selection – Exports only selected Messages . Page- Export only messages of currently visible Page.
Print (Shortcut Key: ‘P’) | Full – Print all messages Selection – Print only selected Messages Page – Print only messages of currently visible Page .
Filter (Shortcut Key: ‘F’) | For invoking Filter
System Configuration | For configuring Text Color, Background Color and Gridline Color.
Hide / Show Grid Lines | To hide or show Grid Lines .


Online Filter

Invocation

  • Function Key: Ctrl + Shift + F
  • Menu: Miscellaneous -> Online filter
  • Toolbar: N.A.

Purpose

The purpose of Online Filter is to set the filter for messages for individual message windows.

Functionality

This functionality is available to all users.

The user can filter the messages on message codes. The user can select either specific message code or multiple message codes.

The message codes are:

Market Segment | Message Code | Description
Currency Derivatives | ALL | All messages
 | MAR | Margin related messages
 | MWL | Market wide limit messages
 | ORD | Order related messages
 | OTH | Miscellaneous
 | PFZ | Prize Freeze Related messages
 | PRT | Participant Trades of Clearing Member
 | SPD | Contract Suspension/De-suspension
 | SPR | Spread order messages
 | SYS | System Messages
 | TRD | Trades Related messages
 | TMD | Trade Modification Message
 | VFZ | Volume Freeze Related messages

After entering the filter criteria, the user needs to press [Apply]. Subsequent messages for the filtered message code(s) only would appear in the message window.

All other messages would appear in another message window. This facility ensures that no message is missed & makes both the message windows complimentary to each other i.e. message is shown in at least one of the window.

To select all message codes press [Select All]

To clear all selected message codes press [Clear All]

To exit from online filter press [Cancel]

Navigation

The User can change any or all of this information by typing over the appropriate fields. The [Tab] and [Shift + Tab] keys can be used to navigate between fields.

Menu Options

Not Applicable


Offline Filter

Invocation

  • Function Key: Shift + F
  • Menu: Miscellaneous Filter
  • Toolbar: N.A.

Purpose

The purpose of the offline filter is to set the filter for messages appearing in Full Message Window.

Functionality

This functionality is available to all users.

The user can filter the messages on any of the following combinations:

Contract descriptor:

The user can filter the messages on all contracts or specify a contract descriptor.

Message Descriptor:

The message code by default shows ‘All’. The user has the option to select the desired message code. If the message code is CLI, the user can choose specific client code or all client codes.

The message codes are:

Market Segment | Message Code | Description
Currency Derivatives | ALL | All messages
 | CLI | Client related messages
 | MAR | Margin related messages
 | MWL | Market wide limit messages
 | ORD | Order related messages
 | OTH | Miscellaneous
 | PFZ | Prize Freeze Related messages
 | PRT | Participant Trades of Clearing Member
 | SPD | Contract Suspension/De-suspension
 | SPR | Spread order messages
 | SYS | System Messages
 | TRD | Trades Related messages
 | TMD | Trade Modification Message
 | VFZ | Volume Freeze Related messages

Period:

The start date-time is defaulted with the time of first message is received by the user. The end date-time is defaulted with current date-time.

After entering the combination the user need to press [View]. The messages filtered as per the selection criteria would appear in full message window.

The user can set multiple filtering conditions by saving the filter (press [Save]) and then move to next filter by pressing [Next].

To exit from offline message filter press [Cancel]

Navigation

The user can navigate in this module <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Ticker

Asset Window

Invocation

· Function Key: Ctrl + I

· Menu: Miscellaneous -> Asset Window

· Toolbar: N.A.

The user can show or hide the asset window using the above function keys or menu option.

Purpose

This purpose of Asset Window is to allow the user to view price details of the underlying assets.

Functionality

This functionality is available to all users.

This window displays latest best bid/ ask for the asset, average of best bid/ ask, last traded price (LTP), absolute and percentage change in LTP compared to previous close price in the underlying market.

Navigation

Not applicable.

Menu Options

Menu Item | Usage
Short Asset Display / Full Asset display | This is a toggle option used to collapse and expand the Asset window vertically. In Full window state it shows all the Assets and in Short window state it only show the first Asset in the list.
Columns Visible | This is used to hide/show various columns Asset Value, Bid Value, Ask Value, Spot value, Price change and % Price change.
Rows Visible | This is used to hide/show various Assets.
Hide Gridlines / Show Gridlines | This is used to hide and show the gridlines visible on Asset Window
Hide Header / Show Header | This is used to hide and show the Field Header.
Hide Caption / Show Caption | This is used to hide and show title bar for Asset window.
Switch to Normal Price Precision Font/ Switch to Enlarge Price Precision Font | This is used to allow the user to view asset price precision (paisa part of price) in normal size or enlarged size.
System Configuration | This will invoke the color configuration screen from where one can configure color for Index Window.
Export | This is used to export Asset data in csv format.
Copy | This copies the data to the clipboard. This data ca be pasted from clipboard to notepad, word, excel etc.


Order Limit

Invocation

· Function Key: Ctrl + Shift + O

· Menu: Dialogs -> Order limits

Select Order Limit page using mouse or navigate using <Ctrl + Tab> keys

Purpose

The purpose of Order Limit is to allow the corporate manager (CM) or branch manager (BM) to set value limit and quantity limit for individual order that can be entered by the specific user within the trading member’s firm.

The dealers can only use this facility to view the limits set up for them and their utilization.

Functionality

This functionality is available only to the corporate manager and branch manager to set up limits and dealers can view limits set for them.

Normal order value and quantity limit:

Order limits shall enable the user to specify maximum value per order and maximum quantity per order that can be entered.

The dealer will have view only privilege for order limits.

For updation of limits CM/BM needs to select the user id from drop down list for which the inquiry/updation of limits needs to be done.

The Order limits can be set to unlimited provided the user limit is set to unlimited. For this user will have to check "unlimited" check box provided on this window.

After setting the order limit values click on [Set] button. This will send the values to the host and update order limits. If modification is done the message “Modify Successful” will be displayed else appropriate error message will be displayed.

The computation method of Order Limits shall be as follows:

Futures Buy Order = Order Price * Quantity*multiplier

Futures Sell Order = Order Price * Quantity* multiplier

Options Buy Order = Order Price * Quantity* multiplier

Options Sell Order = Strike Price * Quantity* multiplier

Spread order value & quantity limit

Order limits shall enable the user to specify maximum value per spread order and maximum quantity per spread order that can be entered.

For updation of limits CM/BM needs to select the user id from drop down list for which the inquiry/updation of limits needs to be done.

The spread order limits can be set to unlimited provided the user limit is set to unlimited. For this user will have to check "unlimited" check box provided on this window.

After setting the spread order limit values click on [Set] button. This will send the values to the host and update order limits. If modification is done the message “Modify Successful” will be displayed else appropriate error message will be displayed.

The computation method of Spread Order Limits shall be as follows:

First Leg Value (A) = Reference Price of First Leg * Quantity* multiplier

Second Leg Value (B) = (Reference Price of First Leg + Price Difference) * Quantity* multiplier

Spread Order Limit Value = First Leg Value (A) + Second Leg Value (B)

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Order Price Limit

Spread Order Price Limit

Invocation

· Function Key: Ctrl + Shift + O

· Menu: Dialogs -> Order limits

Purpose

The purpose of Spread Order Price Limit is to allow the dealer to set the range for buy spread orders (BSP) and sell spread orders (SSP)

Functionality

This functionality is available to all the dealers.

The user is allowed to set following four limits specific to spread order:

Buy Spread (BSP) Price Difference – Price difference entered for BSP shall not exceed this limit.

Sell Spread (SSP) Price Difference – Price difference entered for SSP shall not exceed this limit.

To save the limits press [Set]

To exit from Spread Order Limit press [Cancel]

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable.


Order Price Limit

Invocation

· Function Key: Ctrl + Shift + O

· Menu: Dialogs -> Order limits

· Toolbar: N.A.

Purpose

The purpose of Order Price Limit is to allow the dealer to set the range for limit price orders that are within the operating min max range as set by the Exchange

Functionality

This functionality is available to all the dealers.

The order price limit can be set for a particular instrument for only buy side orders, only sell side orders or both side orders. It can also be either as percentage of base price or absolute value.

The user can not set the order price limit if the computed (based on percentage to the base price) or absolute values are outside the range set by the exchange across all contracts for that instrument i.e. minimum value entered is less than the minimum of operating range among all the contracts for the instrument or vice versa for maximum value.

Press [Set] to save the order price limit for the instrument.

The user can activate the order price limits set by selecting ‘Check Limits’ check box i.e. the limit price order entry is subject to this set order price limit check only if the ‘Check Limit’ check box is selected.

The user is also provided with [View] facility to check the minimum and maximum order price limits applicable on all/ selected contracts for the instrument. The user can [Print] the order price limit details for all/ selected contracts.

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable.


Branch Order Value Limit

Invocation

  • Function Key : Ctrl + Shift + L
  • Menu : Dialogs -> User/Branch/Collateral Limits

Select Branch Order Value Limit page using mouse or navigate using <Ctrl + Tab> keys

Purpose

The purpose of Branch Order Value Limit is to allow the corporate manager to set day limit on the total value of buy orders and the total value of sell orders that can be entered by the specific branch within the trading member’s firm. The limits are set as rupees in lakhs.

Functionality

This functionality is available only to the corporate manager.

The corporate manager needs to select a branch from the list. If the corporate manager wishes not to set branch order value limit for a branch, then a facility is provided to check ‘Unlimited’ box. If the corporate manager wishes to disallow a branch from order entry then the branch order value limit can be set to zero.

To change the limit, enter the new limit in the "New Limit Value" field and select [Modify]. The new limit should be greater than the limit already used by the branch. Whenever the corporate manager sets/ modifies the branch order limit of any branch, the corporate manager as well as the branch manager receives a message to that effect at the trader workstation.

The branch’s used order value will be the sum of the order value entered by all the users from that branch. . In case of spread order the value for 1st leg is calculated considering the reference price of the spread contract combination and the value for 2nd leg it is calculated considering reference price + price difference. The branch order value limit is checked against the branch used order value. At any point in time, all dealers of the branch can enter orders as long as the total order value is less than the branch order value limit assigned to their branch by the corporate manager. The used branch order value limit is incremented/ decremented at every order entry/ order modification/ order cancellation. If a particular order results in the branch order value exceeding the limit set the order is rejected.

The corporate manager can view the set limit and the used value any time during the trading day.

Only Day/ IOC orders are allowed in Currency Derivatives segment. Therefore, outstanding day orders at the end of the trading hours are cancelled by the exchange. Accordingly, branch’s used branch order value will be reset to zero on the next trading day.

To print the information press [Print]

File upload facility for limit modification:

If the corporate manager wishes to set limits for multiple branches a file upload facility is provided. This facility allows the corporate manager to upload comma separated file with updated branch limits.

The file format will be as follows:

Field | Type | Content checking | Range checking
Broker Id | Input | MAX 5 characters |
Branch Id | Input | 1 to 3 digits | Between 1 and 999
Futures Buy set limit | Input | 1 to 12 characters containing: Upto 11 digits ,Upto 1 dec. pts. Optionally, the text UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Futures Sell set limit | Input | 1 to 12 characters containing: Upto 11 digits ,Upto 1 dec. pts. Optionally, the text “UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Options Buy set limits | Input | 1 to 12 characters containing: Upto 11 digits ,Upto 1 dec. pts. Optionally, the text “UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Options Sell set limit | Input | 1 to 12 characters containing: Upto 11 digits ,Upto 1 dec. pts. Optionally, the text “UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Status** | Output | In case the error code received from host is not zero, it will be written into this field, else the text "Success" will be written in. | N/A (Output field)

** The response file generated will append the status for each record. For records processed successfully the status will be ‘Success’. For the rejected records, the relevant error code will be displayed as status.

List of BOVL error codes:

Error code | Description
16041 | Invalid Broker/Trading Member Id
16052 | Function not available
16054 | Invalid branch
16070 | Limits not changed
16104 | System Error, Request could not be completed
16273 | Record not found
16333 | Branch Order value limit exceeded
16444 | User Order value limit exceeded
16597 | Cumulative user order value limit exceeded
16598 | Branch order value limit exceeded than branch used limit
30020 | Invalid Buy set Limit/ Invalid Future Buy set Limit
30022 | Invalid Sell set Limit/ Invalid Future Sell set Limit
30025 | Invalid Option Buy set Limit
30026 | Invalid Option Sell set Limit
33300 | Invalid records

The status of information regarding the process will be shown in the dialog’s status line. To exit from Branch Order Value Limit press [Cancel].

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Collateral Limit
Invocation

  • Function Key: Ctrl + Shift + L
  • Menu: Dialogs -> User/Branch/Collateral limits
  • Toolbar: N.A.

Select Collateral Limit page using mouse or navigate using <Ctrl + Tab> keys

Purpose

The purpose of Collateral Limit is to allow the Clearing Member to setup collateral limit for the associated trading member/ custodial participant. The total margin on the exposure taken by the trading member/ custodial participant should not exceed the collateral limit set for them by their clearing member. The limit is set as rupees in lakhs.

Functionality

This functionality is available only to the corporate manager of the clearing member.

The corporate manager of the clearing member needs to select a trading member/ custodial participant from the list. If the clearing member wishes not to set collateral limit for a trading member/ custodial participant, then a facility is provided to check ‘Unlimited’ box. If the corporate manager wishes to disallow a trading member/ custodial participant from order entry then the collateral limit can be set to zero.

To change the limit, enter the new limit in the "New Limit Value" field and select [Modify]. The new limit should be greater than the limit already used by the branch. Whenever the corporate manager sets/ modifies the collateral limit of any trading member/ custodial participant, the corporate manager as well as trading member/ custodial participant receives a message to that effect at the trader workstation.

The corporate manager can view the set limit and the used limit any time during the trading day. Additionally, user is provided with a facility to view the set limits of all the linked participants / trading members.

To view the set limit of all the linked Trading Members and Custodian Participants press [View All]

To print the details of set limit of all the linked Trading Members and Custodian Participants, press [Print].

To export the details of set limit of all the Trading Members and Custodian Participants, press [Export].

If the trading member/ custodial participant exposure exceeds collateral limit, the trading member/ custodial participant shall be disabled from the trading system. All outstanding orders of such a trading member/ custodial participant would be cancelled and the trading member/ custodial participant would not be allowed to enter fresh orders.

To quit without modifying the limit for branch, press [Cancel].

The user can also print the details of the collateral limit for a Trading Member/ Custodial Participant by selecting [Print].

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu options

Not Applicable


User Order Value Limit

Invocation

  • Function Key: Ctrl + Shift + L
  • Menu: Dialogs -> User/Branch/Collateral Limits
  • Toolbar: N.A.

Purpose

The purpose of User Order Value Limit is to allow the corporate manager or branch manager to set day limit on the total value of order buy orders and the total value of sell orders that can be entered by the specific user within the trading member’s firm. The limits are set as rupees in lakhs.

The dealers can only use this facility to view the limits set up for them and their utilization.

Functionality

This functionality is available only to the corporate manager and branch manager to set up limits and dealers can view limits set for them.

The corporate manager or branch manager needs to select a dealer from the list. If the corporate manager or branch manager wishes not to set user order value limit for a dealer, then the facility is provided to check ‘Unlimited’ check box. If the corporate manager or branch manager wishes to disallow a branch from order entry then the user order value limit can be set to zero.

To change the limit, enter the new limit in the "New Limit Value" field and select [Modify]. The new limit should be greater than the limit already used by the dealer. Whenever the corporate manager or branch manager sets/ modifies the user order limit of any branch, the corporate manager or branch manager as well as the dealer receives a message to that effect at the trader workstation.

The dealer’s used order value will be the sum of the order value entered by the dealer. In case of spread order the value for 1st leg is calculated considering the reference price of the spread contract combination and the value for 2nd leg it is calculated considering reference price + price difference. The user order value limit is checked against the dealer used order value. At any point in time, dealer can enter orders as long as the total order value is less than the user order value limit assigned by the corporate manager or branch manager. The used order value is incremented/ decremented at every order entry/ order modification/ order cancellation. If a particular order results in the user order value exceeding the limit set the order is rejected.

The corporate manager or branch manager can view the set limit and the used value any time during the trading day.

Only Day/ IOC orders are allowed in Currency Derivatives segment. Therefore, outstanding day orders at the end of the trading hours are cancelled by the exchange. Accordingly, dealer’s used order value will be reset to zero on the next trading day.

To print the information press [Print]

File upload facility for limit modification:

If the corporate manager and branch manager wishes to set limits of dealer a file upload facility is provided. This facility allows the corporate manager and branch manager to upload comma separated file with updated user limits.

Input file format will be as follows:

Field | Type | Content checking | Range checking
Broker Id | Input | MAX 5 characters |
Branch Id | Input | 1 to 3 digits | Between 1 and 999
User Id | Input | 1 to 5 digits | Between 1 and 60000
Buy set limit for futures | Input | 1 to 12 characters containing: | Between 0 and 999999999.99
 |  | Upto 11 digits,
 |  | Upto 1 dec. pts.
 |  | Optionally, the text “UNLIMITED” (case insensitive)
Sell set limit for futures | Input | 1 to 12 characters containing: | Between 0 and 999999999.99
 |  | Upto 11 digits
 |  | Upto 1 dec. pts.
 |  | Optionally, the text “UNLIMITED” (case insensitive)
Buy set limit for options | Input | 1 to 12 characters containing: Upto 11 digits Upto 1 dec. pts. Optionally, the text “UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Sell set limit for options | Input | 1 to 12 characters containing: Upto 11 digits Upto 1 dec. pts. Optionally, the text “UNLIMITED” (case insensitive) | Between 0 and 999999999.99
Status** | Output | In case the error code received is not zero, it will be written into this field, else the text "Success" will be written in. | N/A (Output field)

** The response file generated will append the status for each record. For records processed successfully the status will be ‘Success’. For the rejected records, the relevant error code will be displayed as status.

List of UOVL error code:

Error code | Description
16001 | Invalid User
16041 | Invalid Broker/Trading Member Id
16052 | Function not available
16054 | Invalid branch
16070 | Limits not changed
16104 | System Error, Request could not be completed
16148 | Invalid User Id
16264 | User already deleted
16273 | Record not found
16333 | Branch Order Value Limit exceeded
16444 | User Order value Limit exceeded
30020 | Invalid Buy set Limit/ Invalid Future Buy set Limit
30022 | Invalid Sell set Limit/ Invalid Future Sell set Limit
30025 | Invalid Option Buy set Limit
30026 | Invalid Option Sell set Limit
33300 | Invalid Records

The status of information regarding the process will be shown in the dialog’s status line.

To exit from User Order Value Limit press[Cancel].

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable.


Market Price Protection

Invocation

· Function Key: Ctrl + Shift + O

· Menu: Dialogs -> Order limits

Select MPP page using mouse or navigate using <Ctrl + Tab> keys

Purpose

The purpose of MPP is to allow the dealer to set order limits for self so that a single order price cannot exceed price limit set.

Functionality

This functionality is available to all users.

Market Price protection feature limits the risk of a market order within a pre-set percentage to the Last Trade Price (LTP) or Base Price. The dealer is required to set market price protection percentage (default set to 0).

To use the market price protection feature at the time of order entry, the user can press (Page Up) from the order price. In case of a buy order, the order price will be computed as LTP + Market Price Protection percentage. In case of a sell order, the order price will be computed as LTP - Market Price Protection percentage. The user is allowed to change the computed order price.

The default time validity for such order will be Immediate Or Cancel (IOC). However, the user can change the default time validity to DAY.

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Ticker

Invocation

  • Function Key: Ctrl + Q
  • Menu: Tools -> CD Ticker
  • Toolbar: N.A.

The user can show or hide the ticker bar using the above function keys or menu option.

Purpose

This purpose of Ticker is to allow the user to view details on traded contracts.

Functionality

This functionality is available to all users.

Whenever the trade is executed, market information of the trade is made available in this window. The trade details consist of Contract Descriptor, Market, Traded Quantity and Trade Price. The information is updated dynamically.

Trade ticker would not be available where spread orders with ‘Day’ time validity are matched.

Navigation

Not applicable.

Menu Options

Menu Item

Usage

Speed

Auto

The ticker speed will be controlled by the application automatically

Manual

User can control the ticker speed and it can be increase or decreased at his will.

Pressing <CTRL>+<LEFT MOUSE BTN> will increase the ticker speed by one pixel. In this way the speed can be increased to a maximum of 100 pixels.

Pressing <CTRL>+<RIGHT MOUSE BTN> will decrease the ticker speed by one pixel. In this way the speed can be decreased to a minimum of 1 pixel.

System Configuration

User can configure the color of the different elements of his Ticker window.

Click on Configure Color .Choose the sub-item from the Item combo box and click on ‘Color ‘ button with painted rectangle on it .Choose the required color from the dialog box and click on OK. Click on Apply to apply the settings to the window.

Direction

User can set the direction in which the broadcasted data on the ticker moves.

Left

He can configure the movement of data to the Left side of the screen (not with respect to the User ) , by choosing ‘Left’ from the sub-menu of Direction.

Right

User can set the movement of data to the Right

side of the screen (not with respect to the User ) , by choosing ‘Right ‘from the sub-menu of Direction.

Hide

User can disable any of the Ticker windows by clicking on the ‘Hide’ option of the menu.

Pause / Resume

User can stop the movement of the Ticker data temporarily by clicking on the ‘Pause’ option from menu.

A paused ticker can be triggered to run again by clicking on the ‘Resume ‘option.


Ticker Selection

Invocation

  • Function Key: Alt+F8
  • Menu: Dialogs -> Ticker Selection
  • Toolbar: N.A.

Purpose

The purpose of the Ticker Selection window is to allow the user to set up the contracts that should appear in the ticker windows.

Functionality

This functionality is available to all users.

The user can search for the contract by specifying the contract name and/ or the symbol and/ or the expiry date. The user can also search all contracts without specifying search criteria. To get the contract list for the specified criteria press [Search]

The list box will display the contracts as per the search criteria provided by the user. The user can select specific contract by mouse click and multiple contracts with combination of mouse click either with ‘Ctrl’ or ‘Shift’.

To select all the contracts from list box press [Select All]

To de-select all the contracts from list box press [Clear All]

To save the contract/contracts to be appeared in the ticker window press [Save]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Asset List

Invocation

  • Function Key: Ctrl + Shift +A
  • Menu: Dialogs -> Asset List
  • Toolbar: N.A.

Purpose

The purpose of Assets List is to view the list of assets & set the underlying assets on the Market watch.

Functionality

This functionality is available to all users.

The user can search for an asset by specifying an asset name. The user can also search all the underlying assets without specifying search criteria. To get an asset list for the specified criteria press [Search]

An asset list box will display all the assets as per the search criteria provided by the user. The user can select specific asset by mouse click and multiple assets with combination of mouse click either with ‘Ctrl’ or ‘Shift’.

To select all the assets from list box press [Select All]

To set the selected assets in Asset List on MW press [Set to MW]

To de-select assets in Asset List press [Clear All]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Security List / Portfolio Setup

Security List

Invocation

  • Function Key: Shift + F7
  • Menu: Dialogs -> Security List
  • Toolbar: 16th icon on toolbar

Purpose

The purpose of Security List is to list the contract descriptors available for trading.

Functionality

This functionality is available to all users.

The user can invoke spread combination contracts and asset list from the separate TAB provided in the screen besides regular contracts provided on the first tab ‘Security List/ Portfolio Setup’.

The user can search for the contract descriptor by specifying the contract name and/ or the symbol and/ or the expiry date. The user can search for the asset by specifying asset name. The user can also search all contracts/ assets without specifying search criteria. To get the contract/ asset list for the specified criteria press [Search]

The result area will display the contracts/ assets as per the search criteria provided by the user. The user can select specific contract/ asset by mouse click and multiple contracts/ assets with combination of mouse click either with ‘Ctrl’ or ‘Shift’.

To select all the contracts/ assets from list box press [Select All]

To set the selected contracts/ asset in Contract List on MW press [Set to MW]

To clear the de-select contracts/ asset in Contract List press [Clear All]

To print the regular contracts from contract list press [Print]

A facility is provided to the user to create user defined portfolio from the regular contracts displayed in contract list. The user can select the contracts from contract list and press [Move] or [Move All] to move selected/ all contracts to the portfolio set up list.

To save the portfolio press [Save] after entering the name of the portfolio.

To set the portfolio on MW, select the portfolio name and press [Set to MW]

To delete user defined portfolio, select the portfolio name and press [Delete]

To remove contract from the portfolio, select the contract from portfolio list and press [Remove]/ [Remove All]

To print the user defined portfolio press [Print]

To exit from Security List press [Cancel]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Spread Combination List

Invocation

  • Function Key: Ctrl +F12
  • Menu: Dialogs -> Spread Combination List

Purpose

The purpose of Spread Combination List is to list all the spread combinations available for trading.

Functionality

This functionality is available to all users.

The user can search for the spread combinations by specifying the Symbol and/ or both the expiry dates. The user can also search all contracts without specifying search criteria. To get the contract combination list for the specified criteria press [Search]

Spread Match Type

User can select normal, directional, price variation spread contract by selecting respective check boxes. By default only normal spread contract will be selected.

The spread combination list box will display the spread combinations as per the search criteria provided by the user. The user can select specific spread combination by mouse click and multiple contracts with combination of mouse click either with ‘Ctrl’ or ‘Shift’.

To select all the spread combinations from list box press [Select All]

To set the selected spread combination on MW press [Set to MW]

To clear or de-select spread combination in Spread Combination List press [Clear All]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Market By Price

Auto Lock Interval

Invocation

  • Function Key: CNTRL + L
  • Menu: Tools -> Auto Lock Interval
  • Toolbar: Not applicable

Purpose

The purpose of the Auto Lock Interval is to allow the user to define the time out for temporary log off. The application would be locked temporarily if it remains inactive beyond the time specified by the user.

Functionality

This functionality is available to all users.

The user can continue to select system defined time out period (5 minutes by default) by enabling the checkbox provided. However, the user can also define the time out period by de-selecting the checkbox provided and entering value in minutes in the edit box provided. The value should not exceed 500 minutes.

The application would be temporarily logged off if it remains inactive beyond either the system defined time out period or user defined time out period, as the case may be.

Navigation

Not applicable

Menu Options

Not applicable


Market By Price

Contract Descriptor

Invocation

  • Function Key: SHFT+ F8
  • Menu: Miscellaneous -> Contract Descriptor
  • Toolbar: Not applicable
  • Others: Double click on contract descriptor set on Market Watch

To invoke the contract descriptor through function key or menu key the user must select the contract on Market Watch.

Purpose

The purpose of the Contract Descriptor is to allow the user to view the contract details.

Functionality

This functionality is available to all users.

When invoked for a contract the information displayed includes contract name, regular lot, tick size, operating price range (absolute values), last trade date, value date and remarks, if any.

When invoked from a one liner spread contract combination the information displayed includes Instrument, Symbol, Expiry Date 1, Expiry Date 2, Regular Lot, Tick size, Price range. The price range displays the operating range of the spread contract combination in absolute terms calculated as follows:

Operating High percentage: Reference price * operating percentage

Operating Low percentage: Reference price * operating percentage * -1

The information is displayed for short duration specified by the exchange.

Navigation

Not applicable

Menu Options

Not applicable


Short Descriptor

Invocation

  • Function Key: Ctrl + F9
  • Menu: Dialogs -> Short Descriptor
  • Toolbar: N.A.

Purpose

The purpose of the short descriptor is to allow the user to set up short descriptor for the contracts. Short descriptor can be used as an alias for full contract descriptor to set the contract on market watch or in snap quote. Maximum 15 characters are allowed for short descriptor.

Functionality

This functionality is available to all users.

To enter the short descriptor, the user can select contract, enter the short descriptor name in Short Descriptor combo box and press [Save] to set the short descriptor for the selected contract.

To view short descriptors set, the user can select “ALL” in short descriptor combo box and press [Search] .Also user can search a particular short descriptor by entering the short descriptor name in the short descriptor combo box and press [Search] button.

To modify any short descriptor, the user has to select the particular short descriptor from the list, then change the short descriptor from the short descriptor combo box and press [Save] button.

To delete any particular short descriptor, the user has to select the particular short descriptor from the list, then delete the short descriptor name from the combo box and press [Save] button.

Navigation

The user can navigate in the short descriptor window by using <Tab> and <Shift +Tab> keys.

Menu Options

Not applicable


Online Backup

Invocation

  • Function Key: Alt+F7
  • Menu: Dialogs -> Online Backup
  • Toolbar: 15th icon on the toolbar.

It can be invoked on login screen and from market watch screen as well.

Purpose

The purpose of Online Backup is to allow the user to take a backup of transactions i.e. orders and trades entered by self. The information available is for the current day only.

Functionality

This utility may help the user to generate the Contract Notes as and when a trade takes place.

On pressing [ALT + F7] the online backup selection screen appears. The user can select the various fields on which the output will be filtered.

Timer based backup

Backups can also be taken automatically after specified time intervals. This can be done by invoking the timer based backup facility of online backup. For this select the check box after the end time field. The field for the timer interval (placed next to the check box), gets enabled and the 'Ok' button gets disabled. Set the desired time interval. Now select the required criteria for which Order and Trade backup is to be taken. Now click on the 'Start' button .The timer facility takes regular backups of selected Order and Trade information. To stop the timer facility press 'Stop' button.

The system searches for the records that matches with filtering criteria & place these records in the file created at specified path. The files are in .TXT format. If the file with same file name exists at path specified then the user is prompted with message to overwrite the existing file.

User will be provided with the facility to append system date in the file name. To append the date select append date to file name check box.

The backup parameters selected during the previous backup will be retained.

A facility is provided for the user to take backup of auction related orders and trades for IRD contract specific underlying.

Users will be able to take backup of auction related orders and trades through this functionality on selection of Market Type field as “AUCTION” or “ALL”.

In case of backup all auction orders and trades will be shown after FUTCUR and FUTIRD contracts

The format for Order file is given below

Field Name | Field Size | Values |  |  | Remarks
Order Number | Num (16) |  |  |  |
Order Status | Num (2) | ORIGINAL ORDER |  |  | 1
 |  | MODIFIED ORDER |  |  | 2
 |  | PARTIALLY TRADED ORDER |  |  | 3
 |  | FULLY TRADED ORDER |  |  | 4
 |  | CANCELLED ORDER |  |  | 5
 |  | REJECTED ORDER |  |  | 6
 |  | ORDER MODIFICATION REJECTED |  |  | 7
 |  | ORDER CANCELLATION REJECTED |  |  | 8
Instrument Type | Char (6) |  |  |  | Instrument type
Symbol | Char (10) |  |  |  | Symbol
Expiry date | Char(9) | Normal | DDMMMYYY |  | Expiry Date of the contract
 |  | Auction | Blank
Strike Price | Num (3.7) |  |  |  | Strike Price of the options contract
Option type | Char (2) |  |  |  | Option Type of the contract
Security name | Char (25) |  |  |  | Security name
Book Type | Num (2) | Regular Lot |  | 1 | Book Type
 |  | Stop Loss |  | 3
 |  | Auction |  | 7
Book Type Name | Char (3) | Regular Lot |  | RL |
 |  | Stop Loss |  | SL
 |  | Auction |  | AU
Market type | Num (2) | Normal |  | 1 |
 |  | Auction |  | 4
User Id | Num (5) |  |  |  | User Id
Branch No | Num (3) |  |  |  | Branch Id
Buy/Sell Indicator | Num (1) | Buy |  | 1 |
 |  | Sell |  | 2
Disclosed Qty | Num (9) |  |  |  | Disclosed Quantity
Disclosed Volume Remaining | Num (9) |  |  |  | Disclosed Volume Remaining
Total Volume Remaining | Num (9) |  |  |  | Total Volume Remaining
Original Volume | Num (9) |  |  |  | Original Volume
Minimum Fill Quantity | Num (9) |  |  |  | Minimum Fill
All Or None | Num (1) | No AON |  | 0 |
 |  | AON |  | 1
Volume Filled Today | Num (9) |  |  |  |
Price | Num (3.7) |  |  |  |
Broker ID | Char (5) |  |  |  |
Order Type | Num (1) | Limit Price |  | 0 |
 |  | ATO |  | 1
 |  | Market |  | 2
Good Till Date | DD MMM YYYY HH:MM:SS |  |  |  |
Duration | Num (1) | DAY |  | 0 |
 |  | IOC |  | 1
 |  | GTC |  | 2
 |  | GTD |  | 3
Pro/Cli | Num (1) | Client |  | 1 |
 |  | Proprietary |  | 2
Account No | Char(10) |  |  |  | Client account number
Participant | Char (12) |  |  |  | Participant code
Open/Close Flag | Char (5) |  |  |  | Indicator flag for open/close
Cover/Uncover Flag | Char (7) | Cancel On Logout |  | COL | Indicator flag for Cover/Uncovered & Cancel on Logout
 |  | Non COL |  | UNCOVER
Last Modified time | DD MMM YYYY H:MM:SS |  |  |  |
Remarks | Char (24) |  |  |  |
Order Entry Date Time | DD MMM YYYY HH:MM:SS |  |  |  | Order Entry/User Modification Time
Opposite Broker Id | Num (5) |  |  |  | Counter Party Id

The format for Trade file is given below

Field Name | Field Size | Values |  | Remarks
Trade Number | Num(8) |  |  | Trade number
Trade Status | Num(2) | Original trade | 11 | Status of the Trade
 |  | Modified trade | 12
 |  | Cancelled trade | 13
 |  | Rejected trade | 14
 |  | Trade Modification Rejected | 15
 |  | Trade Cancellation Rejected | 16
 |  | Give Up Trade Approved (for derivatives only) | 17
 |  | Give Up Trade Rejected | 18
Instrument Type | Char(6) |  |  | Instrument type
Symbol | Char (10) |  |  | Symbol
Expiry date | DDMMM YYYY |  |  | Expiry Date of the contract
Strike Price | Num (3.7) |  |  | Strike Price of the options contract
Option type | Char (2) |  |  | Option Type of the contract
Security name | Char (25) |  |  | Security name
Book Type | Num (2) | Regular Lot | 1 | Book Type
 |  | Stop Loss | 3
 |  | Auction | 7
Book Type Name | Char(3) | Regular Lot | RL | Short name of Book Type
 |  | Stop Loss | SL
 |  | Auction | AU
Market Type | Char(2) | Normal | 1 | Market type
User Id | Num (5) |  |  | User Id
Branch No | Num (3) |  |  | Branch Id
Buy/Sell Indicator | Num (1) | Buy | 1 |
 |  | Sell | 2
Trade Qty | Num (9) |  |  | Traded Quantity
Trade Price | Num (3.7) |  |  | Traded Price
Pro/Cli | Num (1) | Client | 1 |
 |  | Proprietary | 2
Account No | Char (10) |  |  | Client account number
Participant | Char (12) |  |  | Participant code
Open/Close Flag | Char (5) |  |  | Indicator flag for open/close
Cover/Uncover Flag | Char(7) |  |  | Indicator flag for Cover/ Uncover
Activity time | DD MMM YYYY HH:MM:SS |  |  |
Last Modified Time | DD MMM YYYY HH:MM:SS |  |  |
Order Number | Num (16) |  |  | Order number
Opposite Broker Id | Char (5) |  |  | Counter Party Id
Order Entered/Modify Date/Time | DD MMM YYYY HH:MM:SS |  |  | Order entry or modification date and time

The Spread Order file is available only in derivatives market. Its format is as given below

Field Name | Field Size | Values |  | Remarks
Type of Order | Num(2) | Spread Order | 1 |
Order Number | Num(16) |  |  | Order number
Order Trade Status | Num(2) | ORIGINAL ORDER | 1 | Status of Order
 |  | MODIFIED ORDER | 2
 |  | PARTIALLY TRADED ORDER | 3
 |  | FULLY TRADED ORDER | 4
 |  | CANCELLED ORDER | 5
 |  | REJECTED ORDER | 6
 |  | ORDER MODIFICATION REJECTED | 7
 |  | ORDER CANCELLATION REJECTED | 8
Leg 1
Instrument Type | Char(6) |  |  | Instrument type
Symbol | Char(10) |  |  | Symbol
Expiry date | DDMMMYYYY |  |  | Expiry Date of the contract e.g. 31DEC2000
Strike Price | Num(3.7) |  |  | Strike Price of the options contract
Option type | Char(2) |  |  | Option Type of the contract
Security name | Char(25) |  |  | Security name
Book Type | Char(2) | Regular Lot | 1 | Book Type
 |  | Stop Loss | 3
Book Type Name | Char (2) | Regular Lot | RL |
 |  | Stop Loss | SL
Market Type | Char(2) | Normal | 1 | Market type
User Id | Num(5) |  |  | User Id
Branch No | Char(3) |  |  | Branch Id
Buy/Sell Indicator | Num(1) | Buy | 1 |
 |  | Sell | 2
Disclosed Qty | Char(9) |  |  | Disclosed Quantity
Disclosed Volume Remaining | Char(9) |  |  | Disclosed Volume Remaining
Total Volume Remaining | Char(9) |  |  | Total Volume Remaining
Original Volume | Char(9) |  |  | Original Volume
Volume Filled Today | Char(9) |  |  |
Price for Leg 1 | Num(3.7) |  |  | . Not Applicable
Broker ID | Char(5) |  |  |
Order Type | Char(1) |  |  |
Duration | Char(1) | DAY | 0 | Order Duration term
 |  | IOC | 1
Pro/Cli | Num(1) | Client | 1 |
 |  | Proprietary | 2
Account No | Char(10) |  |  | Client account number
Participant | Char(12) |  |  | Participant code
Open/Close Flag | Char(5) |  |  | Indicator flag for open/close
Cover/Uncover Flag | Char(7) | Cancel On Logout | COL | Indicator flag for Cover/Uncover & Cancel on Logout
 |  | Non COL | UNCOVER
Last Modified time | Char(20) |  |  | DD MMM YYYY HH:MM:SS
Remarks | Char(24) |  |  |
Entry Date Time | Char(20) |  |  | DD MMM YYYY HH:MM:SS
Leg 2
Instrument Type | Char(6) |  |  | Instrument type
Symbol | Char(10) |  |  | Symbol
Expiry date | DDMMMYYYY |  |  | Expiry Date of the contract
Strike Price | Num(3.7) |  |  | Strike Price of the options contract
Option type | Char(2) |  |  | Option Type of the contract
Security name | Char(25) |  |  | Security name
User Id | Num(5) |  |  | User Id
Buy/Sell Indicator | Num(1) | Buy | 1 |
 |  | Sell | 2
Total Volume Remaining | Char(9) |  |  | Total Volume Remaining
Price for Leg 2 | Num(3.7) |  |  | Price Difference
Order Type | Char(1) |  |  |
Open/Close Flag | Char(5) |  |  | Indicator flag for open/close
Cover/Uncover Flag | Char(7) | Cancel On Logout | COL | Indicator flag for Cover/Uncover & Cancel on Logout
 |  | Non COL | UNCOVER

All the files have .TXT extension. When all the records are written to the file Backup complete message is displayed.

User can view the file which is in comma separated format (CSV) with Notepad, TextPad or Microsoft Excel. All the records are of fixed length.

User will be provided with the facility to append system date in the file name. To append the date select append date to file name check box.

The backup parameters selected during the previous backup will be retained.

Navigation

Navigation between different controls is achieved using <Tab> and <Alt + Tab> keys. Alternately one can use the mouse to position the cursor any where

Menu Options

Not Applicable


DBSnapShot

Invocation

· Function Key: Ctrl + Page down.

· Menu: Dialogs -> DB Snapshot

· Toolbar: 19th tool on the toolbar

Purpose

The purpose of DBSnapshot is to take a snapshot of ‘Market By Price’ information for specified contract or for all contracts at specified time intervals and write this information into a .csv file.

Functionality

The DBSnapshot can be configured on following parameters:

Time Settings:

Start Time

Start time indicates the time when the snapshot is to begin. This time is specified in HH:MM format. The default time displayed is the current time.

End Time

End time indicates the time when the snapshot is to end. This time is specified in HH:MM format. The default time displayed is the end of trading hours.

Interval

Interval indicates the time interval at which snapshot should be taken. Time interval is specified in MM:SS format. The default interval is 1 minute.

File Settings

Security File

This file contains a list of contracts for which snapshot is to be taken. If the specified file exists, its contents are loaded into the ‘Selected Contract List’. The full path of the security file should be specified. The path can be specified either by typing it in the edit box or clicking the button beside it and selecting the file.

CD Directory Path

This is the path where the snapshot file is written. Only the path can be specified. The file name is generated automatically as CD_MBPData_<current date>.csv. The path can be specified either by typing it in the edit box or clicking the button beside it and selecting the path.

Write Settings

Write settings indicate how snapshot file is written. If ‘Append File’ is specified, the snapshot information is appended to the files each time the user starts a snapshot. If ‘Overwrite File’ is specified, previous snapshot information in the files is removed each time the user starts a snapshot. The default setting is Overwrite.

Snap Shot Selected Securities Only

This option indicates whether snapshot is to be taken for specific contract or for all contracts. If checked, the user is allowed to search for contracts and add them to the ‘Selected Security List’. The snapshot is taken only for the selected contracts available in ‘Selected Security List’. If unchecked, all contracts are considered for snapshot and the contract available in ‘Selected Security List’, if any are ignored.

Search Results

This option is available if ‘SnapShot Selected Securities Only’ is checked. It allows the user to search for contracts based on the contract descriptor.

On clicking on [Search], contracts matching the specified search criteria are displayed in the ‘Search Results’ list.

Selected Security List

Contracts in the ‘Search Results’ list can be added to the ‘Selected Security List’ by selecting the contracts to add and clicking on [Add] or by dragging the contract from ‘Search Results’ into ‘Selected Security List’. If all contracts are to be added, click on [Add All]. If contracts are to be removed, click on [Remove] or [Remove All]. Clicking on [Save File] will save the security list to the file specified in the ‘Security File’.

To start DBSnapshot press [Start]. The snapshot process will continue in the background even if the DBSnapshot is closed.

To stop DBSnapshot already started press [Stop]

To exit from DBSnapshot press [Exit]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Market Watch

Invocation

Market Watch is the second window from the top of the screen. This window is always visible to the user. It is the focal area for users.

Purpose

The purpose of Market Watch is to view market information for the contracts / spread contract combination that are of interest to users.

Functionality

Maximum of five Market Watch screens are permissible each in turn can contain 500 contracts.

One line spread contract combination:

The one line spread contract combinations are displayed as instrument type, Symbol, Expiry date1 + Expiry date 2 (Format: <MONYYMONYY>). The spread contract set up on MW is used as a default for the specific spread contract transactions and inquiries. Market information is displayed for spread contract combination from the spread book. This market information is dynamically updated.

Contract Descriptor

Instrument, Symbol, Expiry date 1 + expiry date 2

Match Type

This field displays the match type for the selected spread one line spread contract combination viz. normal (NOR) or directional (DIR) or price variation (PVR).

Update Indicator

A question mark (?) in this field indicates that the market information being displayed is not the latest.

Buy Volume

For normal spread contract this field shows the accumulated buy spread order quantity at the best buy price difference.

For directional spread contract this field shows the minimum of accumulated quantity at best buy price on far month outright leg and accumulated quantity at best sell price on near month outright leg.

For price variation spread contract this field shows the minimum of buy quantity for the directional spread contract and accumulated quantity at the best sell spread price of the normal spread contract.

This field gets highlighted for every change.

Buy price

For normal spread contract this field shows the best buy spread order price difference.

For directional spread contract this field shows price difference between best buy price on far month outright leg and best sell price on near month outright leg.

For price variation spread contract this field shows price difference between directional spread contract and normal spread contract only when price difference is greater than zero.

This field gets highlighted for every change.

Sell price

For normal spread contract this field shows the best sell spread order price difference.

For directional spread contract this field shows price difference between best sell price on far month outright leg and best buy price on near month outright leg.

For price variation spread contract this field shows price difference between normal spread contract and directional spread contract, only when price difference is greater than zero.

This field gets highlighted for every change.

Sell Volume

For normal spread contract this field shows the accumulated sell spread order quantity at the best sell price difference.

For directional spread contract this field shows minimum of accumulated quantity at best sell price on far month outright leg and accumulated quantity at best buy price on near month outright leg.

For price variation spread contract this field shows minimum of accumulated quantity at best buy price of the normal spread contract and sell quantity at directional spread contract.

This field gets highlighted for every change.

Last traded price

This field shows the last traded price difference for the spread combination contract

Spread

This field shows last traded price difference of the underlying contracts i.e. (LTP of Leg 2 – LTP of Leg 1)

Traded Quantity

This field shows total traded quantity for the day in the spread combination contract at point in time.

High Price

This field shows the highest traded price difference for the day in the spread combination contract.

Low Price

This field shows the lowest traded price difference for the day in the spread combination contract.

Other than one line spread contract combination:

The contract set up on MW is used as a default for the contract specific transactions and inquiries. The market information for the contract is displayed from the Regular Lot book. This market information is dynamically updated. The font type and font size of the Market Watch would be as specified by the user in User Configuration.

Following market information is displayed for each contract set up on MW:

Contract Descriptor

For futures Instrument, Symbol, Expiry

For options Instrument, Symbol, Expiry, Strike price, Option type

Value date

This is the last working day of the month. The RBI reference rate declared on the last trading date is for this value date i.e. the final settlement of contract would take place on value date.

Update Indicator

A question mark (?) in this field indicates that the market information being displayed is not the latest. The user needs to press space bar to refresh the market information for the contract.

Buy Volume

This field shows the accumulated buy order quantity at the best buy price & gets highlighted for every change.

Buy Yield

Yield at best buy price will be displayed for IRD contracts.

Buy price

This field shows the best buy order price & gets highlighted for every change.

Sell price

This field shows the best sell order price & gets highlighted for every change.

Sell Yield

Yield at best sell price will be displayed for IRD contracts

Sell Volume

This field shows the accumulated sell order quantity at the best sell price & gets highlighted for every change

Last traded price

This field shows the last traded price for the contract.

Last Traded Price Yield

Yield at last traded price will be displayed for IRD contracts.

User Buy Quantity

User buy quantity field displays user’s total bought quantity for the day.

User Sell Quantity

User sell quantity field displays user’s total sold quantity for the day.

Spread

This field shows the difference between last traded price and the spot price for the contracts other than one line spread contract combination. Spread will be blank for options contract.

Money Indicator

This field indicates whether the contract on market watch is In the Money (ITM), At the Money (ATM) & Out of the Money (OTM)

Traded Quantity

This field shows total traded quantity for the day in the contract at point in time.

LTP Indicator

This field indicates change in LTP from previous close as + or - signs.

% Price Change

This field shows the % change in LTP from previous close and gets highlighted for every change

Price Change

This field shows absolute change in LTP from previous close and gets highlighted for every change.

Contract Open Interest

This field shows the Open Interest for the contract and is highlighted with every change.

Underlying Open Interest

This field shows the Open Interest for the underlying asset of the contract.

High Price

This field shows the highest traded price for the day in the contract.

Low Price

This field shows the lowest traded price for the day in the contract.

Cost of Carry

This field shows the carrying cost for futures contract and is highlighted every change.

Implied Volatility

This field shows the implied volatility for options contract and is highlighted every change.

Option Greeks

On choosing the Greek option from market watch field chooser, a group of five fields are shown on market watch to display Delta, Gamma, Vega, Theta and Rho.

Information Update

In the Market Watch screen, changes in the best price, quantity and open interest are highlighted dynamically e.g. if the best price changes as a result of a new order in the market, the new details are immediately reflected. The changed details are highlighted with a change of color for a few seconds to signify that a change has occurred

Increment & decrement highlight color can be set up from the color configuration screen. Different fields are dynamically updated using these colors indicating growth or fall.

Setting up contracts in Market Watch

One line spread contract combination:

The user can setup spread contract combination directly from the ‘Security List/ Portfolio Setup’

- Move the highlight bar to a blank line. The set up will start from the selected row in the Market watch.

- Invoke the ‘Security List/ Portfolio Setup’ (SHIFT + F7) and select Spread combination List tab.

- Invoke the ‘Spread Combination List’ (CTRL + F12) screen.

- Select the spread contracts from searched result area

- Highlight the spread contract(s) to be set up on Market Watch.

- Press [Set to MW]

Other than one line spread contract combination:

When the user logs in for the first time, the Market Watch displays a highlight bar on the first line. The highlight bar can be moved vertically (up and down) by using the ‘Up’ or ‘Down’ arrow keys.

In order to set up contracts in the Market Watch the following steps are to be performed:

- Select the position where the contract is to be setup in the Market Watch

- To activate the MW entry press ‘F4’ or mouse click on the Market Watch icon.

- Enter the Instrument, Symbol and Expiry Date for Currency Derivatives Market in the fields provided. Additionally enter Strike price and options type for options contracts.

Hint search facility is provided to enter instrument and symbol.

Calendar facility is provided for the ease of search & selection of expiry date. It can be invoked by pressing the ‘Down’ arrow key. It highlights and selects by default the contract expiry date of the selected month. The user can shift through the months using the ‘Left’ arrow (for previous month) and ‘Right’ arrow (for next month) keys.

Alternatively, press ‘Esc’ after ‘F4’ to enter short descriptor field defined for the contract, if any.

- To complete the set up press ‘Enter’ key. The contract would be set up on the market watch.

The user can setup contracts directly from the ‘Security List/ Portfolio Setup’ as follows:

- Move the highlight bar to a blank line. The set up will start from the selected row in the Market watch.

- Invoke the ‘Security List/ Portfolio Set up’ (SHFT + F7)

- Select the contracts either from search result area or portfolio list

- Highlight the contract(s) to be set up on Market Watch.

- Click on the Market Watch icon on the toolbar or drag the contracts to drop on MW.

- Alternatively, press [Set to MW]

Deleting a contract

Select the contract to be deleted from the market watch by positioning the highlight bar over it and press ‘Shift+Del’ key combination. The contract would be deleted from the market watch screen.

Column Settings

Any column can be readjusted or repositioned using the drag drop facility. Contract descriptor fields can be interchanged but could not be dragged and dropped beyond the contract descriptor block. Similarly other fields can be interchanged but could not be dragged and dropped in the contract descriptor block.

On right clicking over the column header the customize dialog gets invoked which allows random choosing of the columns to be shown or hidden, the columns can be moved right or left using the dialog.

The user can sort the contracts set up on the market watch on any of the displayed columns by click on the column header. The contracts can be sorted on ascending or descending order. Also the user can sort the contracts set up on Market Watch by the underlying symbol using ‘Miscellaneous - > Sort Market Watch ALT + F5’facility.

Market Watch Column Freeze

As in the case with MS Excel, Market Watch columns can be frozen. All the columns beginning from the first column till the selected frozen column will not be scrolled horizontally. When the horizontal scroll is moved, only those columns that follow the frozen column (i.e columns on the right of the frozen column) will be scrolled. The freeze area is demarcated by a freeze separator, which is displayed after the last frozen column. The color of the freeze separator is configurable.

In order to activate the column freeze facility of Market Watch, right click on the Market Watch header and select the option "Freeze column". A column freeze selector dialog is displayed. Select the column till which you require to freeze the Market watch. The freeze separator color can be configured here by clicking on the "Freeze color" button and selecting an appropriate color. If any column is selected in this dialog the given Market watch pane is frozen till the specified column. In order to unfreeze the column back again follow the same procedure by right clicking on the Market Watch header and then selecting "Unfreeze column" option.

Navigation

The ‘Up’/’Down’ arrow keys can be used to move the highlight bar up/down. For moving up and down between pages ‘Pg Up’ and ‘Pg Dn’ keys can be used respectively. The ‘Home’ and ‘End’ keys can be used to move to the first and last page of display respectively. The ‘Ins’ key can be used to add a blank line in between two contracts. Similarly the ‘Del’ key can be used to delete a blank line between two contracts.

Any row can be dragged & dropped to any other position.

Use [Tab] key to move to the next field and [Shift + Tab] keys to move to the previous fields.

Menu Options

Without contract descriptor

Menu Item | Usage
Select All | This Option can be used to select the entire Market watch.
Export | This Option can be used to export the data of a market watch to any file.
Import | Import MW set up from the file created using Export
Print | This Option can be used to print all or a selected portion of the market watch.
Hide/Show Caption | Caption bar can be shown/hidden
Hide/ Show Grid Lines | Used to Show Grid Lines in the Market Watch
System Configuration | This brings up the configuration screen for color
Set Columns To Defaults | This sets the column widths to defaults & sequence to the one as it appears first time.
Create Portfolio | A user defined portfolio can be created by selecting the contracts already set on the market watch
Switch to Normal Price Precision Font/ Switch to Enlarge Price Precision Font | This is used to allow the user to view price precision (paisa part of price) in normal size or enlarged size.
View details for <Instrument> <Symbol> | To show the contract details of selected contract on MW. Please refer to help on ‘Contract Descriptor’
Erase <Instrument><Symbol> | To delete selected contract from Market Watch.
Transact on <Instrument><Symbol> | To place buy or sell order for selected contract on MW. To inquire market by price for selected contract on MW. To view outstanding orders for selected contract on MW.
New Market Watch | To set new MW.
Rename MW | This option can be used to rename the tab name of a particular market watch.
Completely Erase MW | This is to delete contracts set up on Market watch
Close / Open Market watch | To close / open selected market watch
Delete Market Watch | To delete selected MW

With contract descriptor

Menu Item | Usage
View details for <Contract Descriptor> | To view the Contract Descriptor for the contract
Erase <Contract Descriptor> | To remove contract from the market watch
Transact on <Contract Descriptor> | Buy Order –To place buy order for the contract Sell Order – To place sell order for the contract MBP – To invoke Market By Price inquiry for the contract Outstanding Order – To invoke Outstanding Order inquiry for the contract


Market Movement

Invocation

· Function Key: Shift + F10

· Menu: Dialogs -> Market movement

· Toolbar: 2nd icon on the toolbar.

Purpose

The purpose of the Market Movement is to provide information to the user regarding the movement (value and price) of a contract for the current day. The information is provided at the time intervals specified by the Exchange and starts from the market open time.

Functionality

This functionality is available to all users.

Market Movement is contract specific. Therefore, the user needs to enter contract descriptor. If a particular contract is selected on the Market Watch at the time of invocation, the selected contract defaults. The user can also specify any other contract descriptor.

To get the market movement information press [Search]

Summary information of the market movement for the contract includes high price, low price, open price, last traded price, total buy order quantity, total sell order quantity, total traded quantity, today’s high open interest, today’s low open interest and opening open interest

Detailed information of the market movement for the contract includes

Time

Buy Order Quantity

Sell Order Quantity

Trade Quantity

High Price

Low Price

Last Traded Price

Open Interest

Change in Open Interest

Negative buy/sell order quantity indicates reduction in order quantity.

To print market movement details press [Print]

To save market movement details press [Save]

To exit from market movement press [Exit]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Liquidity Schedule

Invoking

  • Function Key: Shift+ PgDn
  • Menu: Dialogs -> Liquidity Schedule

Purpose

The purpose of Liquidity Schedule is to enable the user to view the complete depth of the outstanding orders in the market.

Functionality

This functionality is available to all the users.

This screen displays the available buy/sell order quantities at different price ranges. For a particular contract it will display the information in ten slabs ranging from day maximum and day minimum prices. For each range it displays number of orders and order quantity. Additionally, the summary line will provide total buy order quantity and total sell order quantity for the contract.

The contract descriptor selected on MW, if any, will be the default contract descriptor for this inquiry. The user can also select the contract descriptor.

To display the information press [Refresh].

To save the information press [Save]

To print the information press [Print]

To exit from the liquidity schedule press [Exit]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

N.A.


Most Active Securities/Contracts

Active Security List

Invocation

  • Function Key: Ctrl + S
  • Menu: Dialog -> Active Security List
  • Toolbar: N.A.

Purpose

The purpose of Active Security List is to display the details of contracts that are most active considering the total traded value for the day.

Functionality

This functionality is available to all users.

The number of contracts displayed will be parameterized, with a maximum of 99.

The information provided includes traded value, traded quantity, number of trades, opening price, high price, low price and open interest.

The information is not dynamically updated. The user needs to press [Refresh] to view latest information.

To print most active securities press [Print]

To exit from most active securities press [Cancel]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not applicable


Net Position

Invocation

  • Function Key: Alt + F6.
  • Menu: Dialogs -> Net position
  • Toolbar: 14th icon on toolbar

Purpose

The purpose of Net Position is to allow user to interactively view cumulative net position across the contracts.

Functionality

This functionality is available to all users.

The dealer of the trading member can view net positions for self for proprietary positions, all client positions or individual client positions

The branch manager of the trading member can view net positions for self as applicable in case of dealer. Additionally, the branch manager can also view the net positions of any dealer associated with the branch. However, in this case the net positions will be available only at contract level.

The corporate manager of the trading member can view net positions for self as applicable in case of dealer. Additionally, the corporate manager can also view the net position of any branch or dealer of the trading member. However, in this cast the net positions will be available only at contract level.

The corporate manager of the clearing member can view the net position of associated trading member or a custodial participant

The net position information includes Contract Descriptor, Buy Qty, Buy Value (in lacs), Buy Average Price, Sell Qty, Sell Value (in lacs), Sell Average Price, Net Position, Net Value (in lacs). The grand total includes Total Buy Value (in lacs), Total Buy Qty, Total Sell Qty, Total Sell Value (in lacs), and Total Net Value (in lacs).

Press [Refresh] button to get the latest net positions

Press [Save] to save the net positions displayed.

Press [Print] to print the net positions displayed.

Press [Exit] or <Esc> to quit net positions inquiry.

Navigation

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Client Master Maintenance

Invocation

  • Function Key: Ctrl + Shift + M
  • Menu: Dialogs -> Client Master
  • Toolbar: N.A.

Purpose

The purpose of the Client Master Maintenance is to maintain the details of the clients.

Functionality

The functionality is available to all users.

The client codes already set are shown in the list box.

To enter client details, the user need to enter account number, participant id (as assigned by NSCCL, if any), client name & Permanent Account Number (PAN, if any) and press [Add]. The account number should be unique. It can be alphanumeric only i.e. no special characters are allowed. The participant id is optional. However, if entered, the participant should be the valid participant registered with NSCCL. PAN is mandatory for non-participant clients and optional for participant (CP) clients. PAN field should be 10 characters, uppercase alphanumeric with no special characters. If the client is exempted from PAN, ‘PAN_EXEMPT’ shall be provided in the PAN Field.

Upload Clients

A bulk upload facility is also available to the user to set multiple client codes at the same time.

The user need to browse the file saved in local drive by pressing […]. The client records from the selected file can be uploaded by pressing [Upload]

The structure of the client master file should be as given below.

Account Number (Char(10)), Account Name (Char(25)), Participant Id (Char (12), PAN (Char (10),Error (Char(10)(Output))

The response file would be generated in the same path of input file. The status of the upload is appended at the end of each record i.e. if the record upload is failed, the error message would be made available in the response file.

Market | Error Code | Description
Currency Derivatives Market | 542 | Invalid Participant
 | 548 | Invalid record length
 | 810 | Invalid Account Number
 | 811 | Account Number Already Exists
 | 812 | Invalid Client Name
 | 16578 | Invalid PAN
 | 18238 | PAN/Participant ID is mandatory

The user can search for specific client details by filtering the list box on client code and/ or participant id and/ or client name and/ or PAN.

To modify the client code details, the user has to select the client record from the list box & press [Modify]. The details of client record selected will be available to the user for modification. The user can modify client name and/or participant id and/or PAN and save the modification by pressing [Modify]. The user would be prompted with confirmation message before saving the modifications.

Further, members can follow below mentioned steps for bulk PAN Modification of clients present in client master:

a. Save the existing client details by clicking on [Save] button. This will create a file with the existing client’s details from client master.

b. Delete the existing records in client master by clicking [Select All] & [Delete] button.

c. Update the PAN details as the last column of the client master file saved in step (a) above.

d. Browse and upload the saved client file by clicking [Upload] button

To delete the client code details, the user has to select the client record from the list box and press [Delete]. The details of client record will be available to the user for verification. All the fields in the record will be disabled. The user can delete the client record after verification by pressing [Delete]. The user would be prompted with confirmation message before deleting the record.

The user can select all records from the list box by pressing [Select All] or multiple records by pressing <Ctrl> and selecting the required records with mouse click. This facility can be used to delete multiple records.

Client details Selection dialog

A drop down list for the client codes maintained is available to the user during order entry/spread order entry if the user presses down arrow key in the account number field. The drop down list would contain the client code, participant Id (if any), client name and PAN (if any). The user can choose a particular client code from the list and proceed with the order entry. If the client code selected has a participant id attached, the same would be automatically populated in the participant id (settler) field of the order.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Debarred Client Master Maintenance

Invocation

  • Function Key: Ctrl + Shift + D
  • Menu: Dialogs -> Debarred Client Master
  • Toolbar: N.A.

Purpose

The purpose of the Debarred Client Master Maintenance is to maintain the list of clients debarred from accessing capital market by the market regulators.

Functionality

The functionality is available to all users.

To enter debarred client details, the user need to enter account number, participant id (as assigned by NSCCL, if any), client name & Permanent Account Number (PAN) and press [Add]. The account number should be unique. It can be alphanumeric only i.e. no special characters are allowed. The participant id is optional. However, if entered, the participant should be a valid participant registered with NSCCL. The PAN is optional.

Upload Clients

A bulk upload facility is also available to the user to set multiple debarred client details at the same time.

The user need to browse the file saved in local drive by pressing […]. The client records from the selected file can be uploaded by pressing [Upload]

The structure of the Debarred client master file should be as given below.

Account Number (Char(10)), Account Name (Char(25)), Participant Id (Char (12) (Optional)), PAN (Char (12),(Optional)),Error (Char(10)(Output))

The response file would be generated in the same path of input file. The status of the upload is appended at the end of each record i.e. if the record upload is failed, the error message would be made available in the response file.

Market | Error Code | Description
CDS/IRD | 542 | Invalid Participant
 | 548 | Invalid record length
 | 810 | Invalid Account Number
 | 811 | Account Number Already Exists
 | 812 | Client Name cannot be null
 | 1536 | Invalid Client Name
 | 16578 | Invalid PAN

The user can search for specific debarred client by filtering the list box on client code and/ or participant id and/ or client name and/ or PAN.

To modify the debarred client details, the user has to select the client record from the list box & press [Modify]. The details of client record selected will be available to the user for modification. The user can modify client name and/or participant id and/or PAN and save the modification by pressing [Modify]. The user would be prompted with confirmation message before saving the modifications.

To delete the debarred client details, the user has to select the client record from the list box and press [Delete]. The details of client record will be available to the user for verification. All the fields in the record will be disabled. The user can delete the client record after verification by pressing [Delete]. The user would be prompted with confirmation message before deleting the record.

The user can select all records from the list box by pressing [Select All] or multiple records by pressing <Ctrl> and selecting the required records with mouse click. This facility can be used to delete multiple records.

Order Entry and Order Modification for Debarred Client

If the user enters a debarred client code during order entry/ order modification the user shall be prompted with error message “The account is debarred from trading”. Such order entry/ order modification request shall not be submitted to the exchange.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Reset User Id

Invocation

  • Function Key: Ctrl + Shift + R
  • Menu: Dialogs -> Reset User ID
  • Toolbar: N.A.

Purpose

The purpose of Reset User ID is to allow the Corporate Manager or Branch Manager to terminate an active session for the branch manager or dealer.

Functionality

This functionality is available only to the branch manager and corporate manager.

This functionality can be used when the branch manager or dealer has abruptly lost the connection with the trading system and therefore, not able to log in subsequent attempts as the previous session remains active.

The following steps need to be followed when using this functionality.

  1. Select the user ID whose active session is to be terminated.' Alternatively, the user can also enter user id.
  2. Click on the 'Reset' button.

The following points need to noted:

  • Corporate manager or Branch manager can not terminate re-set the user id for own.
  • A user type lower in hierarchy can not reset the user id higher in hierarchy. For example, a branch manager can not reset the user id of his corporate manager.
  • A user can not reset the user id of the user similar in hierarchy. For example, a branch manager can not reset the user id of another branch manager
  • A branch manager can not reset user id of a dealer belonging to another branch.

Click on the 'Exit' button or press Escape key to exit the Reset User ID window.

Navigation

The user can navigate on Reset User ID using <Tab> and <Shift + Tab>

Menu Options

Not applicable


Limit Price Focus

Invocation

  • Function Key: Ctrl + Shift + P
  • Menu: Tools -> Limit Price Focus
  • Toolbar: Not applicable

Purpose

The purpose of the ‘Limit Price Focus’ functionality is to allow the user to directly enter rupee part or paisa part of price field.

Functionality

This functionality is available to all users.

The functionality is applicable only to order entry and order modification of Normal Order.

When the user disables the ‘Limit Price Focus’ option, focus will be on the rupee part of the price field in the order entry and order modification.

However, the focus will be on the on the paisa part of the price field where ‘Limit Price Focus’ option is enabled (ticked).

By default, this functionality will be enabled (tick marked) and therefore, the focus will be on the paisa part in the price field as explained above. Focus will be on the rupee part of the price field where, order entry window is invoked from blank row of MW or where passive order on the opposite side is not available.

Navigation

Not applicable

Menu Options

Not applicable


Graphs & Charting tools

Invocation

· Function Key: Ctrl+Shift+S

· Menu -> Miscellaneous -> Graphs & Charting Tools

· Toolbar: N.A.

It can be invoked on login screen and from market watch screen as well.

Purpose

The purpose of this screen is to allow the user to plot graphs & charts to take trading decisions

Functionality

EIS

User needs to install EIS application provided by NSE at the local machine/ server.

User needs to mention NEAT-CDS port (max 5 digits) and same port shall be provided in the system configuration window of NEAT-CDS terminal.

To plot graphs and charts based on day data, the user is required to mention broadcast parameters in the EIS application.

To plot graphs and charts with historical data, the user needs to upload complete price information file provided by the NSE.

The user is required to copy the file on local drive. To upload file user needs to select local path where the file is placed and then click on [Upload] button.

To receive day broadcast click on [Connect] button

To start EIS application click on [Listen] button

Graphs and Charts

This functionality is available to all user i.e. corporate manager, branch manager and dealer.

Contract Descriptor:

The user needs to select particular contract for which the graphs/ charts shall be plotted.

Chart Type:

User can select chart type from the list provided in the graphs & charting tools window.

If user opts to select day data, then the user will be allowed to plot trade price, bid price & ask price graphs. If user opts to select historical data, then the user will be allowed to plot closing price, inverse closing price, OHLC (open, high, low & close) & Candle Stick graphs.

An option is provided to the user to plot Volume Bars, Open Interest, Trend Line, and Fibonacci Indicator.

Price Band:

An option is provided to the user to select the price band using Bollinger band technical indicator.

Moving Averages:

User can plot simple moving average, exponential moving average, weighted moving average charts for the specified period. To plot moving averages select the check box.

Technical Indicators:

User can select technical indicators from the following list:

- Relative Strength Index

- Moving Average Conversion Diversion

- Slow Stochastic

- Fast Stochastic

Data Type:

User can plot graphs and technical indicators based on current day data or historical data

Date/Time Interval

User can specify start time & end time in HH:SS format for day data.

For historical data the user can also specify start date & end date in DDMONYYYY format.

Click on the [Request] button to plot graph & technical indicator for the selected contract.

Click on the [Exit] button or press Escape key to exit the Graphs & Charting Tools window.

Navigation

The user can navigate on Graphs & Charting Tools using <Tab> and <Shift + Tab>

Menu Options

Not applicable


Option Calculator

Options Calculator

Invocation

  • Function Key: CTRL+ Page Up
  • Menu: Dialog -> Options Calculator
  • Toolbar: NA.

Purpose

The purpose of the Options Calculator is to calculate the following

· Implied volatility

· Greeks like Delta, Gamma, Theta, Vega and Rho values using the Black Scholes formula

Functionality

This functionality is available to all the users.

The user can calculate the implied volatility, options premium and options Greeks by invoking the option calculator from options contract set on market watch window. User has the option to change the selected contract. To calculate implied volatility, premium & options Greeks press [Calculate].

Multiple contracts can be selected by blanking out Expiry date and Strike price, selecting ALL in the Option Type field, user can inquire for all the contracts for the given Symbol. User can also filter the securities using Expiry date, Strike price and Option Type fields.

Spot price will be picked up directly. However user can enter the spot price.

Premium can be left blank by default. However, user can optionally enter some value.

Volatility can be left blank by default. However, user can optionally enter a value based on which calculation will be carried out.

When user press Calculate after entering values in various fields, the values will be computed for individual contracts using the Black-Scholes (BS) formula for a given set of inputs as above.

Implied Volatility is arrived at using the Black Scholes model in an iterative manner.

Delta is the rate of change of the value of the derivative security with respect to the price of the underlying.

Gamma is the rate of change of the delta of the derivative security with respect to the price of the underlying.

Theta is the rate of change of the value of the derivative security with respect to the time.

Vega is the rate of change of the value of the derivative security with respect to the volatility of the underlying.

Rho is the rate of change of the value of the derivative security with respect to the interest rate.

To save the output press [Save As].

To exit from the dialog box press [Exit].

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options: N.A.


Reset Password

Invocation:

· Function Key: CTRL+SHIFT+T

· Menu: Dialog-> Reset Password

· Toolbar: N.A.

Purpose:

The purpose of the reset password functionality is to allow corporate manager to enable user & reset password of the user as Default.

Functionality:

This screen enables Corporate Manager to reset the password and to enable the users of their trading member who got disabled by entering wrong passwords for more than 6 times.

The corporate manager can also reset password of inactive users

To reset the password for a user, perform the following steps:

1) From the Supplementary menu, select the Reset Password menu command. The Reset Password window will be displayed. The User Id combo box will have the list of User Id’s under that corporate manager.

2) Select the user for which resetting of password is required and click on check status button. The status of the selected user will be displayed on the corresponding text boxes. Default password will be displayed in the password text box.

3) Click on OK. "Password has been reset successfully." message will be displayed on successful resetting of password. The password will be resetted to Default.

4) Click on Exit button or press escape to exit the screen.

Note:

1) Reset Password functionality will be present in supplementary menu only for Corporate Manager.

2) Password cannot be reset for users who are logged in during that time.

Navigation:

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys

Menu Options:

N.A.


Trade Mod / COL/Trade Cxl Status

Invocation

· Function key: Ctrl + Shift + N

· Menu: Dialogs> Trade Mod / COL/ Trade Cxl Status

· Toolbar: None

Purpose

The purpose of Trade modification status is to enable the corporate manager to view and change the existing trade modification rights of the self, branch manager and other dealers under him.

Also, corporate manager can view and set COL status for self, branch manager and other dealers under the firm.

The purpose of Trade Cancellation status is to enable the corporate manager to view and change the existing rights to place trade cancellation request of self, branch manager and other dealers under him.

Functionality

Trade Mod / COL/ Trade Cxl Status

This functionality is available to the corporate manager.

The corporate manager is allowed to enable or disable the trade modification status and COL status of self, branch manager and dealer.

When user status is ‘enable’, user will be allowed to modify the trade. However user will not be allowed to modify the trade, where trade modification status is ‘disable’.

When the COL status is ‘enable’ for a user, all outstanding orders of the user will be cancelled as and when such user is logged out, either a clean sign out (voluntary) or due to any technical reason (involuntary). In such case, orders will be cancelled irrespective of whether they are placed as COL orders or Non COL orders.

When the COL status is ‘disable’ for a user, outstanding orders will be cancelled based on whether they are placed as COL orders or non COL orders, when user is logged out.

When the trade cancellation status is ‘enable’ for user, user will be allowed to enter trade cancellation request. However user will not be allowed to enter trade cancellation request, where trade cancellation status is ‘disable’.

To view the existing Trade Mod / COL/ Trade Cxl Status press [Check Status]

To change the existing Trade Mod / COL/ Trade Cxl Status press [Change Status]

To exit from Trade Mod / COL/ Trade Cxl Status window press [Exit]

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu:

None


Portfolio Monitor

Invocation

The Portfolio Monitor functionality can be initiated as under:

· Function key: Ctrl + Shift + E

· Menu: Dialogs > Portfolio Monitor

· Tool bar: None

Purpose

This functionality allow user to track his portfolio. The user will be able to view the net positions of the entire portfolio (both futures and options) or selected client account. Member is able to view day as well as cumulative net position. Additionally a facility is provided to square of his positions.

Functionality

1. This function is available to all users.

2. User can view only his position (day as well as cumulative). User can select position for all clients, proprietary, participant. Futures & options contracts of different expiries will be displayed with different colour combination.

3. Facility is also provided to calculate Greeks based on underlying price or from futures price. User can also select either Garman Kohlhagen model or the Black & Scholes model to compute Greeks.

4. Domestic & Foreign interest rate: The default domestic and foreign interest will be the same as defined in ‘Volatility & interest rates’ window.

5. Set charges: User can set transaction charges at instrument level from Set Charges tab for Futures & Option. Transaction cost for options shall be computed on Option Premium. Transaction cost shall be calculated based on the parameters set for STT, Stamp duty and Transaction charges. User can set the parameters for pro buy, pro sell, cli buy and cli sell.

6. User can refresh the position by clicking Get button.

7. Square off: User can square off his day position by clicking Generate File button. Based on the contracts selected by the user offline order entry file will be generated with Day or IOC time validity.

8. Click save button to save the open position in the file.

9. Click on upload button to upload the previous day’s positions.

10. User can add contracts in Scenario Builder from Add Contracts tab. If the contract descriptor entered by user is already present in the scenario builder then a message will be displayed asking the user to overwrite the values.

11. User can select individual contract form portfolio monitor grid to scenario builder grid or user can select all contracts from portfolio monitor grid to scenario builder grid by either selecting individual contract or by clicking select all button. User can remove the individual contract or all contracts form scenario builder grid by unselecting the individual contract or by clicking on Clear all button.

12. Scenario builder: User can do what if analysis for his portfolio. User can modify the buy qty , buy average price, sell qty, sell average price, LTP/ implied volatility, days to expiry the other values shall be computed accordingly. User can hide/unhide the scenario builder.

13. User can exit from portfolio monitor window by clicking exit button.

14. Use can save the outstanding position in file. The file format shall be

Instrument type, symbol, Expiry, Strike Price, Option Type, Buy Qty, Buy Value, Sell Qty, Sell Value, Trader ID, Branch No, PRO/CLI, Account Number, Participant.

User can upload the same file using upload button to view brought forward positions on next day

List of Error codes at the time of uploading the file

Description | Error Code
EXTRA FIELD IN RECORDS | 2200
NOT VALID CONTRACT | 2201
INVALID BUYQTY | 2202
INVALID BUYVALUE | 2203
INVALID SELLQTY | 2204
INVALID SELLVALUE | 2205
INVALID USERID | 2206
INVALID BRANCHID | 2207
INVALID PROCLI | 2208
INVALID ACCNO | 2209
INVALID CPID | 2210

14. Port folio monitor and Scenario builder grid.

Sr | Field | Values | Description
1 | Instrument | FUTCUR/ FUTIRD/ OPTCUR | Instrument type
2 | Symbol | USDINR, 91 DTB etc. | Symbol
3 | Expiry | Date (DDMMMYYYY) | Expiry date
4 | Strike |  | Strike price (Only for option contract)
5 | Option type | CE/PE | Option type (Only for option contract)
6 | Buy Qty |  | Buy qty of open position (If cumulative position selected, buy qty for today + buy qty from ‘.txt’ file)
7 | Buy Avg Price |  | Average price at buy open position (Buy value / Buy qty)
8 | Buy Value |  | Total buy value (Buy Qty * Avg. Buy Price *Multiplier) (If cumulative position selected, buy value for today + buy value from ‘.txt’ file)
9 | Sell Qty |  | Sell qty of open position (If cumulative position selected, sell qty for today + sell qty from ‘.txt’ file)
10 | Sell Avg Price |  | Average price at sell open position (Sell value / Sell qty)
11 | Sell Value |  | Total sell value (Sell Qty * Avg. Sell Price * Multiplier) (If cumulative position selected, sell value for today + sell value from ‘.txt’ file)
12 | Net Qty |  | Buy Qty- Sell Qty
13 | Net Value |  | (Sell Value – sell transaction cost) – (Buy Value + buy transaction cost)
14 | Mark to Market |  | Net Qty * LTP * Multiplier
15 | Total transaction cost |  | (Buy value * transaction cost percentage) + (Sell value * transaction cost percentage)
16 | Profit/Loss |  | (Net Qty * LTP) + (Sell Qty * Avg Sell Price) – (Buy Qty * Avg Buy Price) – Total Transaction costs
17 | LTP |  | Last traded price
18 | Implied volatility |  | Implied volatility (applicable only for option contract)
19 | Options Greeks |  | Delta, Gama, Vega, Theta & Rho (applicable only for option contract)
20 | Days to Expiry |  | Number of days form expiry.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu option

Not Applicable


Unlock user

Invocation:

Function Key: CTRL+SHIFT+U

Menu: Dialog-> Unlock User

Toolbar: N.A.

Purpose:

The purpose of the unlock user functionality is to allow corporate manager to send user unlock request to the host end.

Functionality:

This functionality is provided to Corporate Manager only.

This facility is provided to the Corporate Manager to send unlock request for all the users under his trading firm. Corporate manager can send user unlock request for following reasons

VSAT/LL down

VSAT/LL slow

VSAT/LL fluctuation

Once user send the unlock request message ‘User <user number>Unlock request requested’ will be displayed.

On approval of request message ‘User <user number>Unlock request approved’ will be displayed. On rejection of request message ‘User <user number>Unlock request rejected’ will be displayed.

To get the existing status of the user select [Get Detail]

To send user enable request to the control user select [Send Request]

To exit from the window select [Exit]

Navigation:

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys

Menu Options:

N.A.


User Level Kill Switch

Kill Switch at user level

Invocation

· Function key: Ctrl + K

· Menu: Transaction> Kill Switch

· Toolbar: 20th icon on toolbar;

Purpose

The purpose of Kill Switch is to enable the user to cancel all outstanding orders across all contracts, order types, book types etc.

Functionality

This functionality is available to all users.

Users shall be allowed to cancel all outstanding orders entered by self across all contracts, order types, book types etc.

Upon invoking, user shall be prompted with dialogues box “All outstanding orders for the user <user id> shall be cancelled. Do you want to continue?”. If the user chooses ‘No’ then orders shall remain as they were. If the user chooses ‘Yes’, all the outstanding orders of the user shall be cancelled.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu:

None


Trading Member Kill Switch

Kill Switch at trading member level

Invocation

· Function key: Ctrl + Shift + K

· Menu: Transaction> Trading Member Kill Switch

· Toolbar: 22nd icon on toolbar;

Purpose

The purpose of Trading Member Kill Switch is to enable the corporate manager to cancel all outstanding orders of all the users under the firm across all contracts, order types, book types etc.

Functionality

This functionality is available only to the corporate manager.

Corporate manager shall be allowed to cancel all outstanding orders entered by all users under the firm across all contracts, order types, book types etc.

Upon invoking, corporate manager shall be prompted with dialogues box “All outstanding orders of all user for trading member <Trading Member id> shall be cancelled. Do you want to continue?”. If the user chooses ‘No’ then orders shall remain as they were. If the user chooses ‘Yes’, all the outstanding orders of all users under the firm shall be cancelled.

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu:

None


Future Price / Yield Calculator

Invocation:

Yield Calculator can be invoked by pressing the <Ctr+Y>key.

Alternately user can invoke the Yield Calculator screen by selecting the Dialog menu option in the Main menu and then clicking on the Yield Calculator menu item.

Purpose:

The purpose of the yield calculator is to allow user to calculate future yield, underlying yield, yield price, cost of carry for IRF cash settled contract for a given maturity and settlement date.

Functionality:

This functionality is available to all the users.

The user can place the highlight bar on the required security on the market watch screen. On invoking the Yield Calculator screen the security details of the highlighted security then gets defaulted on to the yield calculator screen.

Following fields require mandatory input: Instrument, Symbol, Expiry Date, Sett Expiry Date, Underlying Maturity Date, Trade Date, Underlying Price and Coupon Rate. Settlement Date is automatically taken as T+1 date. User can also specify any other date which should be more than or equal to Trade date.

The user can specify any of the following input and other values will be computed accordingly.

Price

Yield

Carry Cost (%)

The user can choose to compute carry cost using simple interest, daily compounding interest or continuous compounding interest.

After providing mandatory inputs, to calculate the values press [Calculate]

To reset the values press [Reset]

After entering the relevant data in their respective fields, press [Enter] keys on the keyboard or click on [OK] with the mouse for displaying the output.

Click on the 'Exit' button or press Escape key to exit the Yield Calculator screen.

Navigation:

The user can navigate on this screen by using <Tab> and <Shift + Tab> keys


Appearance and Settings

Recommended resolution for NEAT-CDS is 1024 X 768. NEAT-CDS can be ported on other resolutions, but in case of lower resolutions like 640 X 480 there can be some data loss in display. In case of resolution change while the application is still running, settings will take effect after re-invoking the application.

User is provided with features to personalize his Front-End by changing various components that encompass the “Look n Feel ‘ of the system. Appearance Settings can be broadly categorized into

  • Color Schemes
  • User Defined Themes


Color Schemes

Introduction

A Color Scheme is a predefined set of color settings for all components that give the application a unified and distinctive look.

Invoking

The user on pressing Ctrl + Space key combination can invoke the System Configuration Screen. The user has to switch focus to the ‘Appearance’ screen by either using Ctrl + Tab or by clicking on the ‘Appearance’ tab. ‘Appearance’ screen can also be activated from each component by right mouse-click and choosing ‘System Configuration’ option from the menu. User can select a different scheme by selecting his Scheme from schemes listed in the Combo Box.

Functionality

User can impart his personalized color settings to the system by switching amongst different Color Schemes provided or create his own Scheme by choosing a Scheme and then saving it with a new name. He can configure the color for each element of each component window instance-wise. This cumulative set of color styles is stored in the form of files. Hence the whole feature is said to be ‘Hot-Pluggable’, implying that just loading a new scheme file distributed by the Exchange, in the ‘Colour’ directory LogDrive:\ NeatCDData-TWS\ Colour), would allow the user to apply a new scheme to his application (even when a session is active).

Configuration of a Color Scheme

Modifying a Scheme File selected:

User can change the Scheme applied to the system by choosing a particular scheme from those listed in the ‘Colour-Scheme’ combo box. Click on ‘Apply’ to apply the new selection.

Modifying color elements for a component:

Click on the ‘Appearance Settings’ for combo box. Select the instance of the component for which color settings have to be changed .The component can be identified by the caption appended to the component name in the combo box or serial numbers appended to component name in the order these windows were invoked.

For e.g

  • If First Market by Price window invoked, has no caption then the entry would be Market By Price - 1
  • If the window has the caption “My Window” then the entry in the combo box would be My Window –MBP

Select the sub-item from the entries in the ‘Item’ combo box . Click on the color button in front of ‘Choose Color’ from the ‘Appearance’ screen. Select the new color by selecting the required color cube on the ‘Color Dialog Box’ that is invoked. Confirm your selection by clicking on the ‘OK’ button.

The new color selected, will be visible on the colored cube on the Color button. Click on ‘Apply’ button at the bottom of the ‘Appearance’ screen to apply the new color setting. Multiple modifications can be carried out before click of the ‘Apply’ button to apply multiple changes.

Saving a Scheme:

User can select the Scheme of which he wants to create a copy of . Click on the ‘Save As’ option. Assign a file name in ‘File Name’ edit box for the new scheme.

Click on Save or press <ENTER>.The user can change the color settings for components after selecting the new file generated. The new scheme can be applied by clicking on the ‘Apply’ button after choosing the new saved scheme.

Reverting to the last Applied Scheme:

The user can choose to revert to the old settings using either of the following ways listed below :-

  • Pressing <ESC>
  • Click on the ‘Cancel’ button.
  • Click on the ‘Close’ button on right-hand corner of ‘Appearance’ screen.

Navigation

The user can navigate to the ‘Color Scheme’ combo box , by pressing the Ctrl + Space key combination. The user has to switch focus to the ‘Appearance’ screen by either using Ctrl + Tab or by clicking on the ‘Appearance’ tab.

User has to keeping pressing ‘Tab’ till the focus reaches the control he wanted. Alternatively He can click on the control.

Menu Options

Not Applicable


User Defined Themes

Invocation

A Theme determines the overall ‘Look & Feel’ of the application, by providing a predefined set of features.

Each Theme will be a cumulative set of visual styles for all components, enabling the user to personalize the Front-end. Any change that the user imposes on any screen (for e.g. Size Change) can be saved as a different theme.

Functionality

A theme is a predefined set of visual styles that gives your application a unified and distinctive look. User can switch themes, create his own theme by saving the current Look & Feel of the application using the ‘Save As’ feature, or restore the traditional NeatCDS Classic look (or any Exchange – defined theme ) as his theme.

Types of Themes

Exchange Defined Themes

Exchange would provide the user with various predefined themes, which he can choose from .The ‘Look n Feel’ provided by an exchange defined Theme will not change at any point of time , though the number of themes provided by the Exchange can vary. Themes are ‘Hot-Pluggable’, which means that, just loading a new Theme file distributed by the Exchange, in the Theme directory (Log Drive:\NeatCDData-TWS\Theme), would allow the user to apply a new theme to his application (even when a session is active).

Last-State Themes

The user can personalize certain features of the current applied theme, to generate a modified Theme. In this case the basic theme remains the same but will also contain changes which user has applied to it.

For e.g. If the user opts for ‘NeatCD Classic’ theme and hides the caption bar of Market Watch window , then there is a NeatCD-Modified theme generated with just one style changed for Market Watch. The new theme retains rest of the visual styles from ‘NeatCD Classic'.

This type of Theme represents the state of the system during the exit of the Application.

User Defined Themes

User defined themes are themes which have been personalized by the user and made persistent for later use. The user can assign a new name for his theme and choose it whenever he needs.

Unlike Exchange-Defined themes, in case of User Modified Theme, the user loses the earlier settings if he chooses a different Exchange-Defined file and modifies it.

Type of Visual styles

Common Visual Styles

Style

Description

Values

Position of window

Location of a particular functionality window

Size of window

Size of the window would comprise the width and height of the window.

Whether moveable

This attribute can restrict the mobility of a window.

Not Moveable at all

Moveable through Caption Bar only

Moveable through Caption Bar and Client area (Non-Caption area of the window)

Whether sizeable

Resizing feature of the functionality window

Not Resizable

Resizable Horizontally

Resizable Vertically

Resizable Both Horizontally & Vertically

Whether Always-on-Top and if so the order

This feature defines the priority assigned to each functionality window. It will decide which other functionality windows could obscure it or could get obscured by it , if the window is moved.

Whether visible / invisible

This element of the theme can control initial visibility status and visibility status during the rest of the session.

Not Available & not visible

Available & hidden initially

Available & visible initially

Available & visible initially & cannot be hidden

Caption Bar

This feature controls the visibility of caption bar. It also decides whether the caption bar can be toggled or not (Hide/ Show caption bar).

Initially Hidden, Cannot be Toggled

Initially Hidden, Can be Toggled

Initially Shown, Can be Toggled

Initially Shown, Cannot be Toggled

Caption Editable

This element decides whether the user can edit the caption.

Default Caption

This element represents Predefined caption strings for functionality window, if any.

Caption Length

This attribute restricts the maximum length of the caption the user can assign.

Window size limits

Minimum and maximum sizes of the window rectangle.

Minimum rectangle width

Minimum rectangle Height

Maximum rectangle Width

Maximum rectangle Height

Tab status

This feature controls the visibility of tab

Initially Hidden, Cannot be Toggled

Initially Hidden, Can be Toggled

Initially Shown, Can be Toggled

Initially Shown, Cannot be Toggled.

Tab In Focus

Specifies the tab which gets the first focus when the window is brought into view.

Functionality Specific Visual Styles

These features are specific to a particular functionality window .These features have been categorized by the functionality window they are implemented for.

Component

Specific Visual Style

Market Watch

*Column Settings

Visibility of Gridlines

Market By Price

*Column Settings for Buy Side.

*Column Settings for Sell Side.

Visibility of Column Header for Buy Side.

Visibility of Column Header for Sell Side.

Visibility of Gridlines

Visibility of Cell Highlight on Broadcast

Ticker

Ticker Direction

Speed Control

*Column Settings : - Order of Columns and Column width.

Creating New Themes

Exchange Defined Themes

Exchange would provide the end-user with various predefined themes. This Theme file needs to be loaded in the Theme directory (Log Drive:\NeatCDData-TWS\Theme).

Last-State Themes

Last-State Themes are generated by the system in its Theme directory, when the user closes the Neat-CDS application.

User Defined Themes

A User has to click on the ‘Save As’ option to save the current Look & Feel of the application. The user can assign a distinct name for his theme and click on OK button. The theme will be available to the user as long as he doesn’t delete the file from his Theme directory (i.e. User668CD is the Theme directory of User 668 if he has logged into derivatives market. The file will be available in the following path Log Drive:\NeatCDData-TWS\Theme).

Applying Themes

Exchange Defined Themes

The user can apply an Exchange Defined Theme by selecting that theme from the combo-box and clicking on Apply button.

Last-State Themes

For applying Last-State Theme to the application, the user has to choose any theme and change any one of the attributes of the Theme (like changing the size of a window). If the Exchange-defined file has already been modified, it would show up with ‘-Modified’ appended to its name in the combo box. Clicking on Apply button, would apply this theme.

User Defined Themes

A User has to choose any of the theme file and click on the Save As option. The user can assign a distinct name for his theme .Click on the ‘Apply’ button.

Navigation

The <Tab> and <Shift + Tab> keys can be used to navigate between fields.


Reports

Invoking

Not applicable. The price information is broadcasted by the Exchange at the end of trading hours.

Purpose

The purpose of Reports is to provide the user with end of day market statistics for all regular & spread contracts traded during the day.

Functionality

This functionality is available to all users.

The reports are downloaded by the exchange at the end of trading hours. It will be stored in the report drive specified by the user on the ‘System Configuration’.

The report is formatted as follows:

Details of Report | File Format for Derivatives Market
Market Statistics Report for regular contracts The ASCII file nomenclature is given below: <DDMM><User Id>.MS The data file (comma delimited format) nomenclature is given as below: <DDMM><User Id>.MD | Market type Instrument Symbol Expiry Date Strike Price Option Type Previous Close Open Price High Price Low Price Close Price Quantity Traded Value Traded Open Interest Change in Open Interest
Market Statistics Report for spread contracts The ASCII file nomenclature is given below: <DDMM><User Id>.SMS The data file (comma delimited format) nomenclature is given as below: <DDMM><User Id>.SMD | Market Type Instrument 1 Symbol 1 Expiry Date 1 Strike Price 1 Option Type 1 Instrument 2 Symbol 2 Expiry Date 2 Strike Price 2 Option Type 2 Open Price Difference High Price Difference Low Price Difference Last Traded Price Difference Number of Contracts Traded

To print the report tick the ‘Broadcast’ check box under ‘Report Printing’ section of ‘User Configuration’.

Navigation

Not applicable

Menu Option

Not applicable


Report Reprinting

Invoking

· Function Key: CTRL + R

· Menu: Report -> Report Reprint

· Toolbar: N.A.

Purpose

The purpose of Report Re-print is to allow the user to print the market statistics report.

Functionality

This functionality is available to all users.

The user is required to select the report entry and also number of copies to be printed (by default 1) before clicking on [Reprint].

Navigation

The user can navigate on this module by using <Tab> and <Shift + Tab> keys.

Menu Options

Not Applicable


Annexure I

NEAT-CDS Keyboard Functions

Keys | Function
F1 | Buy Order window
F2 | Sell Order Window
F3 | Out Standing Order
F4 | Market Watch Setup
F5 | Market By Order
F6 | Market By Price
F7 | Activity Log
F8 | Previous Trades
F9 | Snap Quote
F10 | Message Window
F11 | Market Inquiry
Shift +
F1 | Cancel Order
F2 | Modify Order
F3 | Quick Order Cancel
F4 | Cancel Trade
F5 | Modify Trade
F6 | Multiple Trade Cxl/ Mod
F7 | Security List / Portfolio Setup
F8 | Contract Description
F9 | Offline Order Entry
F10 | Market Movement
F11 | Auction Inquiry
F12 | Order Status
Page Up | Advance Option Calculator
Page Down | Liquidity Schedule
F | Offline Filter
Control +
F3 | Multileg Order window
F7 | Spread MBP
F8 | Spread Order Status
F9 | Short Descriptor
F10 | Full Message Window
F11 | Spread Outstanding Orders
F12 | Spread Combination List
Page Up | Options Calculator
Page Down | DB Snapshot
Space Bar | System Configuration
D | Order Entry Default from Marketwatch
E | Order Entry Default
F | Offline Print
G | Give Up Trade
I | Hide/ Show Asset Window
K | Kill Switch
L | Auto-Lock Interval
M | Hide/Show Menu Bar
O | Online Print
P | Disable Inquiry
Q | Hide/Show CD Ticker
R | Report Reprint
S | Active Security List
T | Hide/Show Toolbar
Y | Future Price / Yield Calculator
Shift + A | Asset List
Shift + C | Enable Warning Check for Ord Entry/Mod/Cxl
Shift + D | Debarred Client Master
Shift + E | Portfolio Monitor
Shift + F | Online Filter
Shift + G | Enable Option Greeks
Shift + I | Enable Implied Volatility
Shift + K | Trading Member Kill Switch
Shift + L | User/Branch/Collateral Limits
Shift + M | Client Master
Shift + N | Trade Modification / COL Status
Shift + O | Order Limits
Shift + P | Limit Price Focus
Shift + R | Reset User Id
Shift + S | Graphs and Charting Tool
Shift + T | Reset Password
Shift + U | Unlock User
Shift + V | Volatility and Interest Rate
Shift + X | Closeout Order Entry
Shift + Y | Yield Calculator
Shift + F6 | Market By Aggregate
Shift + F7 | Option Chain
Alt + F6 | 91 Day TBill MBP
Alt +
F1 | Online Help
F2 | Spread Activity Log
F4 | Log Off
F5 | Alphabetic sorting of contracts ( on Symbol) in MW
F6 | Net Position
F7 | Online Backup
F8 | Ticker Selection


Annexure II

NEAT-CDS Mouse Functions

Mouse Click | Function
<CTRL>+<SHIFT>+<LEFT DRAG> | This will move the window. Not Applicable to Tickers, Message Window and Message Log.
<RIGHT CLICK> on window | This invokes the context specific menu for that window.
Market Watch Functions
<SHIFT>+<LEFT BTN DRAG> | Selects the dragged rows in Market Watch
<CTRL>+<LEFT BTN DRAG> | Block selects the dragged cells in MW
<LEFT BTN DRAG> | Reposition the dragged security to new location.
<LEFT BTN DBL CLICK> | Display Contract Descriptor Window
<LEFT BTN CLICK> | Selects that particular Row
Ticker Functions
<CTRL>+< LEFT BTN CLICK > | Increase Ticker Speed by One Pixel
<CTRL>+< RIGHT BTN CLICK > | Decrease Ticker Speed by One Pixel


Glossary

Alert

Some actions of the Users need Exchange approval. These actions come to the Exchange as Alerts. The possible alerts that require Exchange approval are trade modification, trade cancellation, negotiated trade entry etc.

All or None (AON)

This is one of the Special Terms conditions. An order with this condition should be matched either with the entire order quantity or none at all.

Base Price

Base price is the reference price of a security generally set at the beginning of the trading day and is used to determine the Day Minimum/Maximum and the Operational high/low ranges for that day.

Batch

The end of day processing is called as Batch cycle. This processing takes place immediately after the Exchange closes all the markets for trading. During the first batch, the system is available to the Users in inquiry mode. During the second batch the Users are logged off for a small duration of time after which they can inquire on next day’s data. During the third batch, Users cannot sign on.

Branch Order Value Limit

A limit placed by Corporate Manager on the daily aggregate value of orders entered by dealers or the Branch Manager of a branch. Orders entered by dealers or the Branch Manager of a branch with value exceeding the Order Value Limit for the branch is not allowed by the system. The limit is applicable across all securities for aggregate of buy and sell orders placed. On account of modification / cancellation, the limit is correspondingly adjusted.

Broadcast Circuit

This is a virtual circuit through which the system sends messages to all workstations. These messages are available on trader workstation on on-line basis. In this mode, the system does not await the response from the workstations.

Buyer

The trading member who has placed a buy order for the purchase of the securities.

Closing Price

Closing price is the price of a security at the end of a trading day. This price is computed as the weighted average price of the last half an hour trades in the security. The closing price is generally set as the base price for the security at the beginning of the next trading day.

Control User

An employee of the Exchange who is a User of the Currency Derivatives Market system having special control privileges. The control User can alter the master files, trading parameters and also perform market monitoring and control operations.

Counterparty

When a trading member enters an order, any other trading member with an order on the opposite side is referred to as the counterparty.

Day Minimum/Maximum range

The minimum/maximum price band for a security on a trading day. Any order with price outside the range is not allowed to be entered into the system. It is calculated as a percentage of the Base price.

Day Orders

These are the orders valid only for the day on which they are entered. If they do not get traded or cancelled by the trader, they are cancelled by the system at the end of day.

Dealer

A User belonging to a Trading Member and is at the bottom of Trading Member corporate hierarchy. Dealers participate in the market on behalf of the Trading Member.

Disclosed Quantity (DQ)

An order can be entered in the system wherein only a fraction of the order quantity is disclosed to the market. If an order has an undisclosed quantity, then it trades in quantities of the disclosed quantity.

Freeze

Orders entered in the system with price outside the Operational range are sent to the Exchange for approval. Such orders are not reflected in the books and are ‘frozen’ till the Exchange approves them.

Immediate or Cancel (IOC)

When a IOC order is entered, the system will immediately try to match this order as much as possible and cancel the remaining quantity, if any of the order. In this attempt, the order might find a partial match.

Interactive Circuit

This is a virtual circuit through which the system can send messages to a specific workstation and vice a versa.

Limit order

An order for which the price (limit price) has been specified at order entry.

Local Database

The Local Database provides faster response time to Users. All inquiries made by a User for own orders / trades are serviced through the local database. If however, a corporate manager / branch manager makes inquiries for orders of any dealer / branch manager of the trading firm, then the inquiry is serviced by the host. The following data is stored in the local database

· System messages

· Security related information

· Order / Trades related data of the User

Market order

An order for which no price has been specified at order entry.

Matching

When a buy and a sell order satisfy the price and quantity conditions, they can result in a trade. This process is called as matching. The match can be full or partial depending on the order conditions.

Normal Market

Normal market is a market that consists of various book types wherein orders would be segregated as regular lot orders, special terms orders, negotiated trade entries and stop loss orders depending upon their attributes.

All orders entered in this market have to be of regular lot size or multiples thereof.

Open

A period in the trading day for the different markets. Order entry, matching, inquiries and other functions at the workstation will be allowed during this period.

Operational range

The price range for a security on a trading day such that the orders with a price outside the range cause a price freeze and are sent to the Exchange for approval.
It is calculated as a percentage of the Base price.

Order

A buy or a sell offer/bid for any tradeable security can be entered by the dealer in the system. The order typically has to have following minimum details - name of security, price, quantity.

The system generates a unique order number for each order entry.

Order Quantity Freeze percentage

A percentage of the outstanding quantity of a security. An order with quantity exceeding this percentage will result in a warning message being displayed.

Participant

An entity responsible for the settlement of a trade. It could be the trading member himself or any other valid participant code registered with the Exchange.

Print/Report Circuit

This is a virtual circuit through which the system can download report data to all workstations.

Regular Lot

The minimum tradable quantity of an order entered into the Normal market.

Security/ Contract

A Security/ Contract is a valid and unique combination of Instrument type, Symbol and Last Trade Date in the currency derivatives segment – currency futures sub-segment.

Seller

The trading member who has placed a sell order for the sale of the security.

Stop Loss

The dealer can enter a regular lot or special terms order with a ‘trigger’ price. Such orders are called Stop Loss orders.

The stop loss orders are not taken for matching unless the trigger price is either reached or if it is surpassed by the last traded price for the security. Once the market price reaches or surpasses the trigger price, the ‘stop loss’ attribute is removed and the order is taken up for regular matching process.

Surcon

A period in the trading day of the system. Order entry and matching is not allowed. Only inquiries, requests for trade modifications and cancellations are allowed during this period. This period typically precedes EOD Operations.

Trade

When a buy order matches with a sell order a trade takes place. The system generates a trade number for each trade which is unique for that trading day.

Trader Workstation

It is a workstation/computer terminal approved by the Exchange from where the authorised dealer of the Exchange trading member carries out trading related functions.

Trading Member

Trading member is an entity who can participate in the trading activity. They can trade on their own account or on behalf of their clients.

Turnover Limit

This indicates the aggregate trade value limit on a daily basis set for a trading member. This limit may be set by Exchange for each trading member. The trade value for both buy and sell for a day are accumulated and the total is checked against this upper limit after every potential trade match.

User

He is a person authorised by the Exchange with a valid User identification and password, which are essential requirements for accessing the system.

Warning Quantity percentage

It is a percentage of the outstanding quantity of a security. An order with quantity exceeding this percentage causes the system to force the dealer to confirm the entered order before sending it for system confirmation.


Option Calculator

Advanced Option Calculator

Invoking

Menu : Dialogs à Advanced Option Calculator

Short cut: SHIFT + Page Up

Purpose

The purpose of the Advanced Options Calculator is to compute the theoretical price or the implied volatility.. Further, option Greeks like Delta, Gamma, Theta, Vega and Rho are computed using either Garman Kohlhagen model or the Black & Scholes model.

Functionality

The advanced options calculator can be used as under:

1. Contract filtering: The dealer is required to select the options contracts for which the implied volatility/ theoretical price and options Greeks are to be computed.

a. In case the calculator is invoked from an option set up in market watch, this contract is selected by default.

b. Provide the premium or the volatility by clicking function key ‘F4’ after selecting the desired contract for calculating implied volatility or premium. Alternately user can change the implied volatility or premium by clicking [Modify].

2. The user needs to set the following parameters:

a. Pricing model: The default pricing model is the one set up in ‘Volatility & interest rates’ window. The user is allowed to change the default pricing model.

b. Valuation date: The valuation date is the basis to arrive at time to maturity for the contracts. Time to maturity is computed as contract maturity date less valuation date. This valuation date is in DDMONYYYY format. Eg 21NOV2010, 15DEC2010 etc.

c. Domestic & Foreign interest rate: The default domestic and foreign interest will be the same as defined in ‘Volatility & interest rates’ window. It is possible to select any other rate here.

d. Price: The dealer can opt for spot price or futures price for desired expiry. He can also enter any other price to be used in the computation.

3. Result: The following fields shall be displayed in this result area:

S No | Fields | Description
1. | Symbol | Contract selected
2. | Expiry | Contract selected
3. | Strike price | Contract selected
4. | Option type | Contract selected
5. | Spot price | Input: Market / user specified
6. | Premium | 1. Input if IV is required: Market / user specified. 2. Output if Option premium is required output
7. | Implied volatility | 3. Input if Option premium is required: Market / user specified. 4. Output if Implied volatility is required output
8. | Delta | Output based on the IV/ selected volatility
9. | Gamma | Output based on the IV/ selected volatility
10. | Theta | Output based on the IV/ selected volatility
11. | Vega | Output based on the IV/ selected volatility
12. | Rho | Output based on the IV/ selected volatility
13. | Valuation date | Input selected
14. | Foreign interest rate | Input selected (0 if Black Scholes is selected)
15. | Domestic interest rate | Input selected
16. | Calculation | Premium/ Volatility as selected

This result can be saved in the local disc of the user by clicking the ‘Save’ button or short cut ‘Alt+V’. The file saved shall have the following:

- File format: Comma separated file (.csv)

- File Name: IVGreekValues_<Computation method>.csv

- Computation method: BS for Black & Scholes model and GK for Garman Kohlhagen model

The file saved shall have all values same as the display in the result area.

Navigation

The user can navigate through the various fields and controls using TAB and SHIFT + TAB keys shifting as under:

  1. Contract filtering, selection & entering premium or volatility.
  2. Parameter setup like pricing model, valuation date, Price, Foreign interest rate, Domestic interest rate.
  3. Choosing spot rate, futures rate or entering custom rate.
  4. Save & Exit button.

At every stage like contract selection & parameter setup the control comes to the ‘Search’ button. On clicking the TAB key it goes to ‘Select All’ & ‘Deselect All’.

To exit from the dialog the user can use ESC key or the EXIT button on the dialog, or ALT + X keys or ALT + F4 keys.

Menu Option: N.A.


Option Calculator

Volatility and Interest rates

Invoking

Menu : Dialogs à Volatility and Interest Rates

Short cut: CTRL + SHIFT + V

Purpose

The purpose of the Volatility and Interest rate menu is to allow the user to setup the parameters for volatility, foreign interest rate and domestic interest rate. These parameters are required to compute options Greeks and implied volatility in the market watch as well as options calculators. In the absence of user defined parameters, exchange defined parameters are considered to compute Greeks and implied volatility. It also provides the user to choose the pricing method. The user can define the parameters for the selected underlying asset. The parameters defined here also serves as default for advanced options calculator.

Functionality

A facility is provided to the user to enter customized volatility, foreign interest rate and domestic interest rate for the asset.

a. Domestic interest rates are asset neutral. Therefore, a facility is provided to enter a domestic interest rate if the user chooses to use customized domestic interest rate.

b. Customized foreign interest rate and volatility can be set up by selecting the record and clicking on the ‘Modify’ button.

The user can select the following:

1. Pricing model: Garman Kohlhagen model considers both domestic and foreign interest rates while Black & Scholes model is based on the domestic interest rate

2. Exchange defined or customized volatility

3. Exchange defined or customized foreign interest rates

4. Exchange defined or customized domestic interest rates

Navigation

The user can navigate through the various fields and controls using TAB and SHIFT + TAB keys

To exit from the dialog the user can use ESC key or the EXIT button on the dialog, or ALT + X keys or ALT + F4 keys.

Menu Option: N.A.